2004-12-31  Jay Belanger  <belanger@truman.edu>

	* calc/calc-store.el (calcVar-digit, calcVar-oper): Remove the need
	for "var-" at the beginning of the minibuffer.

2004-12-31  Richard M. Stallman  <rms@gnu.org>

	* faces.el (read-face-name):
	Don't treat an attribute spec as a list of faces.

	* simple.el (undo): Use undo-equiv-table to detect
	unexpected changes since previous undo.
	(undo-list-saved): Variable deleted.
	(buffer-disable-undo): Don't alter undo-list-saved.

	* files.el (require-final-newline): Allow `visit' and `visit-save'.
	(mode-require-final-newline): New option.
	(after-find-file): Handle require-final-newline with new values.
	(basic-save-buffer): Handle new values of require-final-newline.

	* progmodes/sh-script.el (sh-require-final-newline):
	Alist value now controls whether to use mode-require-final-newline.
	(sh-set-shell): Implement that new meaning.

	* progmodes/cc-vars.el (c-require-final-newline): Fix custom type, doc.
	* progmodes/cc-mode.el (c-common-init): Use mode-require-final-newline.
	* progmodes/antlr-mode.el (antlr-mode): Use mode-require-final-newline.
	Delete old-Emacs compatibility code.
	(antlr-c-common-init): Function deleted.

	* net/snmp-mode.el (snmp-common-mode): Use mode-require-final-newline.
	* progmodes/vhdl-mode.el (vhdl-mode): Use mode-require-final-newline.
	* progmodes/simula.el (simula-mode): Use mode-require-final-newline.
	* progmodes/python.el (python-mode): Use mode-require-final-newline.
	* progmodes/perl-mode.el (perl-mode): Use mode-require-final-newline.
	* progmodes/modula2.el (modula-2-mode): Use mode-require-final-newline.
	* progmodes/mixal-mode.el (mixal-mode): Use mode-require-final-newline.
	* progmodes/idlwave.el (idlwave-mode): Use mode-require-final-newline.
	* progmodes/icon.el (icon-mode): Use mode-require-final-newline.
	* progmodes/fortran.el (fortran-mode): Use mode-require-final-newline.
	* progmodes/f90.el (f90-mode): Use mode-require-final-newline.
	* progmodes/cperl-mode.el (cperl-mode): Use mode-require-final-newline.
	* progmodes/cfengine.el (cfengine-mode): Use
	mode-require-final-newline.
	* progmodes/ada-mode.el (ada-mode): Use mode-require-final-newline.
	* textmodes/text-mode.el (text-mode): Use mode-require-final-newline.
	* textmodes/texinfo.el (texinfo-mode): Use mode-require-final-newline.

2004-12-31  Jay Belanger  <belanger@truman.edu>

	* calc/calc-graph.el (calc-graph-show-dumb): Mention C-cC-c as the
	way to return to Calc.

	* calc/calc-yank.el (calc-edit-mode): Mention C-cC-c as the way to
	finish, C-xk as the way to cancel the edit.  Add cancel routine to
	kill-buffer-hook.

	* calc/calc.el (calc-same-interface, calc-quit): Remove obsolete
	MacEdit code.

	* calc/calc-prog.el: Remove obsolete MacEdit code.
	(calc-macro-edit-algebraic, calc-macro-edit-variable)
	(calc-macro-edit-variable-2, calc-macro-edit-quick-digit): Remove.

2004-12-31  Kenichi Handa  <handa@m17n.org>

	* international/mule.el	(buffer-file-coding-system-explicit):
	Rename for explicit-buffer-file-coding-system.
	(after-insert-file-set-coding): Adjust for the above change.

	* files.el (revert-buffer): Change explicit-buffer-file-coding-system
	to buffer-file-coding-system-explicit.
	(basic-save-buffer-1): Likewise.

2004-12-30  Richard M. Stallman  <rms@gnu.org>

	* textmodes/artist.el (artist-butlast-fn): Var deleted.
	(artist-butlast, artist-last): Functions deleted.
	(artist-ellipse-mirror-quadrant): Call last and butlast directly.
	(artist-compute-key-compl-table): Call remq directly.
	(artist-remove-nulls): Function deleted.
	(artist-vaporize-lines, artist-flood-fill): Use push and pop directly.
	(artist-push, artist-pop): Macro deleted.

2004-12-30  Andreas Leue  <al@sphenon.de>

	* textmodes/artist.el (artist-version): 1.2.6
	(artist-prev-next-op-alist): New variable.
	(artist-select-next-op-in-list): New function.
	(artist-select-prev-op-in-list): New function.
	(artist-make-prev-next-op-alist): New function.
	(artist-is-in-op-list-p): New function.
	(artist-get-first-non-nil-op): New function.
	(artist-get-last-non-nil-op): New function.
	(artist-mode-init): Call artist-get-last-non-nil-op to initialize
	artist-prev-next-op-alist.
	(artist-mode-map): Add binding for C-mouse-4 and C-mouse-5 to
	change drawing operation.

2004-12-30  Luc Teirlinck  <teirllm@auburn.edu>

	* autorevert.el (auto-revert-tail-handler): Put in undo boundaries.

2004-12-31  Masatake YAMATO  <jet@gyve.org>

	* server.el (server-process-filter): Suppress `error', too.

2004-12-30  Jay Belanger  <belanger@truman.edu>

	* calc/calc-store.el (calc-copy-variable): Fix mistyped variable name.
	Change the way a variable is displayed in a message.

	* calc/calc-prog.el (calc-user-define-edit, calc-finish-macro-edit)
	(calc-user-define-permanent, calc-execute-kbd-macro):
	Replace old function MacEdit-parse-keys with edmacro-parse-keys.

2004-12-30  Kenichi Handa  <handa@m17n.org>

	* files.el (basic-save-buffer-1):
	Set explicit-buffer-file-coding-system to last-coding-system-used.
	(revert-buffer): Pay attention to
	explicit-buffer-file-coding-system (not buffer-file-coding-system)
	on bind coding-system-for-read.

	* international/mule.el (explicit-buffer-file-coding-system):
	New buffer local variable.
	(after-insert-file-set-coding): Set it to coding-system-for-read.

2004-12-29  Luc Teirlinck  <teirllm@auburn.edu>

	* autorevert.el (auto-revert-tail-mode): Doc fix for defvar.

2004-12-29  Sanghyuk Suh  <han9kin@mac.com>

	* term/mac-win.el (mac-drag-n-drop): Handle drag-n-drop events
	that include line numbers.

2004-12-29  Milan Zamazal  <pdm@zamazal.org>

	* files.el (hack-local-variables): If no PREFIX, set it to "^".
	Redundant variable PREFIXLEN removed.

2004-12-28  Matt Hodges  <MPHodges@member.fsf.org>

	* eshell/em-hist.el (eshell-previous-matching-input):
	Start the deletion from the end of the output.

2004-12-29  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el: Require x-dnd.
	(mac-drag-n-drop): Sync with W32 version.  Use x-dnd.el functions.

2004-12-29  David Kastrup  <dak@gnu.org>

	* international/mule.el (decode-coding-inserted-region):
	Don't barf if `buffer-undo-list' is already set to `t'.

2004-12-29  Jay Belanger  <belanger@truman.edu>

	* calc/calc-prog.el (calc-user-define-formula): Put default values
	for function names in prompts.
	(calc-user-define-permanent, calc-user-define-composition)
	(calc-user-define-formula): Remove the need for "calcFunc-" in the
	default input for algebraic functions.

2004-12-29  Thien-Thi Nguyen  <ttn@gnu.org>

	* vc-rcs.el (vc-rcs-annotate-command):
	Fix omission bug: Call `vc-setup-buffer'.

2004-12-29  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (recode-region): New function.

2004-12-28  Richard M. Stallman  <rms@gnu.org>

	* simple.el (undo-extra-outer-limit): New variable.
	(undo-outer-limit-truncate): Test and set it.

	* emacs-lisp/lisp.el (mark-sexp, mark-defun): New arg ALLOW-EXTEND
	enables the feature to extend the existing region.

	* simple.el (mark-word): New arg ALLOW-EXTEND
	enables the feature to extend the existing region.

	* textmodes/paragraphs.el (mark-paragraph): New arg ALLOW-EXTEND
	enables the feature to extend the existing region.

	* startup.el (site-run-file): Don't allow setting it with Custom.

	* simple.el (buffer-disable-undo): Fix previous change.

2004-12-27  Masatake YAMATO  <jet@gyve.org>

	* hexl.el (hexlify-buffer): Remove fontification here.
	Use font lock mechanism instead.
	(hexl-font-lock-keywords): New font lock kewords.
	(hexl-mode-old-font-lock-keywords): New variable.
	(hexl-mode): Store the old font lock keywords.
	(hexl-mode-exit): Restore the old font lock keywords.

2004-12-27  Richard M. Stallman  <rms@gnu.org>

	* simple.el (undo): Fix previous change.

2004-12-27  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el: Sync with x-win.el.  Rearrange the contents.
	Call mac-clear-font-name-table if invoked on Mac OS 8/9.
	Call x-open-connection on Mac OS X.

2004-12-27  Richard M. Stallman  <rms@gnu.org>

	* files.el (buffer-save-without-query): New var (buffer-local).
	(save-some-buffers): Save those buffers first, w/o asking.

	* files.el (insert-directory-ls-version): New variable.
	(insert-directory): When ls returns an error, test the version
	number to decide what the return code means.
	With --dired output format, detect and distinguish lines
	that are really error messages.
	(insert-directory-adj-pos): New function.

	* bookmark.el (bookmark-jump): Nice error if BOOKMARK is nil.

	* battery.el (battery-mode-line-format): Remove initial spaces.

	* uniquify.el (uniquify-rationalize-file-buffer-names):
	Delete interactive spec.

	* type-break.el (type-break-mode): Set buffer-save-without-query.
	Remove code that tried to set save-some-buffers-always.
	(type-break-file-keystroke-count): Bind deactivate-mark.

	* mouse.el (mouse-drag-region): Bind mouse-autoselect-window.

	* simple.el (next-error-buffer-p): New arg AVOID-CURRENT.
	Test that the buffer is live, and maybe reject current buffer too.
	Clarify.
	(next-error-find-buffer): Rewrite for clarity.

	* loadup.el: Don't use buffer-disable-undo; do it directly.

	* help-fns.el (describe-function-1): Call symbol-file with `defun'.
	(describe-variable): Call symbol-file with `defvar'.

	* subr.el (messages-buffer-max-lines): Alias for message-log-max.
	(symbol-file): Rewritten to handle new load-history format.
	Now takes an arg TYPE to specify looking for a particular
	type of definition only.

	* emacs-lisp/debug.el (debugger-make-xrefs):
	Call symbol-file with `defun'.

	* emacs-lisp/find-func.el (find-function-noselect):
	Call symbol-file with `defun'.
	(find-variable-noselect): Call symbol-file with `defvar'.

	* eshell/esh-cmd.el (eshell-find-alias-function):
	Call symbol-file with `defun'.

	* eshell/esh-test.el (eshell-test-goto-func):
	Call symbol-file with `defun'.

	* mail/rmail.el (rmail-resend):
	Let MAIL-ALIAS-FILE arg override mail-personal-alias-file.

	* net/goto-addr.el (goto-address-mail-regexp): Allow = in username.

	* progmodes/compile.el (compilation-find-buffer): Rename arg.

	* textmodes/texinfmt.el (texinfo-format-buffer-1):
	Call buffer-disable-undo.

	* simple.el (undo-list-saved): New variable (buffer-local).
	(undo): Set and test it.
	(buffer-disable-undo): Move here from buffer.c.
	Clear out undo-list-saved.

	* international/mule.el (decode-coding-inserted-region):
	Set buffer-undo-list in a correct and optimal way.

	* progmodes/cperl-mode.el (cperl-find-bad-style): Use with-no-warnings.
	(cperl-font-lock-unfontify-region-function): No need to save and
	restore info, since font-lock.el does it for us.

	* ansi-color.el (save-buffer-state): Definition deleted.
	(ansi-color-unfontify-region): Don't use save-buffer-state.

2004-12-27  Dave Love  <fx@gnu.org>

	* wid-edit.el (function): Use restricted-sexp as parent.

2004-12-27  Kevin Ryde  <user42@zip.com.au>

	* simple.el (next-matching-history-element): Use same
	`interactive' form as previous-matching-history-element.

	* ffap.el (ffap-string-at-point-mode-alist): Add "*" to url chars,
	it can appear unencoded and has been seen from yahoo.

2004-12-27  Sergey Poznyakoff  <gray@Mirddin.farlep.net>  (tiny change)

	* mail/smtpmail.el (smtpmail-try-auth-methods): Send AUTH CRAM-MD5
	in upper case.  Reported by Wojciech Polak <polak@gnu.org>.

2004-12-27  Kenichi Handa  <handa@m17n.org>

	* international/utf-8.el (utf-translate-cjk-load-tables):
	Bind coding-system-for-read to nil while loading subst-*.

2004-12-26  Jay Belanger  <belanger@truman.edu>

	* calc/calc-store.el (calc-read-var-name): Remove "var-" from
	default input.

2004-12-26  Luc Teirlinck  <teirllm@auburn.edu>

	* buff-menu.el (Buffer-menu-revert-function): Clear out undo info
	before reverting and disable undo recording while reverting.

2004-12-26  Thien-Thi Nguyen  <ttn@gnu.org>

	* progmodes/hideshow.el (hs-set-up-overlay): New user var.
	(hs-make-overlay): New function.
	(hs-isearch-show-temporary): Handle `display' overlay prop specially.
	(hs-flag-region): Delete function.
	(hs-hide-comment-region): No longer use `hs-flag-region'.
	Instead, use `hs-discard-overlays' and `hs-make-overlay'.
	(hs-hide-block-at-point): Likewise.
	(hs-hide-level-recursive): Use `hs-discard-overlays'.
	(hs-hide-all, hs-show-all): Likewise.
	(hs-show-block): Likewise.
	Also, use overlay prop `hs-b-offset', not `hs-ofs'.

2004-12-24  Thien-Thi Nguyen  <ttn@gnu.org>

	* progmodes/hideshow.el: Require `cl' when compiling.
	Remove XEmacs and Emacs 19 compatibility.
	Use `dolist' and `add-to-list' for load-time actions.
	(hs-discard-overlays): Use `dolist'.
	(hs-show-block): Likewise.

2004-12-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* faces.el (mode-line, mode-line-inactive): Use min-colors.

2004-12-23  Thien-Thi Nguyen  <ttn@gnu.org>

	* progmodes/hideshow.el (hs-inside-comment-p): Fix omission bug:
	When extending backwards, move outside the current comment first.

2004-12-22  Kenichi Handa  <handa@m17n.org>

	* international/quail.el (quail-start-translation): Fix prompt
	string for the case if input-method-use-echo-area being non-nil.
	(quail-start-conversion): Likewise.
	(quail-show-guidance): Don't show guidance if
	input-method-use-echo-area is non-nil.

2004-12-21  Richard M. Stallman  <rms@gnu.org>

	* textmodes/ispell.el (ispell-help): Bind resize-mini-windows.

2004-12-21  Markus Rost  <rost@ias.edu>

	* calendar/diary-lib.el (mark-diary-entries):
	Set mark-diary-entries-in-calendar only after checking for diary-file.

2004-12-21  Richard M. Stallman  <rms@gnu.org>

	* faces.el (escape-glyph): Use blue against light foreground.

	* simple.el (undo-outer-limit-truncate): New function.
	(undo-outer-limit-function): Use undo-outer-limit-truncate.

2004-12-21  Eli Barzilay  <eli@barzilay.org>

	* calculator.el (calculator-radix-grouping-mode)
	(calculator-radix-grouping-digits)
	(calculator-radix-grouping-separator):
	New defcustoms for the new radix grouping mode functionality.
	(calculator-mode-hook): Now used in electric mode too,
	(calculator): Call it.
	(calculator-mode-map): Some new keys.
	(calculator-message): New function.  Some new calls.
	(calculator-op, calculator-set-register): Use it.
	(calculator-string-to-number): New function, mostly moved and
	updated code from calculator-curnum-value.
	(calculator-curnum-value): Use it.
	(calculator-paste): Use it, and update grabbing the current-kill.
	(calculator-rotate-displayer)
	(calculator-rotate-displayer-back): Toggle digit grouping when
	in radix mode, use calculator-message.
	(calculator-displayer-prev, calculator-displayer-next):
	Change digit group size when in radix mode.
	(calculator-number-to-string): Rename from
	calculator-num-to-string.  Now deals with digit grouping in
	radix mode.
	(calculator-update-display, calculator-put-value): Use the new name.
	(calculator-fact): Return a floating point number.
	(calculator-mode): Doc fix.

2004-12-20  Glenn Morris  <gmorris@ast.cam.ac.uk>

	* calendar/calendar.el (view-other-diary-entries): Add autoload.
	* calendar/diary-lib.el (view-other-diary-entries):
	Use current-prefix-arg in interactive spec.

2004-12-19  Jay Belanger  <belanger@truman.edu>

	* calc/calc-aent.el (calcAlg-blank-matching-open): Temporarily
	adjust the syntax of both delimiters of half-open intervals.

2004-12-19  Kim F. Storm  <storm@cua.dk>

	* mouse.el (mouse-1-click-follows-link): Doc fix.

2004-12-18  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (encoding-vector, mac-font-encoder-list)
	(ccl-encode-mac-centraleurroman-font): Use centraleurroman
	instead of centraleuropean as the name

2004-12-17  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.0.46.

	* net/tramp.el (tramp-maybe-send-perl-script): Change order of
	parameters wrt Tramp convention.
	(tramp-handle-file-attributes-with-perl)
	(tramp-handle-directory-files-and-attributes): Apply it.
	(tramp-do-copy-or-rename-file-out-of-band): Check for existence of
	`copy-program'.  Reported by Zack Weinberg
	<zack@codesourcery.com>.
	(top): Set `edebug-form-spec' property directly rather than
	calling `def-edebug-spec'.

	* net/tramp-smb.el (tramp-smb-advice-PC-do-completion): Make the
	advice less fragile.  Surround temporary redefinition of
	`substitute-in-file-name' with `unwind-protect'.  Suggested by
	Matt Hodges <MPHodges@member.fsf.org>.

2004-12-17  Juri Linkov  <juri@jurta.org>

	* replace.el (occur-accumulate-lines, occur-engine):
	Make forcing deferred font-lock fontification jit-specific.

2004-12-17  Kim F. Storm  <storm@cua.dk>

	* mouse.el (mouse-1-click-follows-link): New defcustom.
	(mouse-on-link-p): New function.
	(mouse-drag-region-1): Implement mouse-1-click-follows-link
	functionality.  Map a mouse-1 click event into a mouse-2 (or
	other) event when position is inside a link.

	* tooltip.el (tooltip-show-help-function): Replace "mouse-2"
	prefix in tooltip text with "mouse-1" when this is a link
	recognized by mouse-1-click-follows-link functionality.

	* help.el (describe-key): Report effective and original binding
	for mouse-1 when clicked on a link.
	(describe-mode): Add follow-link property to "minor-mode" button.

	* help-fns.el (describe-variable): Add follow-link property to
	"below" button.

	* help-mode.el (help-xref): Add follow-link property.

	* apropos.el (apropos-symbol, apropos-function, apropos-macro)
	(apropos-command, apropos-variable, apropos-face, apropos-group)
	(apropos-widget, apropos-plist): Add follow-link property.

	* pcvs-defs.el (cvs-mode-map): Map follow-link to a function which
	checks if position is in a filename, rather than some other
	clickable item.  Function looks for cvs-filename-face at position.

	* wid-edit.el (widget-specify-field, widget-specify-button):
	Map a :follow-link keyword into a follow-link property.
	(link): Add :follow-link keyword, map to RET binding.

	* dired.el (dired-mode-map): Map follow-link to mouse-face.

	* progmodes/compile.el (compilation-minor-mode-map)
	(compilation-button-map, compilation-mode-map): Likewise.

2004-12-17  Thien-Thi Nguyen  <ttn@gnu.org>

	* play/zone.el (zone): Init `line-spacing' from orig buffer.
	(zone-replace-char): Take `count' and `del-count'
	instead of `direction'.  Update callers.  When `del-count' is
	non-nil, delete that many characters, otherwise `count' characters
	backwards.  Insert the newly-replaced string `count' times.
	(zone-fret): Handle chars w/ width greater than one.
	(zone-fall-through-ws): No longer take window width `ww'.
	Update callers.  Add handling for `char-width' greater than one.
	(zone-pgm-drip): Update var holding window-end position every cycle.

2004-12-17  Andre Spiegel  <spiegel@gnu.org>

	* vc.el (vc-default-update-changelog): Use insert-file-contents,
	rather than insert-file.

2004-12-16  Jay Belanger  <belanger@truman.edu>

	* calc/calc-comb.el (var-RandSeed): Don't initially bind it.
	(math-init-random-base, math-random-digit): Check to see if
	var-RandSeed is bound.
	(math-random-last): Declare it.
	(math-random-digit): Don't make math-random-last local.

2004-12-16  Thien-Thi Nguyen  <ttn@gnu.org>

	* play/zone.el (zone): Fix omission bug: Use a self-disabling
	one-shot thunk for uniform (error, quit, normal) recovery.
	Reported by John Paul Wallington.
	(zone-pgm-random-life): Fix bug:
	Recognize empty initial field by lack of "@" chars.

2004-12-16  Juri Linkov  <juri@jurta.org>

	* help.el (function-called-at-point):
	* help-fns.el (variable-at-point): As a last resort try stripping
	non-word prefixes and suffixes.

	* descr-text.el (describe-property-list): Don't treat syntax-table
	specially.  Use describe-text-sexp which inserts [show] button
	for large objects and handles printing errors.  Sort properties
	by names in alphabetical order instead of by value sizes.
	Add `mouse-face' to list of properties for `describe-face' widget.
	(describe-char): Mask out face-id from 19 bits of character.
	Print face-id separately.

	* replace.el (occur-accumulate-lines, occur-engine):
	Fontify unfontified matching lines in the source buffer
	before copying them.
	(occur-engine): Don't put mouse-face on context lines.
	(occur-next-error): Set point to line beginning/end
	before searching for prev/next property to skip multiple
	matches on a line (not supported by occur engine).
	Remove redundant prefix-numeric-value.

2004-12-15  Juri Linkov  <juri@jurta.org>

	* replace.el (match): New face.
	(list-matching-lines-face): Change default from `bold' to `match'.

	* progmodes/grep.el (grep-match-face): New defvar.
	(grep-mode-font-lock-keywords): Use grep-match-face instead of
	compilation-column-face to highlight grep matches.

	* apropos.el (apropos-match-face): Change default from
	`secondary-selection' to `match'.

	* info-look.el (info-lookup-highlight-face): Change default from
	`highlight' to `match'.

2004-12-15  Daniel Pfeiffer  <occitan@esperanto.org>

	* progmodes/executable.el (executable-interpret): Eliminate
	obsolete compile-internal, and switch to comint for interaction.

2004-12-15  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlwave.el (idlwave-skip-multi-commands): Don't match
	`&&' when skipping multiple statements on a line.

2004-12-15  Thien-Thi Nguyen  <ttn@gnu.org>

	* play/zone.el (zone): Set `truncate-lines'.
	Also, init `tab-width' with value from original buffer.
	(zone-shift-up): Rewrite for speed.
	(zone-shift-down, zone-shift-left, zone-shift-right): Likewise.
	(zone-pgm-jitter): Remove redundant entries from ops vector.
	(zone-exploding-remove): Reduce iteration count.
	(zone-cpos): Convert to defsubst.
	(zone-replace-char): New defsubst.
	(zone-park/sit-for): Likewise.
	(zone-fret): Take window-start arg.
	Update callers.  Use `zone-park/sit-for'.
	(zone-fill-out-screen): Rewrite.
	(zone-fall-through-ws): Likewise.  Update callers.
	(zone-pgm-drip): Use `zone-replace-char'.
	Move var inits before while-loop.  Use `zone-park/sit-for'.
	(zone-pgm-random-life): Handle empty initial field.
	Use `zone-replace-char' and `zone-park/sit-for'.

2004-12-15  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-update): Test isearch-lazy-highlight
	before calling isearch-lazy-highlight-new-loop.
	(isearch-lazy-highlight-new-loop):
	Don't test isearch-lazy-highlight.

	* replace.el (perform-replace): Add isearch-case-fold-search.
	Use delimited-flag for isearch-regexp.
	Reset isearch-lazy-highlight-last-string to force lazy
	highlighting when called from isearch mode.
	(query-replace-highlight): Revert defcustom type to boolean.
	(query-replace-lazy-highlight): New defcustom.
	(query-replace): New face.
	(perform-replace, replace-highlight, replace-dehighlight):
	Test query-replace-lazy-highlight instead of special value
	`isearch' of query-replace-highlight.
	(replace-dehighlight): Don't call isearch-dehighlight.
	(replace-highlight): Don't call isearch-highlight.
	Use face `query-replace' unconditionally.

2004-12-14  Kim F. Storm  <storm@cua.dk>

	* simple.el (inhibit-mark-movement): Remove defvar.
	(beginning-of-buffer, end-of-buffer): Don't use it.

	* emacs-lisp/lisp.el (beginning-of-defun, end-of-defun):
	Don't use inhibit-mark-movement.

	* emulation/cua-base.el (cua--preserve-mark-commands): Remove.
	(cua--undo-push-mark): Remove.
	(cua--pre-command-handler, cua--post-command-handler):
	Don't fiddle with inhibit-mark-movement.

2004-12-14  Juri Linkov  <juri@jurta.org>

	* buff-menu.el (list-buffers-noselect): Collect internal info
	for every buffer in BUFFER-LIST arg too.
	(Buffer-menu-switch-other-window): Bind pop-up-windows to t.
	(Buffer-menu-switch-other-window, Buffer-menu-2-window):
	Bind same-window-buffer-names and same-window-regexps to nil.

2004-12-13  Juri Linkov  <juri@jurta.org>

	* simple.el (next-error-buffer-p, next-error-find-buffer): Doc fix.

	* mail/supercite.el (sc-cite-frame-alist): Doc fix.
	(sc-cite-region, sc-uncite-region, sc-recite-region):
	Fix previous change to handle not alist as a symbol, but
	a citation frame as a symbol that represents a variable name.

2004-12-13  Richard M. Stallman  <rms@gnu.org>

	* filecache.el (file-cache-add-directory-using-find):
	Only set up file-cache-find-command-posix-flag if we will use it.

	* bindings.el (mode-line-buffer-identification-keymap):
	Don't cancel the mode-line's usual down-mouse-1 binding.

	* cus-edit.el (custom-face-selected): Handle `default' specs.
	(custom-face-edit): Increase extra-offset.
	(custom-display): Handle `default' specs.

	* xml.el (xml-name-re, xml-entity-value-re): Add defvars.

	* emacs-lisp/elint.el (elint-standard-variables)
	(elint-unknown-builtin-args): Move definitions up.

	* net/browse-url.el (browse-url-url-at-point): Add autoload.

	* info.el (info-xref-visited): Use `default' instead of t.
	(Info-try-follow-nearest-node): Don't explicitly load browse-url.

	* faces.el (header-line, mode-line-inactive, tool-bar):
	Use `default' instead of t for setting the defaults.
	(face-spec-choose): Separate `t' from `default'.

	* subr.el (while-no-input): New macro.

2004-12-13  Frederik Fouvry  <fouvry@CoLi.Uni-SB.DE>  (tiny change)

	* filecache.el (file-cache-add-directory-using-find):
	Only test file-cache-find-command-posix-flag on some systems.

2004-12-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-svn.el (vc-svn-repository-hostname): Adjust to new format.
	Reported by Ville Skytt,Ad(B <scop@xemacs.org>.
	(vc-svn-annotate-current-time, vc-svn-annotate-time-of-rev)
	(vc-svn-annotate-time, vc-svn-annotate-extract-revision-at-line)
	(vc-svn-annotate-command, vc-svn-annotate-re): Support for svn
	annotate.

2004-12-12  Juri Linkov  <juri@jurta.org>

	* files.el (find-file-other-window, find-file-other-frame):
	Add the first buffer to the returned value to return the complete
	list of all visited buffers.
	(find-file-read-only, find-file-read-only-other-window)
	(find-file-read-only-other-frame): Use nil for `mustmatch' arg of
	`find-file-read-args'.  Signal an error about non-existent file
	only if file name doesn't contain wildcards.  Toggle read-only in
	all visited buffers.
	(find-alternate-file, find-alternate-file-other-window):
	Add optional arg `wildcards'.  Doc fix.  Set `wildcards' to t when
	called interactively.  Pass arg `wildcards' to other functions.
	(find-file-noselect): Doc fix.

	* ffap.el (ffap-dired-wildcards): Set default to "[*?][^/]*\\'".
	Doc fix.
	(ffap-directory-finder): New variable.
	(ffap-string-at-point-mode-alist): Add * and ? to `file'.
	(ffap-file-at-point): Add /* to immediately rejected names.
	Return absolute file names matching ffap-dired-wildcards.
	(ffap-read-file-or-url): Set default value for `completing-read'
	to `buffer-file-name'.
	(find-file-at-point): When filename matches ffap-dired-wildcards,
	call ffap-file-finder with t arg `wildcards', instead of dired.
	(ffap-other-window, ffap-other-frame): Return visited buffers.
	(ffap-read-only, ffap-read-only-other-window)
	(ffap-read-only-other-frame, ffap-alternate-file): New commands.
	(dired-at-point): Call ffap-directory-finder instead of dired.
	(ffap-dired-other-window, ffap-dired-other-frame)
	(ffap-list-directory): New commands.
	(ffap-bindings): New keybindings for new commands.

2004-12-12  Juri Linkov  <juri@jurta.org>

	* simple.el (beginning-of-buffer, end-of-buffer):
	* emacs-lisp/lisp.el (beginning-of-defun, end-of-defun):
	Do not push mark when mark is active in transient-mark-mode.

	* simple.el (mark-word):
	* emacs-lisp/lisp.el (mark-sexp, mark-defun):
	* textmodes/paragraphs.el (mark-paragraph):
	Extend the region when mark is active in transient-mark-mode,
	regardless of the last command.  Doc fix.

	* simple.el (mark-word): Preserve direction when repeating.
	Make arg optional.  Interactive "p" -> "P".
	(transient-mark-mode, inhibit-mark-movement): Doc fix.

	* emacs-lisp/lisp.el (mark-sexp): Reverse the condition for
	preserving direction, to mark forward instead of backward when mark
	is equal to point (e.g. when C-SPC C-M-SPC is typed in t-m-m).

2004-12-12  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-edit-string): Set 7th arg of
	`read-from-minibuffer' to `t' to inherit the current input
	method (whose name is indicated by [IM] in the minibuffer prompt)
	from the current buffer to the minibuffer.
	(isearch-lazy-highlight-update): Put body to `with-local-quit'
	to allow C-g quitting for lazy highlighting looping inside the
	search with nested repetition operators.  Add overlay to the list
	before setting its face and other properties to avoid the case of
	code quitting after placing the new overlay but before it's
	recorded on the list.  Select the window where isearch was
	activated, to highlight matches in the right window when isearch
	switches the current window to the minibuffer.

	* international/isearch-x.el
	(isearch-process-search-multibyte-characters):
	Use `isearch-message' as initial input for `read-string' instead
	of adding it to the minibuffer prompt.  After reading a string
	remove the initial value of `isearch-message' from the string.

	* replace.el (replace-match-maybe-edit): Doc fix.
	(perform-replace): Don't call `replace-highlight' when automatic
	replacement is requested in literal mode, since it is intended
	only to highlight words during entering a new replacement string
	for \? in non-literal mode.

	* replace.el (query-replace-highlight): Add new value `isearch'
	that allows query replacement to use isearch highlighting.
	Change type from `boolean' to `choice'.  Doc fix.
	(replace-highlight, replace-dehighlight, perform-replace):
	Use isearch highlighting if query-replace-highlight eq `isearch'.

2004-12-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/checkdoc.el (checkdoc-continue, checkdoc-comments)
	(checkdoc-message-text, checkdoc-defun): Fix format messages for
	`error'.

	* textmodes/tex-mode.el (latex-backward-sexp-1): Handle the special
	case of \end{verbatim}.

2004-12-11  Dan Nicolaescu  <dann@ics.uci.edu>

	* term.el (term-termcap-format): Synchronize with terminfo.
	(term-emulate-terminal): Handle reset.
	(term-reset-terminal): New function.

2004-12-11  Thien-Thi Nguyen  <ttn@gnu.org>

	* play/zone.el (zone-programs): Add `zone-pgm-random-life'.
	(zone-fill-out-screen): New func.
	(zone-pgm-drip): Use `zone-fill-out-screen'.
	Also, no longer go to point-min on every cycle.
	(zone-pgm-paragraph-spaz): Allow spazzing for texinfo-mode.
	(zone-pgm-random-life-wait): New user var.
	(zone-pgm-random-life): New func.

2004-12-10  Thien-Thi Nguyen  <ttn@gnu.org>

	* files.el (auto-mode-alist): Map .com to DCL mode.

2004-12-09  Richard M. Stallman  <rms@gnu.org>

	* isearch.el (isearch-mode-map): Treat S-SPC like SPC.

2004-12-09  Nick Roberts  <nickrob@snap.net.nz>

	* xt-mouse.el (xterm-mouse-event): Correct cursor position in a
	buffer with a display margin.

2004-12-08  Jay Belanger  <belanger@truman.edu>

	* calc/calc-keypd.el (calc-keypad-mode): Unbind unused mouse events.
	(calc-keypad-left-click): Set buffer to calc-keymap-buffer.

2004-12-08  Richard M. Stallman  <rms@gnu.org>

	* faces.el: Delete code to set display table.
	(escape-glyph): Redefine to be less loud.  (Copy minibuffer-prompt.)

2004-12-08  Jay Belanger  <belanger@truman.edu>

	* calc/calc.el: Add math-read-preprocess-string to autoloads.

	* calc/calc-ext.el (math-read-replacement-list)
	(math-read-superscripts, math-read-preprocess-string): Move to
	calc-aent.el.

	* calc/calc-aent.el (math-read-replacement-list)
	(math-read-superscripts, math-read-preprocess-string): Move from
	calc-ext.el.

2004-12-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* isearch.el (isearch-quote-char): Fix up typo in last change.

2004-12-07  Luc Teirlinck  <teirllm@auburn.edu>

	* mouse.el (mouse-set-font): Handle the case where the command was
	not invoked using the mouse.

	* edmacro.el: `edit-kbd-macro' is now bound to `C-x C-k e'.
	(edmacro-finish-edit): Further update for keyboard macros that are
	lambda forms.
	(edmacro-sanitize-for-string): Correctly remove Meta modifier.

2004-12-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-unfontify-region): Save buffer state.
	(font-lock-default-unfontify-region): Don't save buffer state any more.

2004-12-07  Jay Belanger  <belanger@truman.edu>

	* calc/calc-help.el (calc-describe-key):
	Set calc-summary-indentation even when Calc Summary buffer exists.

2004-12-07  Glenn Morris  <gmorris@ast.cam.ac.uk>

	* calendar/holidays.el (holiday-easter-etc): Make arguments
	optional for backwards compatibility.  Doc fix.
	Remove un-necessary local vars mandatory, output-list.
	(holiday-advent): Make arguments optional for backwards
	compatibility.  Doc fix.

2004-12-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* paren.el (show-paren-function): Fix last change (2004-12-02).

	* international/mule-util.el (char-displayable-p): Return nil for
	unibyte mode.

	* subr.el (subregexp-context-p): New function.

	* isearch.el (isearch-quote-char): Use it.

	* emacs-lisp/regexp-opt.el (regexp-opt-depth): Use it.
	(regexp-opt-not-groupie*-re): Remove.
	(regexp-opt): Properly handle inputs with duplicate entries.

2004-12-06  Richard M. Stallman  <rms@gnu.org>

	* info-look.el (info-lookup-maybe-add-help cfengine-mode): Regexp typo.

	* cus-edit.el (custom-file): Doc fix.

	* textmodes/org.el: New file.

2004-12-06  Kenichi Handa  <handa@m17n.org>

	* ldefs-boot.el: Update international/mule-util.el section.

2004-12-05  Sam Steingold  <sds@gnu.org>

	* net/tramp.el (tramp-handle-file-accessible-directory-p):
	Fix `tramp-time-diff' comparison logic.

2004-12-05  Paul Pogonyshev  <pogonyshev@gmx.net>

	* progmodes/which-func.el (which-function):
	Use `run-hook-with-args-until-success' instead of a custom loop.
	Fixes bug with local hooks.

2004-12-05  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-font-lock-url-regexp):
	Use delete-dups when calculating the initial value.
	(bibtex-autokey-get-title): Use <=.
	(bibtex-goto-line): New function.
	(bibtex-reposition-window): Use line numbers instead of point
	positions.  Use window-body-height.
	(bibtex-find-crossref): Use bibtex-reposition-window.
	(bibtex-find-entry): Use bibtex-reposition-window.  Always return
	position of entry if key is found or nil if not found.

2004-12-05  Richard M. Stallman  <rms@gnu.org>

	* cus-edit.el (custom-file): Doc fix.

	* progmodes/sh-script.el (sh-indent-for-then): Change default.

2004-12-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (blink-matching-open):
	* textmodes/tex-mode.el (tex-validate-region):
	Obey syntax-table text properties.

2004-12-02  Per Abrahamsen  <abraham@dina.kvl.dk>

	* wid-edit.el (widget-specify-field): Add `real-field' property to
	boundary.
	(widget-field-at): Use it.

2004-12-02  Richard M. Stallman  <rms@gnu.org>

	* progmodes/cc-mode.el (awk-mode autoload):
	Supply t meaning interactive function.

	* isearch.el (search-whitespace-regexp): Remove the group.  Doc fix.
	(isearch-mode-map): No special definition for space.
	(isearch-whitespace-chars): Command deleted.
	(isearch-forward-regexp): Doc fix.
	(isearch-quote-char): When a space is not inside brackets,
	use `[ ]' instead of just space.
	(isearch-lazy-highlight-search): Bind search-spaces-regexp.

	* imenu.el (imenu--generic-function): Delete code to exclude
	matches in comments.

	* man.el (Man-reverse-face): Change default to `highlight'.

	* replace.el (occur-1): Specify t for KEEP-PROPS to occur-engine.
	(occur-engine): Use `face' prop rather than `font-lock-face'
	when specifying use of `match-face'.
	(occur-accumulate-lines): Change arg from NO-PROPS to KEEP-PROPS.

	* emacs-lisp/elint.el (elint-standard-variables): Update list.

	* add-log.el (add-log-current-defun): Handle the case where point
	is in the header part of a DEFUN construct.

2004-12-02  Dave Love  <fx@gnu.org>

	* progmodes/python.el (python-font-lock-syntactic-keywords):
	Fix previous change.

2004-12-02  Richard G Bielawski  <Richard.G.Bielawski@wellsfargo.com>  (tiny change)

	* paren.el (show-paren-function): Check for matching chars
	specified by text props.

2004-12-02  Jay Belanger  <belanger@truman.edu>

	* calc/calc.el (calc-read-key-sequence): Leave the old message visible
	when reading a new key sequence.

2004-12-02  Kim F. Storm  <storm@cua.dk>

	* faces.el (escape-glyph): Rename from glyph.
	(standard-display-table): Set it here.  Add escape-glyph face to
	extra slot characters.

	* disp-table.el: Undo 2004-12-01 change.  Display table is now
	setup in faces.el.

2004-12-02  Mark A. Hershberger  <mah@everybody.org>

	* xml.el (xml-parse-dtd): Don't show validity messages when
	xml-validating-parser is nil.
	(xml-substitute-special): Fix validity error messages to
	actually show the unexpandable entity.  Added validity error if &
	isn't followed by an entity.
	(xml-parse-tag): Concatenate any string following the a
	<![CDATA[]]> section to the parsed CDATA.
	(xml-parse-dtd): Skip parameter entity declarations and use of
	parameter entities.

2004-12-01  Luc Teirlinck  <teirllm@auburn.edu>

	* kmacro.el (kmacro-default-counter-format): New var.
	(kmacro-set-format): Use it.  Delete `(printf format)' from prompt.
	(kmacro-display): Remove `nil' from `and' form.  Delete call to
	`format' inside `message'.
	(kmacro-start-macro): Use `kmacro-default-counter-format'.

2004-12-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs.el (cvs-header-msg): New function.
	(cvs-update-header): Use it.  Change calling convention.
	Correctly handle the case of having simultaneous active processes.
	(cvs-sentinel): Don't call cvs-update-header any more.
	(cvs-mode-run): Update call and add cvs-update-header to postproc.

2004-12-01  Jay Belanger  <belanger@truman.edu>

	* calc/calc-ext.el (calc-inverse, calc-hyperbolic):
	Change message.

2004-12-01  Juri Linkov  <juri@jurta.org>

	* progmodes/prolog.el (prolog-mode-variables):
	Fix imenu-generic-expression.

2004-12-01  Daniel Pfeiffer  <occitan@esperanto.org>

	* faces.el (glyph): New face.

	* disp-table.el: Add an autoloaded table, that doesn't require
	this library, with glyph face.

	* textmodes/conf-mode.el (conf-ppd-mode-syntax-table): New var.
	(conf-ppd-mode): New conf-mode wrapper for printer descriptions.
	(conf-quote-normal): Allow normalizing only ' or ".
	(conf-mode): Regexp-quote constructed comment-start and don't
	match section {} where "name" contains braces.

	* files.el (auto-mode-alist): Add conf-ppd-mode, inittab and acpid
	files.

2004-12-01  Kenichi Handa  <handa@m17n.org>

	* term/x-win.el (x-last-selected-text-cut-encoded): New variable.
	(x-select-text): Don't treat eight-bit-control/graphic chars
	specially.  Store the encoded text in the X cut buffer.
	(x-cut-buffer-or-selection-value): Compare the X cut buffer text
	with x-last-selected-text-cut-encoded.

2004-11-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* man.el (Man-fontify-manpage): Improve handling of ANSI escapes.

2004-11-30  Markus Rost  <rost@ias.edu>

	* textmodes/tex-mode.el (tex-main-file): Add a compatibility with
	AUCTeX.

2004-11-30  Jay Belanger  <belanger@truman.edu>

	* calc/calc-arith.el (math-possible-signs): Made stronger checks
	on signs of intervals.
	(math-pow-of-zero): Strengthen checks for positive and negative
	exponents.

	* calc/calc-aent.el, calc/calc-alg.el, calc/calc-arith.el
	* calc/calc-bin.el, calc/calc-comb.el, calc/calc-cplx.el
	* calc/calc-embed.el, calc/calc-fin.el, calc/calc-forms.el
	* calc/calc-frac.el, calc/calc-funcs.el, calc/calc-graph.el
	* calc/calc-help.el, calc/calc-incom.el, calc/calc-keypd.el
	* calc/calc-lang.el, calc/calc-map.el, calc/calc-math.el
	* calc/calc-misc.el, calc/calc-mode.el, calc/calc-mtx.el
	* calc/calc-poly.el, calc/calc-prog.el, calc/calc-rewr.el
	* calc/calc-rules.el, calc/calc-sel.el, calc/calc-stat.el
	* calc/calc-store.el, calc/calc-stuff.el, calc/calc-trail.el
	* calc/calc-undo.el, calc/calc-units.el, calc/calc-vec.el
	* calc/calc-yank.el, calc/calcalg2.el, calc/calcalg3.el
	* calc/calccomp.el, calc/calcsel2.el: Replace dummy autoloaded
	functions with provide statements.

	* calc/calc-alg.el (math-defsimplify): Move from calc-ext.el.

	* calc/calc-embed.el (calc-do-embedded-activate): Remove from
	autoloads.

	* calc/calc-ext.el: Remove dummy autoloading functions from autoloads.
	(calc-load-everything, math-defsimplify): Replace dummy autoloading
	functions by require statements.
	(math-defsimplify): Move to calc-alg.el, add to autoloads.

	* calc/calc-graph.el (calc-gnuplot-name, calc-gnuplot-plot-command)
	(calc-gnuplot-print): Give them values.

	* calc/calc.el: Remove calc-Need-calc-aent and calc-Need-calc-misc from
	autoloads.
	Add calc-do-embedded-activate to autoloads.
	(calc-gnuplot-name, calc-gnuplot-plot-command)
	(calc-gnuplot-print-command): Move them to calc-graph.el.

2004-11-30  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (ccl-encode-mac-roman-font)
	(ccl-encode-mac-cyrillic-font)
	(ccl-encode-mac-centraleuropean-font, encoder-list)
	(fontset-add-mac-fonts, create-fontset-from-mac-roman-font):
	Support Cyrillic, CentralEuropean, and Dingbat font display

2004-11-30  Andre Spiegel  <spiegel@gnu.org>

	* vc-hooks.el (vc-recompute-state): Move here from vc.el.

	* vc-cvs.el (vc-cvs-state): Handle the case where vc-state is
	still nil.

2004-11-29  Luc Teirlinck  <teirllm@auburn.edu>

	* emulation/tpu-edt.el (tpu-help-keypad-map, tpu-help-text)
	(tpu-word-separator-list, tpu-skip-chars): defconst->defvar.

2004-11-29  Jay Belanger  <belanger@truman.edu>

	* calc/calc-arith.el (math-pow-of-zero): Take into account different
	cases of the base and exponent.

2004-11-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* simple.el (next-error-buffer-p): Allow for inclusive and
	exclusive tests for finding a buffer.
	(next-error-find-buffer): Pass the exclusive and inclusive tests
	to next-error-buffer-p.

	* replace.el (occur-next-error): Switch to the Occur buffer when
	appropriate, use the exclusive filter to next-error-find-buffer to
	do it.  Use the absolute value of the motion amount.

2004-11-29  Kenichi Handa  <handa@m17n.org>

	* startup.el (command-line): Decode all default-directory by
	locale-coding-system.

2004-11-29  Jay Belanger  <belanger@truman.edu>

	* calc/calc-aent.el: Remove unnecessary eval-when-compile.
	(calc-do-quick-calc, calc-do-calc-eval, calc-alg-entry)
	(math-read-expr-level, calc-check-user-syntax, math-read-factor):
	Replace calls to calc-extensions by appropriate require, replace
	calc-extensions-loaded by appropriate featurep.

	* calc/calc-ext.el: Move require to end of file.  Remove redundant
	loading of calc.el.
	(calc-extensions-loaded): Remove unnecessary variable.
	(calc-extensions): Remove unnecessary function.
	(calc-load-everything): Replace calc-need-macros by appropriate
	require.

	* calc/calc-macs.el: Move provide to end of file.
	(calc-need-macros): Remove unnecessary function.

	* calc/calc-misc.el (calc-do-handle-whys, calc-last-args-stub)
	(calc-missing-key, calc-shift-Y-prefix-help, math-concat)
	(math-trunc, math-floor, calcFunc-inv, math-mod, math-pow):
	Replace calc-extensions by appropriate require.
	(calc-power): Replace calc-extensions-loaded by appropriate featurep.

	* calc/calc-prog.el (calc-user-define-formula, calc-do-defmath):
	Replace calc-need-macros by appropriate require.

	* calc/calc.el: Move require to end of file.
	(calc-info-filename, calc-autoload-directory, calc-extensions-loaded):
	Remove unnecessary variable.
	(calc-do-dispatch, calc-mode, calc-check-defines, calc-create-buffer)
	(calc, calc-keypad, full-calc-keypad, calc-do, calc-normalize)
	(calc-binary-op, calc-unary-op, calcDigit-start, calcDigit-key)
	(math-normalize, math-add, math-mul, math-div, math-format-stack-value)
	(math-stack-value-offset, math-format-value, math-format-flat-expr)
	(math-format-number, math-format-bignum, math-read-number)
	(calc-grab-region, calc-grab-rectangle, calc-grab-sum-down)
	(calc-grab-sum-across, calc-embedded, defmath): Replace calc-extensions
	by appropriate require.
	(calc-check-defines): Replace calc-need-macros by appropriate require.

2004-11-29  Kim F. Storm  <storm@cua.dk>

	* macros.el (insert-kbd-macro): Handle kmacro functions.

2004-11-28  Juri Linkov  <juri@jurta.org>

	* compare-w.el (compare-windows-highlight): Attach each overlay
	to its window to properly highlight differences while comparing
	two windows of the same buffer.  Fix arguments.
	(compare-windows-sync-default-function): Fix arguments of
	`compare-windows-highlight'.

	* emacs-lisp/edebug.el (edebug-set-global-break-condition):
	Use `read-expression-history'.  Set initial contents only if
	`edebug-global-break-condition' is non-nil.  Set histpos to 1
	if initial contents is equal to the last history element.
	(edebug-set-conditional-breakpoint): Instead of temporarily
	prepending the current condition to the history, set initial
	contents to the current condition.  Set histpos to 1 if initial
	contents is equal to the last history element.

	* info.el (Info-search-whitespace-regexp): Remove shy group.
	(Info-search): Forward line if search is on the header line.
	Use search-whitespace-regexp in two other places.

2004-11-27  Luc Teirlinck  <teirllm@auburn.edu>

	* fringe.el (fringe-indicators): Add fake defvar to avoid compiler
	warning.  Delay real definition, which uses
	`set-fringe-indicators-1' till after the definition of that function.

2004-11-28  Kim F. Storm  <storm@cua.dk>

	* fringe.el (fringe): New defgroup.
	(fringe-mode): Move to fringe group.
	(fringe-indicators): New defcustom.
	(set-fringe-indicators-1): New defun.

	* menu-bar.el (menu-bar-options-save): Add fringe-indicators.
	(menu-bar-showhide-fringe-ind-menu): New keymap.
	(menu-bar-showhide-fringe-ind-empty)
	(menu-bar-showhide-fringe-ind-mixed)
	(menu-bar-showhide-fringe-ind-box)
	(menu-bar-showhide-fringe-ind-right)
	(menu-bar-showhide-fringe-ind-left)
	(menu-bar-showhide-fringe-ind-none): New defuns.
	(menu-bar-showhide-fringe-menu): Add "Indicators" sub-menu.

2004-11-27  Richard M. Stallman  <rms@gnu.org>

	* comint.el (comint-read-noecho): Add trivial compatibility definition.

	* generic.el (define-generic-mode): Doc fix.

	* menu-bar.el (menu-bar-options-save): For the options
	that are toggled with menu-bar-make-mm-toggle, don't check
	for customized-value prop.

2004-11-27  Eli Zaretskii  <eliz@gnu.org>

	* mail/supercite.el (sc-cite-region): Handle the case where
	sc-cite-frame-alist is a symbol.
	(sc-uncite-region): Handle the case where sc-uncite-frame-alist is
	a symbol.
	(sc-recite-region): Handle the case where sc-recite-frame-alist is
	a symbol.

2004-11-27  Arne J,Ax(Brgensen  <arne@arnested.dk>  (tiny change)

	* wid-edit.el (widget-narrow-to-field): New function.
	(widget-complete): Use it.

2004-11-27  Jay Belanger  <belanger@truman.edu>

	* calc/calc-aent.el (calc-eval-error): Declare and initialize the
	variable.
	(calc-eval-error): Don't check if the variable calc-eval-error is
	bound.
	(calc-buffer, calc-digit-value, math-expr-data): Declare them.
	(math-alg-inequalities): Move declaration to earlier in the file.

	* calc/calc-ext.el (calc-command-flags, calc-gnuplot-buffer)
	(calc-gnuplot-input, math-normalize-a, math-integral-cache):
	Declare them.

	* calc/calc-lang.el (math-expr-data, math-expr-token)
	(math-exp-old-pos): Declare them.

	* calc/calc-vec.el (math-exp-pos, math-exp-str, math-exp-old-pos)
	(math-exp-token, math-exp-keep-spaces, math-expr-data):	Declare them.

2004-11-27  Kim F. Storm  <storm@cua.dk>

	* progmodes/flymake.el: Use (featurep 'xemacs).
	(flymake-makehash): Change to defsubst.  Use fboundp.
	(flymake-time-to-float): Remove.
	(flymake-float-time): Merge code from flymake-time-to-float here.
	(flymake-replace-regexp-in-string): Change to defsubst.
	(flymake-split-string-remove-empty-edges):
	Rename to flymake-split-string.
	(flymake-split-string): Remove previous defalias.
	(flymake-get-temp-dir): Change to defsubst.
	(flymake-make-xemacs-menu, flymake-xemacs-window-edges):
	Define for xemacs only.
	(flymake-master-file-count-limit): Change into compiler defvar only.
	(flymake-find-possible-master-files): Let-bind it dynamically while
	sorting files using flymake-master-file-compare.

2004-11-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-compile-keywords): Don't complain if the end
	of defun-prompt-regexp matches inside a comment/string but the
	beginning is correctly outside everything.

	* progmodes/tcl.el (tcl-omit-ws-regexp): Avoid the case where { or [
	appears within a string or a comment.

	* emacs-lisp/cl-macs.el (cl-parse-loop-clause, labels): Use gensym
	rather than make-symbol for symbols which are used in
	a symbol-macrolet or equivalent.

2004-11-26  Jay Belanger  <belanger@truman.edu>

	* calc-misc.el (calc-last-why-command): Declare it.

	* calc-vec.el (math-grade-vec): New variable.
	(calcFunc-grade, calcFunc-rgrade, math-grade-beforep):
	Replace variable grade-vec by declared variable.
	(math-rb-close): New variable.
	(math-read-brackets, math-read-vector): Replace variable close by
	declared variable.

	* calc/calc-yank.el (calc-original-buffer, calc-return-buffer)
	(calc-one-window, calc-edit-handler, calc-restore-trail)
	(calc-allow-ret): Declare them.

	* calc/calc-stuff.el (calc-flush-caches): Remove unnecessary variables.
	(math-lud-cache, math-log2-cache, math-radix-digits-cache)
	(math-radix-float-cache-tag, math-random-cache)
	(math-max-digits-cache, math-integral-cache, math-units-table)
	(math-format-date-cache, math-holidays-cache-tag): Declare them.
	(math-moc-func): New variable.
	(math-map-over-constants, math-map-over-constants-rec):
	Replace variable func by declared variable.

	* calc/calc-store.el (calc-given-value, calc-store-opers):
	Declare them.
	(calc-var-name-map): Move declaration to earlier in the file.
	(calc-pv-pos): New variable.
	(calc-permanent-variable, calc-insert-permanent-variable):
	Replace variable pos by declared variable.

	* calc/calc-mtx.el (calc-det-lu): New variable.
	(math-det-raw, math-det-step): Replace variable lu by declared
	variable.

	* calc/calc-map.el (math-ms-temp, math-ms-args): New variables.
	(math-multi-subst, math-multi-subst-rec): Replace variables temp
	and arg by declared variables.
	(calcFunc-reducer): Fix incorrect variable.
	(math-inner-mul-func, math-inner-add-func): New variables.
	(calcFunc-inner, math-inner-mats): Replace variables mul-func
	and add-func by declared variables.

	* calc/calc-incom.el (calc-prev-char, calc-prev-prev-char)
	(calc-digit-value): Declare them.

	* calc/calc-help.el (Info-history): Declare it.
	(calc-describe-key): Make calc-summary-indentation a local variable.
	(calc-help-long-names): Move declaration to earlier in file.

	* calc/calc-embed.el (calc-original-buffer): Declare it.
	(calc-embed-outer-top, calc-embed-outer-bot, calc-embed-top)
	(calc-embed-bot): New variables.
	(calc-do-embedded, calc-embedded-mark-formula)
	(calc-embedded-find-bounds, calc-embedded-duplicate)
	(calc-embedded-new-formula, calc-embedded-make-info):
	Replace vars outer-top, outer-bot, bot and top by declared variables.
	(calc-embed-prev-modes): New variable.
	(calc-embedded-set-modes, calc-embedded-update): Replace variable
	prev-modes with declared variable.
	(calc-embed-vars-used): New variable.
	(calc-embedded-make-info, calc-embedded-evaluate-expr)
	(calc-embedded-update, calc-embedded-find-vars): Replace variable
	vars-used by declared variable.

	* calc/calc-bin.el (math-format-radix-float): Make pos a local
	variable.
	(math-format-radix-float): Remove unnecessary setq.
	(math-radix-float-cache): Declare it.

	* calc/calcsel2.el (calc-keep-selection): Declare it.

	* calc/calc-maint.el: Remove file.

2004-11-26  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-sort-entry-class)
	(bibtex-comment-start): Use defcustom.
	(bibtex-entry-field-alist): Use nil if initial content of the
	field is undefined.  Fix docstring.
	(bibtex-parse-keys-timeout, bibtex-autokey-additional-names)
	(bibtex-generate-autokey, bibtex-parse-buffers-stealthily)
	(bibtex-mode, bibtex-field-list, bibtex-entry-updat)
	(bibtex-autofill-entry, bibtex-entry-index, bibtex-next-field):
	Fix docstring.
	(bibtex-autokey-title-terminators): Use only one regexp.
	(bibtex-string-maybe-empty-head): New variable.
	(bibtex-remove-delimiters-string): New function.
	(bibtex-text-in-field-bounds, bibtex-text-in-string):
	Use bibtex-remove-delimiters-string.
	(bibtex-progress-message, bibtex-field-left-delimiter)
	(bibtex-field-right-delimiter, bibtex-entry-left-delimiter)
	(bibtex-entry-right-delimiter, bibtex-search-entry): Use eq.
	(bibtex-insert-kill): Rename from `bibtex-insert-current-kill'.
	Simplify.
	(bibtex-format-entry): Use save-excursion for inherited booktitle.
	Use eq and bibtex-remove-delimiters-string.  For end markers use
	insertion type so that marker stays after inserted text.
	(bibtex-autokey-get-names): Return empty string if name is missing.
	(bibtex-autokey-demangle-name): Call bibtex-autokey-abbrev before
	calling bibtex-autokey-name-case-convert.
	(bibtex-autokey-demangle-title):
	Call bibtex-autokey-titleword-case-convert.  Remove call to
	bibtex-autokey-titleword-case-convert from bibtex-autokey-get-title.
	(bibtex-global-key-alist, bibtex-read-string-key): New functions.
	(bibtex-read-key): New optional arg global.
	(bibtex-files-expand): New optional arg force.
	(bibtex-complete-string-cleanup): Expansion of abbrev can be absent.
	(bibtex-complete-crossref-cleanup): Rename from
	bibtex-complete-key-cleanup.  Simplify code.
	(bibtex-copy-summary-as-kill): Remove arg key.  Use looking-at.
	Operate on current entry.
	(bibtex-button): Add docstring.
	(bibtex-entry): Simplify.
	(bibtex-make-field): Replace optional arg called-by-yank with more
	specific args move and interactive.
	(bibtex-end-of-entry): Use forward-sexp.
	(bibtex-find-entry-globally): Remove.
	(bibtex-find-crossref): Allow for crossref key located in other buffer.
	Bound to C-c C-x.
	(bibtex-find-entry): New optional args global and display.
	(bibtex-find-text): Fix docstring.  Remove arg as-if-interactive.
	(bibtex-validate): Use arg force of bibtex-files-expand.
	(bibtex-clean-entry): Bugfix, clean string entries properly.
	Always keep point at beginning of entry.
	(bibtex-complete): Bugfix.  Handle string entries properly.
	Call cleanup functions only if needed.
	(bibtex-String): Use bibtex-read-string-key.
	(bibtex-url): Use bibtex-remove-delimiters-string.  Do not alter
	case of replacement text.

2004-11-26  Lars Hansen  <larsh@math.ku.dk>

	* tramp.el (tramp-handle-directory-files-and-attributes): New function.
	(tramp-perl-directory-files-and-attributes): New constant.
	(tramp-file-name-handler-alist): Delete file-directory-files, add
	directory-files-and-attributes.
	(tramp-perl-file-attributes): Surround uid and gid by double
	quotes.  Change parameter id-format from nonnumeric.
	(tramp-convert-file-attributes): New function.
	(tramp-handle-file-attributes): Use it.
	(tramp-maybe-send-perl-script): New function.
	(tramp-handle-file-attributes-with-perl): Use it.  Don't convert
	file mode.  Change parameter id-format from nonnumeric.
	(tramp-handle-file-attributes-with-ls): Change parameter id-format
	from nonnumeric.
	(tramp-post-connection): Don't send tramp-perl-file-attributes
	script.  Reset connection property "perl-scripts".
	(tramp-handle-insert-directory): Run real handler when ls-lisp is
	in use.

2004-11-26  Lars Hansen  <larsh@math.ku.dk>

	* desktop.el (desktop-read): Replace mapcar with mapc.
	(desktop-create-buffer): Replace mapcar with mapc.
	Remove redundant piece of code.

2004-11-27  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-display-line): Use display-buffer
	for GDB-UI as for GUD.

	* progmodes/gdb-ui.el (gdb-view-source, gdb-selected-view):
	Delete variables.
	(gdb-ann3): Don't make GUD buffer dedicated.
	(gdb-goto-breakpoint, gdb-display-buffer): Don't always dedicate.
	(gdb-display-source-buffer): Delete function.
	(gdb-view-source-function, gdb-view-assembler): Delete functions.
	(menu): Delete menu bindings for viewing source/assembler.
	(gdb-setup-windows, gdb-restore-windows):
	Don't dedicate GUD.  No assembler now.
	(gdb-reset): No need to undedicate source buffers now.
	(gdb-source-info): No assembler now.

2004-11-26  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-frame-parameters): Match height and
	width to those for special frames.
	(gdb-frame-breakpoints-buffer): Use gdb-frame-parameters.
	Use display-buffer.
	(gdb-frame-stack-buffer, gdb-frame-threads-buffer)
	(gdb-frame-registers-buffer, gdb-frame-locals-buffer)
	(gdb-frame-assembler-buffer): Rework like
	gdb-frame-breakpoints-buffer.

2004-11-25  Richard M. Stallman  <rms@gnu.org>

	* progmodes/flymake.el: Reindent.
	(flymake-split-string):	Turn into defalias.
	(flymake-fix-file-name): Rename from flymake-fix-path-name.
	(flymake-ensure-ends-with-slash): Rename arg to FILENAME.
	(flymake-get-common-file-prefix): Rename from ...path...  Doc fix.
	(flymake-build-relative-filename): Rename from ...path.
	Fix error message.

2004-11-25  Cheng Gao  <chenggao@gmail.com>

	* progmodes/flymake.el: Much whitespace and capitalization change.
	Move `provide' to end.  Require `compile' only when compiling.

2004-11-24  Jay Belanger  <belanger@truman.edu>

	* calc/calc-alg.el: Added comment.
	(math-polynomial-base): Replace variable mpb-top-expr by
	math-poly-base-top-expr.

	* calc/calc-poly.el (math-poly-base-top-expr): New variable.
	(math-polynomial-p1): Replace variable mpb-top-expr by declared
	variable.
	(math-poly-base-total-base): New variable.
	(math-total-polynomial-base, math-polynomial-p1): Replace variable
	mpb-total-base by declared variable.
	(math-factored-vars, math-to-list): Declare it.
	(math-fact-expr): New variable.
	(calcFunc-factors, calcFunc-factor, math-factor-expr)
	(math-factor-expr-try, math-factor-expr-part): Replace variable
	expr by declared variable.
	(math-fet-x): New variable.
	(math-factor-expr-try, math-factor-poly-coefs): Replace variable x
	by declared variable.
	(math-factor-poly-coefs): Make temp a local variable.

	* calc/calc-units.el (calc-convert-units): Make units a local
	variable.
	(calc-num-units, calc-den-units): New variables.
	(calc-explain-units, calc-explain-units-rec): Replace variables
	num-units and den-units by declared variables.
	(math-cu-unit-list): New variable.
	(math-build-units-table, math-compare-unit-names)
	(math-convert-units, math-convert-units-rec): Replace variable
	unit-list by declared variable.
	(math-fbu-base, math-fbu-entry): New variables.
	(math-find-base-units, math-find-base-units-rec): Replace variables
	base and entry by declared variables.
	(math-which-standard): New variable.
	(math-to-standard-units, math-to-standard-rec): Replace variable
	which-standard by declared variable.
	(math-fcu-u): New variable.
	(math-find-compatible-unit, math-find-compatible-unit-rec):
	Replace variable u by declared variable.
	(math-cu-new-units, math-cu-pure): New variables.
	(math-convert-units, math-convert-units-rec): Replace variables
	new-units and pure by declared variables.
	(math-try-cancel-units): New variable.
	(math-simplify-units-quotient): Replace variable try-cancel-units by
	declared variable.

2004-11-24  Richard M. Stallman  <rms@gnu.org>

	* textmodes/ispell.el (ispell-check-version):
	If default-directory is nonexistent, use home dir.

	* progmodes/grep.el (grep-regexp-alist):
	Don't match parens around line numbers.

	* progmodes/cperl-mode.el (cperl-indent-region)
	(cperl-imenu--create-perl-index, cperl-xsub-scan):
	Don't print progress messages.

	* progmodes/compile.el (compilation-mode-map):
	Don't inherit from compilation-minor-mode-map;
	copy its bindings instead.  But the menu bar Compile
	entry now does inherit from compilation-menu-map.

	* emacs-lisp/byte-opt.el (byte-optimize-form-code-walker):
	Use with-no-warnings around compiler-macroexpand.

	* imenu.el: Don't always require newcomment.
	(imenu--generic-function): Call comment-normalize-vars
	if we have a comment syntax.
	Exit the loop if REGEXP matches the null string.
	Test comment-start as well as comment-start-skip
	when deciding whether to check for comments.

	* tooltip.el (tooltip-mode): Doc fix.

	* term.el (term-escape-char, term-mode): Doc fixes.

2004-11-24  Dave Love  <fx@gnu.org>

	* progmodes/python.el (python-font-lock-syntactic-keywords):
	Check for escapes in the regexp.
	(python-quote-syntax): Don't do it here.

2004-11-24  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-breakpoints-mode-map)
	(gdb-frames-mode-map, gdb-threads-mode-map)
	(gdb-registers-mode-map, gdb-locals-mode-map)
	(gdb-assembler-mode-map): Bind "q" to kill-this-buffer.
	(gdb-set-window-buffer): Rename from dedicated-switch-to-buffer.

	Suggested by Stefan Monnier <monnier@iro.umontreal.ca>:
	(dedicated-switch-to-buffer): Rework.
	(gdb-var-evaluate-expression-handler, gdb-put-string):
	Remove unused variable bindings.
	(gdb-setup-windows, gdb-display-buffer):
	Simplify.  Use pop-to-buffer.
	(gdb-view-source-function): Simplify.
	(gdb-frame-breakpoints-buffer):
	Use pop-to-buffer, special-display-regexps.

2004-11-24  Glenn Morris  <gmorris@ast.cam.ac.uk>

	* progmodes/f90.el (f90-smart-end)
	(f90-previous-statement, f90-beginning-of-block): Doc fix.
	(f90-calculate-indent): Handle un-named PROGRAM blocks.
	(f90-end-of-block): Doc fix.  Make check of outermost block
	conditional on value of `f90-smart-end'.
	(f90-block-match): Hack to deal with un-named PROGRAM blocks.
	Handle case where END-BLOCK is nil.
	(f90-match-end): Handle un-named PROGRAM blocks.
	(f90-backslash-not-special): New function.

2004-11-24  Jay Belanger  <belanger@truman.edu>

	* calc/calc.el (calc-embedded-active): Removed unnecessary
	declaration.
	(calc-show-banner): Removed redundant declaration.

	* calc/calc-graph.el (calc-gnuplot-default-device)
	(calc-gnuplot-default-output, calc-gnuplot-print-device)
	(calc-gnuplot-print-output, calc-gnuplot-geometry)
	(calc-graph-default-resolution, calc-graph-default-resolution-3d):
	Remove redundant initial values.

	* calc/calc-arith.el (math-scalar-functions)
	(math-nonscalar-functions, math-scalar-if-args-functions)
	(math-real-functions, math-positive-functions)
	(math-nonnegative-functions, math-real-scalar-functions)
	(math-real-if-arg-functions, math-integer-functions)
	(math-num-integer-functions, math-rounding-functions)
	(math-float-rounding-functions, math-integer-if-args-functions)
	(math-super-types): Move declarations to earlier in file.
	(math-unit-prefixes): Declared it.
	(math-floor-prec, math-trunc-prec): New variables.
	(math-trunc-fancy): Replace variable prec by declared variable.
	(math-floor-fancy): Replace variable prec by declared variable.
	(math-com-bterms): New variable.
	(math-commutative-equal, math-commutative-collect):
	Replace variable bterms by declared variable.

	* calc/calc-misc.el (math-trunc): Replace variable prec by
	math-trunc-prec.
	(math-floor): Replace variable prec by math-floor-prec.

	* calc/calc-forms.el (math-fd-date, math-fd-dt, math-fd-year)
	(math-fd-month, math-fd-day, math-fd-weekday, math-fd-hour)
	(math-fd-minute, math-fd-second, math-fd-bc-flag): New variables.
	(math-format-date, math-format-date-part): Replace variables
	date, dt, year, month, day, weekday, hour, minute, second and
	bc-flag by declared variables.
	(math-pd-str): New variable.
	(math-parse-date, math-parse-date-word, math-parse-standard-date):
	Replace variable str by declared variable.
	(math-daylight-savings-hook, math-tzone-names): Move definitions
	to earlier in the file.
	(var-TimeZone, math-exp-str, math-exp-pos): Declare them.
	(math-sh-year): New variable.
	(math-setup-add-holidays, math-setup-holidays)
	(math-setup-year-holidays): Replace variable `year' by declared
	variable.

	* calc/calc-math.el (math-nrf-n, math-nrf-nf, math-nrf-nfm1):
	New variables.
	(math-nth-root-float, math-nth-root-float-iter): Replace variables
	n, nf and nfm1 by declared variables.
	(math-nri-n): New variable.
	(math-nth-root-integer, math-nth-root-int-iter): Replace variable
	n by declared variable.
	(calcFunc-log): Removed misplaced condition.

2004-11-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* generic.el (generic-mode-set-comments): Accept an empty comment-end.

2004-11-24  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (dedicated-switch-to-buffer): New function.
	(gdb-ann3, gdb-setup-windows, gdb-restore-windows):
	Dedicate gdb-related windows.
	(gdb-display-buffer): Dedicate gdb-related windows.
	Don't grab other frames.
	(gdb-reset): Remove dedicated property after debugging.

2004-11-24  Jay Belanger  <belanger@truman.edu>

	* calc/calc-sel.el: Add comment.

	* calc/calc.el (math-stack-value-offset): Replace variables c,
	wid and off with math-svo-c, math-svo-wid and math-svo-off.

	* calc/calccomp.el (math-comp-sel-tag): Declare it.
	(math-svo-c, math-svo-wid, math-svo-off): New variables.
	(math-stack-value-offset-fancy): Replace variables c, wid and off
	by declared variables.
	(math-comp-just, math-comp-comma-spc): New variables.
	(math-compose-expr, math-compose-matrix): Replace variables `just'
	and comma-spc by declared variable.
	(math-comp-vector-prec): New variable.
	(math-compose-expr, math-compose-matrix, math-compose-rows):
	Replace variable vector-prec by declared variable.
	(math-comp-left-bracket, math-comp-right-bracket)
	(math-comp-comma): New variables.
	(math-compose-expr, math-compose-rows): Replace variables
	left-bracket, right-bracket and comma by declared variables.
	(math-comp-full-width): New variable.
	(math-comp-to-string-flat, math-comp-to-string-flat-term):
	Replace variable full-width by declared variable.
	(math-comp-highlight, math-comp-word, math-comp-level)
	(math-comp-margin, math-comp-pos, math-comp-buf, math-comp-base)
	(math-comp-hgt, math-comp-tag, math-comp-hpos, math-comp-vpos):
	New variables.
	(math-comp-to-string-flat, math-comp-to-string-flat-term)
	(math-comp-sel-flat-term): Replace variables comp-highlight,
	comp-word, comp-level, comp-margin, comp-pos and comp-buf by
	declared variables.
	(math-comp-simplify, math-comp-simplify-term)
	(math-comp-add-string, math-comp-add-string-sel):
	Replace	variables comp-highlight, comp-buf, comp-base,
	comp-height, comp-tag, comp-hpos and comp-vpos by declared variables.

2004-11-23  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* cus-start.el (all): Add x-use-old-gtk-file-dialog.

	* mail/emacsbug.el (report-emacs-bug): Catch error that x-server-vendor
	and x-server-version may throw.

2004-11-23  Kim F. Storm  <storm@cua.dk>

	* subr.el (substitute-key-definition-key): Optimize.
	Don't call indirect-function for nil defn (always signals error).

	* ido.el (ido-read-internal): Fix require-match check when
	ido-directory-too-big is set.

2004-11-23  Jay Belanger  <belanger@truman.edu>

	* calc/calc-ext.el (math-read-replacement-list)
	(math-read-superscripts): New variables.
	(math-read-preprocess-string): New function.
	(math-read-expr): Filter input through math-read-preprocess-string.

	* calc/calc-aent.el (math-read-exprs): Filter input through
	math-read-preprocess-string.

2004-11-23  Daniel Pfeiffer  <occitan@esperanto.org>

	* progmodes/compile.el (compilation-start): In cd command use
	substitute-env-vars -- not quite shell compatible but better than
	nothing.
	(compilation-error-regexp-alist-alist): Simplify ftnchek to only
	handle the newer versions messages, which are more parseable.

2004-11-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* reveal.el (reveal-mode-map): New var.
	(reveal-mode): Use it.

2004-11-23  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-flush-pending-output): New variable.
	(gdb-send-item, gdb-resync, gud-gdba-marker-filter): Use it.

2004-11-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* buff-menu.el (list-buffers-noselect): Re-add the leading space in the
	header-line when needed.
	Use fixed-pitch only in the header-line.
	Build the underline automatically.  Use emdash if available.

2004-11-22  Richard M. Stallman  <rms@gnu.org>

	* dired.el (dired-recursive-copies): Move from dired-aux.el.
	* dired-aux.el (dired-recursive-copies): Move to dired.el.

2004-11-22  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-resync): New function.
	(gdb-pre-prompt, gdb-prompt, gdb-starting, gdb-stopping)
	(gdb-frame-begin, gdb-stopped, gdb-post-prompt):
	Use it to fail more gracefully.
	(gdb-variables): Delete variable.
	Re-order variables to reduce byte-compiler warnings.

2004-11-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* descr-text.el (describe-char):
	* paren.el (show-paren-function):
	* subr.el (syntax-after): Undo last change.

	* progmodes/python.el (run-python): Don't hard code *Python*.
	Don't modify global process-environment.
	(python-send-region, python-load-file): Don't assume that
	python-buffer == (process-buffer (python-proc)).
	(python-switch-to-python): Simplify.

	* dired.el (dired-align-file): Don't assume line starts with spaces.

2004-11-21  Jay Belanger  <belanger@truman.edu>

	* calc/calc-ext.el (math-read-big-expr, math-read-big-bigp):
	Replace variable `lines' by math-read-big-lines.
	(math-read-big-expr): Replace variables the-baseline, the-h2
	and err-msg by math-read-big-baseline, math-read-big-h2 and
	math-read-err-msg.
	(math-read-big-bigp): Replace variable h2 with math-rb-h2.

	* calc/calc-lang.el (math-read-big-rec): Fix typo.
	(math-read-big-balance): Replace unbound variable by value.
	(math-read-big-lines): New variable.
	(math-read-big-rec, math-read-big-char, math-read-big-emptyp)
	(math-read-big-error, math-read-big-balance): Replace variable
	`lines' by declared variable.
	(math-read-big-baseline, math-read-big-h2): New variables.
	(math-read-big-rec): Replace variables the-baseline and the-h2
	by declared variables.
	(math-rb-h1, math-rb-h2, math-rb-v1, math-rb-v2): New variables.
	(math-read-big-rec, math-read-big-char, math-read-big-emptyp)
	(math-read-big-balance): Replace variables h1, h2, v1 and v2 by
	declared variables.
	(math-read-big-err-msg): New variable.
	(math-read-big-error): Replace variable err-msg by declared variable.

2004-11-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ses.el: Add coding cookie.
	Fix up docstrings, follow new commenting conventions.
	(ses-header-line-menu): Fix missing variable rename for header-row.
	(ses-cell-size): Remove.
	(ses-make-cell): New function.
	(ses-cell, ses-insert-row, ses-insert-column): Use it.
	(ses-calculate-cell): Remove unused var `symbol'.
	(ses-narrowed-p): New function.
	(ses-goto-data, undo-more, ses-reconstruct-all): Use it.
	(ses-initial-file-trailer): Change ;;; to ;; for local vars.
	(ses-load, ses-reconstruct-all): Adjust string search accordingly.
	(ses-setup): Use restore-buffer-modified-p.
	(ses-cleanup): Remove unused var `end'.
	(ses-header-string-left-offset): Remove.
	(ses-create-header-string): Adjust to new behavior of `align-to'.
	Truncate excessively large fields to preserve alignment.
	(ses-reconstruct-all): Remove unused var `refs'.
	(ses-read-cell-printer): Remove unused var `prompt'.
	(ses-delete-row): Remove unused var `pos'.
	(ses-delete-column): Remove unused var `new'.

2004-11-21  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Insert :version tag into all defgroup and defcustom.
	Use (featurep 'xemacs) instead of (eq ps-print-emacs-type 'xemacs).
	Eliminate eval-and-compile usage.
	(ps-insert-file): Use insert-file-contents instead of insert-file.
	(ps-setup): Code fix.

	* printing.el (pr-setup, lpr-setup): Code fix.

2004-11-21  Jay Belanger  <belanger@truman.edu>

	* calc/calc-prog.el (math-integral-cache-state, calc-lang)
	(calc-original-buffer): Declare them.
	(calc-user-formula-alist): New variable.
	(calc-user-define-formula, calc-fix-user-formula)
	(calc-user-define-composition, calc-finish-formula-edit):
	Replace variable `alist' by declared variable.
	(var-q0, var-q1, var-q2, var-q3, var-q4, var-q5, var-q6)
	(var-q7, var-q7, var-q8, var-q9): Declare them.
	(calc-kbd-push): Don't check to see if var-q0 through var-q9
	are bound.
	(calcFunc-typeof): Replace undeclared variable by expression.
	(math-exp-env): New variable.
	(math-define-body, math-define-exp): Replace exp-env by declared var.
	(math-define-exp): Replace misplaced variable by expression.

	* calc/calcalg3.el (calc-curve-nvars, calc-curve-varnames)
	(calc-curve-model, calc-curve-coefnames): New variables.
	(calc-curve-fit, calc-get-fit-variables): Replace variables nvars,
	varnames, model and coefnames by declared variables.
	(math-root-widen): New variable.
	(math-search-root, math-find-root): Replace variable root-widen by
	declared variable.
	(var-DUMMY): Declare it.
	(math-root-vars, math-min-vars): Move the declarations to earlier in
	the file.
	(math-brent-min): Make d a local variable.
	(math-find-minimum): Replace non-existent variable.
	(math-ninteg-romberg): Remove unnecessary variable.
	(math-ninteg-temp): New variable.
	(math-ninteg-romberg, math-ninteg-midpoint): Replace variable
	integ-temp by declared variable.
	(math-fit-first-var, math-fit-first-coef, math-fit-new-coefs):
	New variables.
	(math-general-fit): Replace variables first-var, first-coef and
	new-coefs by declared variables.
	(calcFunc-fitvar): Replace variable first-var by declared variable.
	(calcFunc-fitparam): Replace variable first-coef by declared variable.
	(calcFunc-fitdummy): Replace variable new-coefs by declared variable.
	(math-all-vars-vars, math-all-vars-found): New variables.
	(math-all-vars-in, math-all-vars-rec): Replace variables vars and
	found by declared variable math-all-vars-vars.

2004-11-20  Luc Teirlinck  <teirllm@auburn.edu>

	* emacs-lisp/cust-print.el (custom-printers): Use `defvar' instead
	of `defconst'.

2004-11-20  Richard M. Stallman  <rms@gnu.org>

	* isearch.el (isearch-mode-map): Don't bind SPC.
	(isearch-whitespace-chars): Function deleted.
	(isearch-search): Bind search-spaces-regexp.
	(isearch-lazy-highlight-search): Likewise.
	(search-whitespace-regexp): Doc fix.
	(isearch-forward-regexp): Doc fix.

	* emacs-lisp/bytecomp.el (byte-compile-form):
	Move the calls to byte-compile-set-symbol-position,
	to avoid having two for the same symbol occurrence.

	* comint.el (comint-input-ring-size): Increase to 150.

	* hexl.el (hexl-mode-old-hl-line-mode, hexl-mode-old-ruler-mode):
	New variables.
	(hexl-mode): Set those variables, record ruler-mode and hl-line-mode.
	(hexl-mode-exit): Restore status of ruler-mode and hl-line-mode.

	* imenu.el (imenu--generic-function):
	Ensure we keep moving backward even if BEG isn't further back.

	* replace.el (query-replace-read-to, query-replace-read-from):
	Specify t for KEEP-ALL in read-from-minibuffer.

	* progmodes/python.el (python-switch-to-python):
	If Python isn't running, start it.
	Don't alter debug-ignored-errors.

	* progmodes/cperl-mode.el (cperl-indent-region):
	Don't mind imenu-scanning-message.

	* bindings.el (global-map): Bind C-e to move-end-of-line.

	* simple.el (line-move-finish): New arg FORWARD.
	Ignore invisible newlines, not intangible ones.
	Conditions for acceptable stopping positions depend on FORWARD.
	(line-move): Pass FORWARD arg to line-move-finish.

	* buff-menu.el (list-buffers-noselect): Eliminate space at the start
	of HEADER.  Compensate for this change in the code to add display
	properties.  Don't make the first line intangible.

	* info.el (Info-search): Fix previous change.

2004-11-20  Thien-Thi Nguyen  <ttn@gnu.org>

	* Makefile.in (recompile): Revert 2004-11-19 change.
	(compile): Likewise.

2004-11-19  Luc Teirlinck  <teirllm@auburn.edu>

	* Makefile.in (compile): Set `max-specpdl-size' before compiling.

2004-11-19  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* progmodes/ebnf2ps.el: Fix typos.  Insert :version tag into all
	defgroup and defcustom.  Eliminate eval-and-compile usage.

	* progmodes/ebnf-otz.el: Fix typos.

2004-11-19  Jay Belanger  <belanger@truman.edu>

	* calc/calc-yank.el (calc-edit-disp-trail): New variable.
	(calc-edit-finish, calc-finish-stack-edit): Replace variable
	disp-trail by declared variable.

	* calc/calc-sel.el (calc-edit-disp-trail): Declare it.
	(calc-finish-selection-edit): Replace variable disp-trail by
	declared variable.
	(calc-selection-cache-entry): Move declaration to earlier in the file.
	(calc-selection-cache-num, calc-selection-cache-comp)
	(calc-selection-cache-offset, calc-selection-true-num)
	(calc-final-point-line, calc-final-point-column)
	(calc-original-buffer): Declare them.
	(calc-fnp-op, calc-fnp-num): New variables.
	(calc-find-nth-part, calc-find-nth-part-rec)
	(calc-select-previous): Replace op and num by declared variables.
	(calc-rsf-old, calc-rsf-new): New variables.
	(calc-replace-sub-formula, calc-replace-sub-formula-rec):
	Replace variables old and new by declared variables.
	(calc-sel-reselect): New variable.
	(calc-auto-selection, calc-enter-selection, calc-edit-selection)
	(calc-sel-evaluate, calc-sel-expand-formula, calc-sel-expand-formula)
	(calc-sel-mult-both-sides, calc-sel-add-both-sides): Replace variable
	reselect with declared variable.

	* calc/calc-rewr.el (math-regs, math-num-regs, math-prog-last)
	(math-bound-vars, math-conds, math-copy-neg, math-rhs)
	(math-pattern, math-remembering, math-aliased-vars, math-mt-many)
	(math-import-list, math-rewrite-phase): Declare them.
	(math-rewrite): Use let* to declare variables.
	(calc-rewrite-selection): Make rules a local variable.
	(calc-rewr-sel): New variable.
	(calc-rewrite-selection, calc-locate-selection-marker)
	(calc-rewrite): Use the declared variable calc-rewr-sel instead
	of sel.
	(math-rewrite-whole-expr): New variable.
	(math-rewrite, math-rewrite-phase): Replace variable expr by
	declared variable.
	(math-rewrite-heads-heads, math-rewrite-heads-skips)
	(math-rewrite-heads-blanks ): New variables.
	(math-rewrite-heads, math-rewrite-heads-rec): Replace variables
	heads, skips and blanks by declared variables.
	(math-rwcomp-subst-old, math-rwcomp-subst-new)
	(math-rwcomp-subst-old-func, math-rwcomp-subst-new-func):
	New variables.
	(math-rwcomp-substitute, math-rwcomp-subst-rec): Replace variables
	old, new, old-func and new-func by declared variables.
	(math-rwcomp-assoc-args, math-rwcomp-addsub-args):
	Remove unnecessary variable.
	(math-apply-rw-regs): New variable.
	(math-apply-rewrites, math-rwapply-replace-regs)
	(math-rwapply-reg-looks-negp): Replace variable regs by declared var.
	(math-apply-rw-ruleset): New variable.
	(math-apply-rewrites, math-rwapply-remember): Replace variable
	ruleset by declared variable.

2004-11-19  Richard M. Stallman  <rms@gnu.org>

	* info.el (Info-search): Use search-whitespace-regexp.

2004-11-19  Thien-Thi Nguyen  <ttn@gnu.org>

	* vc-rcs.el (vc-rcs-parse): New function.
	(vc-rcs-annotate-command): Likewise.
	(vc-rcs-annotate-current-time): Likewise.
	(vc-rcs-annotate-time): Likewise.
	(vc-rcs-annotate-extract-revision-at-line): Likewise.

2004-11-19  Thien-Thi Nguyen  <ttn@gnu.org>

	* Makefile.in (recompile): Set `max-specpdl-size' before compiling.

2004-11-18  Jay Belanger  <belanger@truman.edu>

	* calc/calc-alg.el (math-simplify-divisor): Remove unnecessary vars.

2004-11-17  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el: Eliminate use of interactive-p and eval-and-compile.
	Use of (featurep 'xemacs) instead of (eq ps-print-emacs-type 'xemacs).
	Use make-temp-file to generate PostScript files in any situation.
	(pr-ps-temp-file): Now specify a prefix to generate temporary files.
	(pr-interactive-p): Eliminate var.
	(pr-save-interactive): Eliminate macro.
	(pr-interface, pr-ps-directory-preview)
	(pr-ps-directory-using-ghostscript, pr-ps-directory-print)
	(pr-ps-directory-ps-print, pr-ps-buffer-preview)
	(pr-ps-buffer-using-ghostscript, pr-ps-buffer-print)
	(pr-ps-buffer-ps-print, pr-ps-region-preview)
	(pr-ps-region-using-ghostscript, pr-ps-region-print)
	(pr-ps-region-ps-print, pr-ps-mode-preview)
	(pr-ps-mode-using-ghostscript, pr-ps-mode-print, pr-ps-mode-ps-print)
	(pr-printify-directory, pr-txt-directory, pr-despool-preview)
	(pr-despool-using-ghostscript, pr-despool-print, pr-despool-ps-print)
	(pr-ps-file-up-preview, pr-ps-file-using-ghostscript)
	(pr-ps-file-up-ps-print, pr-toggle-file-duplex, pr-toggle-file-tumble)
	(pr-toggle-file-landscape, pr-toggle-ghostscript, pr-toggle-faces)
	(pr-toggle-spool, pr-toggle-duplex, pr-toggle-tumble)
	(pr-toggle-landscape, pr-toggle-upside-down, pr-toggle-line)
	(pr-toggle-zebra, pr-toggle-header, pr-toggle-header-frame)
	(pr-toggle-lock, pr-toggle-region, pr-toggle-mode, pr-ps-name)
	(pr-txt-name, pr-ps-utility, pr-ps-fast-fire, pr-txt-fast-fire)
	(pr-update-menus, pr-interface-ps-prin, pr-interface-preview):
	Eliminate pr-save-interactive usage.
	(pr-menu-lock, pr-ps-utility-args, pr-set-outfilename):
	Eliminate pr-interactive-p usage.
	(pr-toggle-file-duplex-menu, pr-toggle-file-tumble-menu)
	(pr-toggle-file-landscape-menu, pr-toggle-ghostscript-menu)
	(pr-toggle-faces-menu, pr-toggle-spool-menu, pr-toggle-duplex-menu)
	(pr-toggle-tumble-menu, pr-toggle-landscape-menu)
	(pr-toggle-upside-down-menu, pr-toggle-line-menu, pr-toggle-zebra-menu)
	(pr-toggle-header-menu, pr-toggle-header-frame-menu)
	(pr-toggle-lock-menu, pr-toggle-region-menu, pr-toggle-mode-menu):
	New funs.
	(pr-ps-file): Use make-temp-file to generate a temporary file.

2004-11-17  Jay Belanger  <belanger@truman.edu>

	* calc/calc-alg.el (calc-poly-div): Make calc-poly-div-remainder
	a local variable.
	(math-eval-rules-cache, math-eval-rules-cache-other): Declare them.
	(math-top-only): New variable.
	(math-simplify, math-simplify-step): Replace variable top-only by
	declared variable math-top-only.
	(math-simplify-expr): Declare it.
	Replace argument expr in all calls of math-defsimplify by
	math-simplify-expr.
	(math-simplify-plus, math-simplify-times, math-simplify-divide)
	(math-simplify-divisor, math-simplify-one-divisor)
	(math-simplify-mod, math-simplify-ineq, math-simplify-sqrt)
	(math-simplify-pow): Replace variable expr by declared variable
	math-simplify-expr.
	(math-simplify-divisor): Remove local variables temp and op.
	(math-simplify-one-divisor): Make temp and op local variables.
	(math-simplify-divisor-nover, math-simplify-divisor-dover):
	New variables.
	(math-simplify-divisor, math-simplify-one-divisor):
	Replace variables nover and dover by declared variables.
	(math-expr-subst-new, math-expr-subst-old): New variables.
	(math-expr-subst, math-expr-subst-rec): Replace variables new
	and old by declared variables.
	(math-is-poly-degree, math-is-poly-loose): New variables.
	(math-is-polynomial, math-is-poly-rec): Replace variables degree
	and loose by declared variables.
	(math-poly-base-const-ok, math-poly-base-pred): New variables.
	(math-polynomial-base, math-polynomial-base-rec):
	Replace variables const-ok and mpb-pred by declared variables.

	* calc/calc-poly.el (calc-poly-div-remainder): Declare it.

	* calc/calc-ext.el (math-defsimplify): Change the argument in
	the created function to math-simplify-expr.

	* calc/calc-units.el (math-simplify-expr): Declare it.
	Replace argument expr in all calls of math-defsimplify by
	math-simplify-expr.
	(math-simplify-units-prod): Replace variable expr by declared
	variable math-simplify-expr.

2004-11-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* buff-menu.el (list-buffers-noselect): Massage to fit in 80 columns.
	Replace mapcar->dolist, format->string.

2004-11-17  Miles Bader  <miles@gnu.org>

	* progmodes/idlw-shell.el, progmodes/idlw-toolbar.el
	* progmodes/idlwave.el: Remove RCS keywords.

2004-11-17  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlwave.el, progmodes/idlw-toolbar.el
	* progmodes/idlw-shell.el, progmodes/idlw-rinfo.el:
	Update to IDLWAVE version 5.5.  Too many changes to list them here.
	* progmodes/idlw-help.el: New file.

2004-11-16  Richard M. Stallman  <rms@gnu.org>

	* international/iso-cvt.el (iso-tex2iso-trans-tab):
	Discard spaces after \i according to TeX rules.

	* international/mule.el (set-buffer-file-coding-system):
	New arg NOMODIFY.
	(after-insert-file-set-coding): Pass that new arg.
	Prevent set-buffer-multibyte from trying to lock the file.

	* buff-menu.el (list-buffers-noselect): New arg BUFFER-LIST.

	* saveplace.el (save-place): Doc fix.

	* dabbrev.el (dabbrev-expand): When handling SPC M-/,
	temporarily widen before finding the following word to copy.

	* emacs-lisp/lucid.el (map-keymap): Definition deleted.
	(cl-map-keymap): Definition deleted.

	* subr.el (map-keymap-internal): New function.

2004-11-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/flyspell.el (flyspell-mouse-map): Pop the menu
	when pressing rather than when releasing mouse-2.  Simplify.

2004-11-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-setup): Don't set buffer-read-only.
	(compilation-mode): Set it here instead.

	* emacs-lisp/cl-compat.el (pair-with-newsyms): Use make-symbol.

	* emacs-lisp/cl-macs.el: Use make-symbol rather than gensym.
	(loop, cl-parse-loop-clause, defsetf): Use backquote.

2004-11-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-internal-error-properties):
	Fix up a transposition-typo.  Check end-col before using it.

2004-11-14  Frederic Han  <han@math.jussieu.fr>  (tiny change)

	* international/iso-cvt.el (iso-tex2iso-trans-tab):
	Discard whitespace after macro \i when converting it.

2004-11-16  Juri Linkov  <juri@jurta.org>

	* emacs-lisp/find-func.el (find-function-regexp):
	Optimize `define-minor-mode'.  Add `defun-cvs-mode'.
	Add `deffoo'.  Add `f' to [^cgv] to exclude `defface'.
	Remove invalid `\W' from [^cgv\W].  Doc fix.
	(find-function-search-for-symbol): Replace "\\>" with "\\_>".

2004-11-15  Luc Teirlinck  <teirllm@auburn.edu>

	* play/life.el: Maintainer is now FSF.
	(life-patterns, life-neighbor-deltas, life-window-start)
	(life-current-generation, life-generation-string): Use defvar
	instead of defconst.

2004-11-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-move-to-column): New fun.
	(compilation-internal-error-properties)
	(compilation-next-error-function): Use it to make sure we don't go past
	the end of line.

2004-11-15  John Paul Wallington  <jpw@gnu.org>

	* autoinsert.el (auto-insert-alist): Insert the user's name in
	copyright notice, rather than Free Software Foundation, for the
	Emacs Lisp header case too.

2004-11-15  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el (pr-ps-file-print, pr-toggle-duplex): Fix typos.
	Reported by Glenn Morris <gmorris+emacs@ast.cam.ac.uk>.
	(pr-switches-string): If SWITCHES is nil, return nil.  Otherwise,
	return the list of string in a string.
	(pr-call-process): Message if calling process returns an error, that
	is, the exit status is different of zero.

2004-11-15  Jay Belanger  <belanger@truman.edu>

	* calc/calcalg2.el (math-integrate-by-parts): Remove unused
	variable var-thing.
	(math-integ-depth, math-integ-level, math-integral-limit)
	(math-enable-subst, math-any-substs, math-integ-msg)
	(math-prev-parts-v, math-good-parts, math-max-integral-limit)
	(math-int-threshold, math-int-factors, math-double-roots)
	(math-solve-simplifying, var-IntegLimit, math-solve-sign)
	(var-GenCount): Declare these variables.
	(calcFunc-integ): Don't check if var-IntegLimit is bound.
	(math-integral-cache, math-integral-cache-state):
	Move declarations to earlier in the file.
	(math-deriv-var, math-deriv-total, math-deriv-symb)
	(math-cur-record, math-has-rules, math-t1, math-t2, math-t3)
	(math-so-far, math-integ-expr, math-expr-parts, calc-low)
	(calc-high, math-solve-var, math-solve-full, math-solve-vars)
	(math-try-solve-sign, math-solve-b, math-solve-system-vv)
	(math-solve-res): New variables
	(math-derivative, calcFunc-deriv, calcFunc-tderiv)
	(math-integral, math-replace-integral-parts)
	(math-integrate-by-parts, calc-dump-integral-cache)
	(math-try-integral, math-do-integral, math-do-integral)
	(math-do-integral-methods, math-try-solve-for)
	(math-try-solve-prod, math-solve-poly-funny-powers)
	(math-solve-crunch-poly, math-decompose-poly)
	(math-solve-find-root-term, math-find-root-in-prod)
	(math-integ-try-linear-substitutions)
	(math-integ-try-substitutions, math-expr-rational-in)
	(math-expr-rational-in-rec, calcFunc-table, math-scan-for-limits)
	(math-solve-prod, math-solve-quartic, math-poly-all-roots)
	(math-solve-for, math-solve-system, math-solve-system-rec)
	(math-solve-get-sign, math-solve-get-int)
	(math-solve-system-subst): Replace undeclared variables with newly
	declared variables.

2004-11-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* winner.el (winner-active-region, winner-edges, winner-window-list):
	Define at toplevel.
	(winner-mode-map): Move init inside declaration.

2004-11-14  Luc Teirlinck  <teirllm@auburn.edu>

	* files.el (convert-standard-filename): Doc fix.

2004-11-14  Daniel Pfeiffer  <occitan@esperanto.org>

	* files.el (auto-mode-alist): Handle .gtkrc, and under /etc
	passwd, group, shadow, default/* and pam.d/*.

2004-11-14  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el (pr-menu-spec): Adjust menu specification.

2004-11-13  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el: Doc fix.  Insert :version tag into all defcustom.
	Handle interactive-p as is recommended in Emacs Lisp Reference.
	Set the file permission bits for newly created files.
	Reported by Glenn Morris <gmorris+emacs@ast.cam.ac.uk>.
	The printing menu specification (in `pr-menu-spec') was merged.
	Suggested by Stefan Monnier <monnier@iro.umontreal.ca>.
	(pr-version): New version number (6.8.3).
	(pr-file-modes): New option.
	(pr-interactive-p): New var.
	(pr-save-interactive, pr-save-file-modes): New macros.
	(pr-setup): Code fix.
	(pr-menu-spec): Menu specification merged.
	(pr-call-process, pr-text2ps): Set file permission bits.
	(pr-despool-print): Set file permission bits.  Handle interactive-p as
	is recommended.
	(pr-interface, pr-ps-directory-preview)
	(pr-ps-directory-using-ghostscript, pr-ps-directory-print)
	(pr-ps-directory-ps-print, pr-ps-buffer-preview)
	(pr-ps-buffer-using-ghostscript, pr-ps-buffer-print)
	(pr-ps-buffer-ps-print, pr-ps-region-preview)
	(pr-ps-region-using-ghostscript, pr-ps-region-print)
	(pr-ps-region-ps-print, pr-ps-mode-preview)
	(pr-ps-mode-using-ghostscript, pr-ps-mode-print, pr-ps-mode-ps-print)
	(pr-printify-directory, pr-txt-directory, pr-despool-preview)
	(pr-despool-using-ghostscript, pr-despool-ps-print)
	(pr-ps-file-up-preview, pr-ps-file-using-ghostscript)
	(pr-ps-file-up-ps-print, pr-toggle-file-duplex, pr-toggle-file-tumble)
	(pr-toggle-file-landscape, pr-toggle-ghostscript, pr-toggle-faces)
	(pr-toggle-spool, pr-toggle-duplex, pr-toggle-tumble)
	(pr-toggle-landscape, pr-toggle-upside-down, pr-toggle-line)
	(pr-toggle-zebra, pr-toggle-header, pr-toggle-header-frame)
	(pr-toggle-lock, pr-toggle-region, pr-toggle-mode, pr-ps-name)
	(pr-txt-name, pr-ps-utility, pr-ps-fast-fire, pr-txt-fast-fire)
	(pr-menu-lock, pr-update-menus, pr-ps-utility-args)
	(pr-set-outfilename, pr-interface-ps-print, pr-interface-preview):
	Handle interactive-p as is recommended.

2004-11-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/byte-opt.el (byte-optimize-inline-handler): Simplify.
	(byte-decompile-bytecode-1): Remove unused vars `tag' and `retcount'.

	* font-lock.el (font-lock-fontify-syntactically-region): Fix last fix
	so it doesn't forget to highlight the beginning of the region either.

2004-11-13  Daniel Pfeiffer  <occitan@esperanto.org>

	* progmodes/cc-mode.el (c-basic-common-initc-font-lock-init)
	(c-font-lock-init): Eliminate obsolete make-local-hook.
	(c-mode, c++-mode, objc-mode, java-mode, idl-mode, pike-mode)
	(awk-mode): Use run-mode-hooks.

	* progmodes/cperl-mode.el (cperl-mode): Use run-mode-hooks.

2004-11-13  Kim F. Storm  <storm@cua.dk>

	* mouse.el (mouse-drag-copy-region): Add :version.
	(mouse-drag-mode-line-1): Let bind mouse-autoselect-window to nil
	while dragging mode line, so mode line can be dragged downwards.
	(mouse-drag-region-1): Let bind make-cursor-line-fully-visible
	while pressing mouse button so window doesn't scroll until we
	release the mouse if clicking on partially visible line.

2004-11-12  Jay Belanger  <belanger@truman.edu>

	* calc/calc-graph.el (calc-dumb-map): Declare it.
	(calc-graph-show-dumb): Check if calc-dumb-map is non-nil rather
	than unbound.
	(calc-graph-name): Made `end' a local variable.
	(calc-graph-lookup): Made `varname' a local variable.
	(var-DUMMY, var-DUMMY2, var-PlotRejects, calc-gnuplot-trail-mark):
	Declare them.
	(calc-graph-format-data): Don't check if var-PlotRejects is bound.
	(calc-graph-plot, calc-graph-compute-3d): Remove references to
	the unused variable y3vec.
	(calc-graph-show-dumb): Remove reference to unused variable found-pt.
	(calc-graph-kill-hook, calc-graph-plot): Remove reference to
	calc-graph-prev-kill-hook.
	(calc-graph-yvalue, calc-graph-yvec, calc-graph-numsteps)
	(calc-graph-numsteps3, calc-graph-xvalue, calc-graph-xvec)
	(calc-graph-xname, calc-graph-yname, calc-graph-xstep)
	(calc-graph-ycache, calc-graph-ycacheptr, calc-graph-refine)
	(calc-graph-keep-file, calc-graph-xval, calc-graph-xlow)
	(calc-graph-xhigh, calc-graph-yval, calc-graph-yp, calc-graph-xp)
	(calc-graph-zp, calc-graph-yvector, calc-graph-resolution)
	(calc-graph-y3value, calc-graph-y3name)
	(calc-graph-y3step, calc-graph-y3step, calc-graph-zval)
	(calc-graph-stepcount, calc-graph-is-splot)
	(calc-graph-surprise-splot, calc-graph-blank)
	(calc-graph-non-blank, calc-graph-curve-num): New variables.
	(calc-graph-plot, calc-graph-compute-2d, calc-graph-refine-2d)
	(calc-graph-recompute-2d, calc-graph-compute-3d)
	(calc-graph-format-data): Replace undeclared variables with the
	above newly declared variables.

2004-11-12  Diane Murray  <dsm@muenster.de>  (tiny change)

	* mail/rmail.el (rmail-get-new-mail): Use the renamed variables
	`rsf-beep' and `rsf-sleep-after-message'.

	* mail/rmail-spam-filter.el (rmail-spam-filter): Only check white
	list if `message-sender' is non-nil.

2004-11-12  Kevin Rodgers  <ihs_4664@yahoo.com>  (tiny change)

	* desktop.el (desktop-create-buffer, desktop-save): Avoid some
	consing by using mapc instead of mapcar.

2004-11-12  Nick Roberts  <nickrob@snap.net.nz>

	* tooltip.el (require): Explain why CL is needed.

2004-11-11  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el: Insert :version into defgroup (printing).  All reference
	to Files option in menubar were changed to File.
	(pr-version): New version number (6.8.2).
	(pr-get-symbol): Call easy-menu-intern.
	(pr-region-active-p): Now is a fun (it was defsubst).  To avoid
	compilation gripes.

2004-11-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/byte-opt.el (byte-compile-inline-expand): Understand the
	new byte-compile-function-environment binding to t.

	* font-lock.el (font-lock-fontify-syntactically-region):
	Don't forget to highlight the last char when we hit `end'.

	* mwheel.el (mouse-wheel-progressive-speed): Fix typo in name.
	(mwheel-scroll): Adjust accordingly.

	* cvs-status.el: Reduce spurious warnings.
	(cvs-status-checkout): Remove.
	(cvs-status-mode-map): Use cvs-mode-checkout instead.

	* pcvs.el (cvs-mode-checkout): New command.

	* international/iso-cvt.el (iso-cvt-define-menu): Fix typo.

	* tooltip.el: Require CL.

	* emacs-lisp/bytecomp.el: Use push.
	(byte-compile-file-form-defalias): Rename from byte-compile-defalias.
	(defalias): Remove the `byte-compile' property and add
	a `byte-hunk-handler'.

2004-11-11  Juri Linkov  <juri@jurta.org>

	* info.el (Info-search): Save match data for isearch.
	Skip Tag Table node.

	* descr-text.el (describe-char): Replace syntax-after with code
	from its previous version.

	* files.el (magic-mode-alist): Use optimization for SGML mode too.
	(set-auto-mode): Doc fix.  Remove unused variable `xml'.

	* international/mule.el (sgml-html-meta-auto-coding-function):
	Remove > after <html to allow HTML attributes.

2004-11-11  Jay Belanger  <belanger@truman.edu>

	* calc/calc-comb.el (math-prime-factors-finished): Declare it as
	a variable.
	(calcFunc-dfac): Replace unbound max by n.
	(math-stirling-local-cache): New variable.
	(math-stirling-number, math-stirling-1, math-stirling-2):
	Replace the variable `cache' by the declared variable
	math-stirling-local-cache.
	(var-RandSeed): Declare it as a variable.
	(math-init-random-base, math-random-digit): Don't check to see if
	var-RandSeed is bound.
	(math-random-cache, math-gaussian-cache, calc-verbose-nextprime):
	Declare them instead of just setting them.
	(math-init-random-base): Made i a local variable.
	(math-random-digit): Made math-random-last a local variable.
	(math-prime-test-cache): Move declaration to before it is used.
	(math-prime-test-cache-k, math-prime-test-cache-q)
	(math-prime-test-cache-nm1, math-prime-factors-finished):
	Declare them as variables.

2004-11-11  Jay Belanger  <belanger@truman.edu>

	* calc/calc-ext.el (math-defcache): Use defvar for the new
	variables it creates.

2004-11-11  Lars Hansen  <larsh@math.ku.dk>

	* desktop.el (desktop-buffer-mode-handlers, desktop-after-read-hook)
	(desktop-clear-preserve-buffers-regexp, desktop-file-name-format)
	(desktop-globals-to-clear, desktop-no-desktop-file-hook, desktop-path)
	(desktop-save): Add :version.

2004-11-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* printing.el (pr-get-symbol): Don't downcase.

2004-11-10  Jay Belanger  <belanger@truman.edu>

	* calc/calc-aent.el (calc-do-quick-calc): Use kill-new to append
	string to kill-ring.

	* calc/calc-aent.el (calc-alg-exp, math-toks)
	(math-exp-pos,math-exp-old-pos, math-exp-token)
	(math-exp-keep-spaces, math-exp-str): New variables.
	(calc-do-alg-entry, calcAlg-equals, calcAlg-edit)
	(calcAlg-enter): Use declared variable calc-alg-exp.
	(math-build-parse-table, math-find-user-token): Use declared
	variable math-toks.
	(math-read-exprs, math-read-token, calc-check-user-syntax)
	(calc-match-user-syntax, match-factor-after, math-read-factor):
	Use declared variables math-exp-pos math-exp-old-pos.
	(math-read-exprs, math-read-token, math-read-expr-level)
	(calc-check-user-syntax, calc-match-user-syntax)
	(match-factor-after, math-read-factor): Use declared variable
	math-exp-token.
	(math-read-exprs, math-read-expr-list, math-read-token)
	(math-read-factor): Use declared variable math-exp-keep-spaces.
	(math-read-exprs, math-read-token): Use declared variable
	math-exp-str.
	(calc-match-user-syntax): Make m a local variable.

	* calc/calc-ext.el (math-read-expr): Use declared variables
	math-exp-pos, math-exp-old-pos, math-exp-str, math-exp-token,
	math-exp-keep-spaces.

	* calc/calc-forms.el (math-read-angle-bracket): Use declared
	variables math-exp-pos, math-exp-str.

	* calc/calc-lang.el (math-parse-tex-sum): Use declared variable
	math-exp-old-pos.
	(math-parse-fortran-vector, math-parse-fortran-vector-end)
	(math-parse-eqn-prime): Use declared variable math-exp-token.

	* calc/calc-vec.el (math-read-brackets, math-check-for-commas):
	Use declared variable math-exp-pos.
	(math-check-for-commas): Use declared variable math-exp-str.
	(math-read-brackets): Use declared variables math-exp-old-pos,
	math-exp-keep-spaces.
	(math-read-brackets, math-read-vector, math-read-matrix):
	Use declared variable math-exp-token.

2004-11-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/easymenu.el (easy-menu-define-key): Understand the case
	where the keymap is a symbol.
	(easy-menu-add-item): Use keymap-prompt.  Simplify.

	* files.el (magic-mode-alist): Reduce backtracking in the HTML regexp.

	* textmodes/sgml-mode.el (sgml-tag-text-p): New fun.
	(sgml-parse-tag-backward): Use it to skip spurious < or >.

2004-11-10  Thien-Thi Nguyen  <ttn@gnu.org>

	* ebuff-menu.el: Doc fixes throughout.
	(electric-buffer-menu-mode-hook): New defvar.

2004-11-10  Nick Roberts  <nickrob@snap.net.nz>

	* tooltip.el: Don't require cl, comint, gud, gdb-ui for compilation.
	The resulting compiler warnings appear to be harmless.

2004-11-10  Daniel Pfeiffer  <occitan@esperanto.org>

	* textmodes/conf-mode.el: New file.

	* files.el (auto-mode-alist, magic-mode-alist): Use it.

2004-11-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/iso-cvt.el (iso-cvt-define-menu): Clean up namespace.

2004-11-09  Jay Belanger  <belanger@truman.edu>

	* calc/calc-ext.el (calc-init-extensions): Remove old code.

	* calc/calc-ext.el (math-expr-data, math-mt-many, math-mt-func)
	(calc-z-prefix-buf, calc-z-prefix-msgs): New variables.
	(calc-z-prefix-help, calc-user-function-list): Use declared
	variables calc-z-prefix-buf, calc-z-prefix-msgs.
	(math-map-tree, math-map-tree-rec): Use declared variables
	math-mt-many, math-mt-func.
	(math-read-expression, math-read-string): Use declared variable
	math-expr-data.

	* calc/calc-ext.el (math-normalize-nonstandard): Use declared
	variable math-normalize-a.

	* calc/calc.el (math-normalize-a): New variable.
	(math-normalize): Use declared variable math-normalize-a.

	* calc/calc-poly.el (math-expand-form): Use declared variable
	math-mt-many.

	* calc/calc-rewr.el (math-rewrite, math-rewrite-phase):
	Use declared variable math-mt-many.
	(math-rewrite): Use declared variable math-mt-func.

	* calc/calc-vec.el (math-read-brackets, math-read-vector)
	(math-read-matrix): Use declared variable math-expr-data.

	* calc/calc-lang.el (math-parse-fortran-vector)
	(math-parse-fortran-vector-end, math-parse-tex-sum)
	(math-parse-eqn-matrix, math-parse-eqn-prime)
	(math-read-math-subscr): Use declared variable math-expr-data.

	* calc/calc-aent.el (math-read-exprs, math-read-expr-list)
	(math-read-expr-level, math-read-token, calc-check-user-syntax)
	(calc-match-user-syntax, math-read-if, math-factor-after)
	(math-read-factor): Use declared variable math-expr-data.

2004-11-09  Glenn Morris  <gmorris@ast.cam.ac.uk>

	* calendar/diary-lib.el (diary-from-outlook)
	(diary-from-outlook-gnus, diary-from-outlook-rmail): Do not use
	interactive-p; but rather new optional argument NOCONFIRM.

2004-11-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/easymenu.el (easy-menu-intern): Revert to no-downcasing.
	(easy-menu-name-match): Revert correspondingly.

2004-11-09  Richard M. Stallman  <rms@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-defalias):
	Turn off warnings for the new function even if definition not constant.
	If the definition isn't a quoted symbol, record (FUNCTION . t).
	(byte-compile-function-environment): Now allow (FUNCTION . t) as elt.
	(byte-compile-callargs-warn): Handle (FUNCTION . t).
	(display-call-tree, byte-compile-arglist-warn):
	Handle t returned by byte-compile-fdefinition.

2004-11-09  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* Makefile.in (maintainer-clean): Depend on distclean.

	* help-fns.el (help-C-file-name): File name must be in build-files
	to be returned.

2004-11-09  Jay Belanger  <belanger@truman.edu>

	* calc/calc.el (calc-mode-hook, calc-trail-mode-hook)
	(calc-start-hook, calc-end-hook, calc-load-hook): New variables.

	* calc/calc.el (calc, calc-trail-display, calc-mode):
	Remove obsolete sections.

	* calc/calc.el (calc-x-paste-text): Remove.

	* calc/calc-ext.el (calc-init-extensions): Bind calc-yank to
	mouse-2.

2004-11-09  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-current-stack-level): New variable.
	(gdb-info-frames-custom, gdb-frame-handler): Use it to find
	current frame (in case of recursive calls).
	(gdb-show-changed-values): Add :version keyword.

2004-11-09  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el: Change coding: tag back to
	iso-2022-7bit.

2004-11-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/mule-cmds.el: Change coding-system to utf-8.
	(select-safe-coding-system-interactively):
	New function extracted from select-safe-coding-system.
	(select-safe-coding-system): Use it.

2004-11-08  Richard M. Stallman  <rms@gnu.org>

	* subr.el (syntax-after): Doc fix.

	* paren.el (show-paren-function): Change calls to syntax-after
	for new way of returning the value.

	* menu-bar.el (menu-bar-file-menu): Make this the real name
	and menu-bar-files-menu the alias.  Use the former.
	(global-map): Use `file', not `files', as the symbol.

	* info.el (Info-revert-find-node): Don't use beginning-of-buffer.

	* filesets.el (filesets-spawn-external-viewer, filesets-run-cmd):
	Don't use beginning-of-buffer.
	(filesets-cmd-show-result): Use with-no-warnings.

2004-11-08  Juri Linkov  <juri@jurta.org>

	* progmodes/compile.el (compile): Don't overwrite last command in
	minibuffer history with default command if they are not equal.

2004-11-08  Jay Belanger  <belanger@truman.edu>

	* calc/calcalg2.el (math-do-integral-methods): Try linear then
	non-linear substitutions.

2004-11-08  Jay Belanger  <belanger@truman.edu>

	* calc/calcalg2.el (math-linear-subst-tried): New variable.
	(math-do-integral): Set `math-linear-subst-tried' to nil.
	(math-do-integral-methods): Use `math-linear-subst-tried' to
	determine what type of substitution to try.
	(math-integ-try-linear-substituion):
	Set `math-linear-subst-tried' to t.

2004-11-08  Kim F. Storm  <storm@cua.dk>

	* Makefile.in (bootstrap-clean): New target for 'make bootstrap'.

2004-11-07  Juri Linkov  <juri@jurta.org>

	* info-look.el (info-lookup): Allow reusing in the current buffer
	not only *info* buffer, but all (even renamed) Info buffers
	by checking for major-mode instead of *info* buffer name.
	(c-mode, autoconf-mode, emacs-lisp-mode, scheme-mode)
	(octave-mode, maxima-mode) <doc-spec>:
	Allow long dashes generated by Texinfo 4.7 before definitions.
	(texinfo-mode) <doc-spec>: Add space to suffix to find command
	definitions with argument separated by space.

2004-11-06  Richard M. Stallman  <rms@gnu.org>

	* simple.el (next-error group, face): Move before first use.
	(next-error-highlight, next-error-highlight-no-select): Likewise.

	* simple.el (line-move-invisible-p): Rename from line-move-invisible.
	(line-move): New args NOERROR and TO-END.
	Return t if succeed in moving specified number of lines.
	(move-end-of-line): New function.

	* simple.el (beginning-of-buffer-other-window): Use with-no-warnings.
	(end-of-buffer-other-window): Likewise.

	* simple.el (line-move-ignore-invisible): Default to t.

	* subr.el (syntax-after): Return the syntax letter, not the raw code.

	* emacs-lisp/elp.el (elp-results): Delete wasteful beginning-of-buffer.

	* international/iso-cvt.el (iso-cvt-define-menu):
	Rename menu-bar-files-menu to menu-bar-file-menu.

	* net/browse-url.el (browse-url-gnome-moz-program)
	(browse-url-gnome-moz-arguments): Move up before first use.

	* net/tramp.el (tramp group): Add :version.

	* progmodes/ada-xref.el (ada-gdb-application):
	Use goto-char instead of beginning-of-buffer.

	* progmodes/cperl-mode.el (cperl-info-on-command):
	Use goto-char instead of beginning-of-buffer.

	* progmodes/idlw-shell.el (idlwave-shell-examine-map):
	Move up before first use.
	(idlwave-shell-temp-pro-file): Likewise.
	(idlwave-shell-temp-rinfo-save-file): Likewise.
	(idlwave-shell-temp-file): Minor doc fix.

	* textmodes/flyspell.el (flyspell-external-point-words):
	Use goto-char instead of beginning-of-buffer.

2004-11-06  Kai Grossjohann  <kai.grossjohann@gmx.net>

	* net/tramp.el (tramp-coding-commands): Additionally try "uudecode -o
	/dev/stdout" before trying "uudecode -o -".  Suggested by Han Boetes.
	(tramp-uudecode): Mention `uudecode -o /dev/stdout'.

2004-11-06  David Ponce  <david@dponce.com>

	* recentf.el (recentf-menu-path): Use menu item name.

2004-11-06  Eli Zaretskii  <eliz@gnu.org>

	* progmodes/gdb-ui.el: Don't call define-fringe-bitmap if the
	display doesn't support images.

2004-11-06  Andreas Schwab  <schwab@suse.de>

	* tempo.el (tempo-match-finder): Doc fix.

	* emacs-lisp/easymenu.el (easy-menu-get-map): Fix last change.

2004-11-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/easymenu.el (easy-menu-get-map-look-for-name): Remove.
	(easy-menu-lookup-name): New fun to replace it.
	(easy-menu-get-map): Use it to obey menu item names (rather than just
	keys) when looking up `path'.
	(easy-menu-always-true-p): Rename from easy-menu-always-true.
	(easy-menu-convert-item-1): Adjust to new name.

2004-11-06  Peter Heslin  <pj@heslin.eclipse.co.uk>  (tiny change)

	* outline.el (hide-body): Don't hide lines at the top of the file
	that precede the first header line.

2004-11-06  Paul Pogonyshev  <pogonyshev@gmx.net>

	* align.el (align-areas): Delete whitespace before reindenting, so
	that tabs are never placed after spaces.

2004-11-06  Alan Shutko  <ats@acm.org>

	* macros.el (insert-kbd-macro): Do completions based on macros,
	rather than all commands.

2004-11-06  David Hansen  <david.hansen@gmx.net>  (tiny change)

	* tempo.el (tempo-match-finder): Use [:word:] instead of "^\\b",
	to solve a bug whereby tags with 'b' don't match.

2004-11-05  Juri Linkov  <juri@jurta.org>

	* info.el (Info-search): Don't search in node header lines
	and file headers.

	* emacs-lisp/edebug.el (edebug-next-token-class): Allow all
	symbol-constituent characters after dot, not only digits.

2004-11-04  Daniel Pfeiffer  <occitan@esperanto.org>

	* files.el (set-auto-mode): Don't get error after setting -*-mode-*-.

2004-11-04  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* dired.el (dired-read-dir-and-switches): Call read-directory-name
	if a dialog will be used, read-file-name otherwise.

2004-11-04  Richard M. Stallman  <rms@gnu.org>

	* textmodes/table.el (table group): Add :version.

	* textmodes/ispell.el (ispell-word):
	Don't alter args; set them only thru `interactive' spec.

	* textmodes/flyspell.el (flyspell-word):
	Don't alter FOLLOWING; set it only thru `interactive' spec.

	* progmodes/f90.el (f90-end-of-block): Don't use interactive-p.

	* net/browse-url.el (browse-url-maybe-new-window):
	Use called-interactively-p.

	* mail/supercite.el (sc-cite-region):
	Don't use interactive-p.  Add arg INTERACTIVE.
	(sc-version): Don't use interactive-p.  Rename arg to MESSAGE.

	* international/mule-cmds.el (set-input-method, toggle-input-method):
	Don't use interactive-p.  Add arg INTERACTIVE.

	* eshell/esh-mode.el (eshell-show-maximum-output):
	Don't use interactive-p.
	(eshell-truncate-buffer): Just message, no error, if buffer is short.

	* mouse.el (mouse-show-mark): Get positions to delete from mark
	and point, not from mouse-drag-overlay.

	* imenu.el (imenu-eager-completion-buffer): Add :version.

	* filesets.el (filesets group): Add :version.

2004-11-03  Daniel Pfeiffer  <occitan@esperanto.org>

	* files.el (xml-based-modes): Delete var.
	(magic-mode-alist): New more general var.
	(set-auto-mode): Use it.

	* buff-menu.el (Buffer-menu-make-sort-button): Preserve point even
	when clicking from another window.

2004-11-03  Thien-Thi Nguyen  <ttn@gnu.org>

	* vc-cvs.el (vc-cvs-local-month-numbers): Delete var.
	(vc-cvs-annotate-time): Incorporate value of deleted var.
	Remove special-case handling of beginning-of-buffer cruft.
	Cache ending position (point) and return value in text property
	`vc-cvs-annotate-time', and consult it on subsequent invocations.

	* vc-cvs.el (vc-cvs-annotate-command):
	Delete extraneous lines from beginning of buffer.
	* vc-mcvs.el (vc-mcvs-annotate-command): Likewise.

	* progmodes/grep.el (grep-default-command): Take empty string
	for tag if all other methods yield nil.  Shell-quote the tag.

	* vc.el (vc-annotate-display-autoscale): Add prefix-arg
	spec in `interactive' form, and mention it in the docstring.
	Also, make sure point is at bol after calling `annotate-time'.

2004-11-02  Richard M. Stallman  <rms@gnu.org>

	* cus-edit.el (customize-group-other-window):
	Select the window that displays the custom buffer.
	(custom-buffer-create-other-window): Likewise.

	* comint.el (comint-insert-input): Fix previous change.

	* emacs-lisp/elp.el (elp-instrument-function):
	Use called-interactively-p.

	* emacs-lisp/easymenu.el (easy-menu-intern):
	Don't downcase; rather, case-flip the first letter of each word.

	* emacs-lisp/easy-mmode.el (define-minor-mode):
	Use called-interactively-p.

	* emacs-lisp/bytecomp.el (byte-compile-warning-types):
	Add interactive-only.
	(byte-compile-warnings): Add interactive-only as option.
	(byte-compile-interactive-only-functions): New variable.
	(byte-compile-form): Warn about calls to functions
	in byte-compile-interactive-only-functions.

	* emacs-lisp/autoload.el (update-file-autoloads):
	Don't use interactive-p; take new arg SAVE-AFTER.

	* emacs-lisp/advice.el (ad-make-advised-definition):
	Use called-interactively-p.

2004-11-02  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* files.el (find-file-existing): New function.

	* menu-bar.el (menu-bar-files-menu): Make "Open File..." call
	find-file-existing.  Add "New File..." that calls find-file.

	* diropen.pbm, diropen.xpm: New files.

	* toolbar/tool-bar.el (tool-bar-setup): Tool bar item dired uses
	icon diropen.  New tool bar item find-file-existing uses icon open.

	* dired.el (dired-read-dir-and-switches): Call read-directory-name
	instead of read-file-name.

2004-11-02  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar-version): Increase to 0.08.
	(icalendar--split-value): Change name of work buffer.
	(icalendar--get-weekday-abbrev): Return nil on error.
	(icalendar--date-to-isodate): New function.
	(icalendar-convert-diary-to-ical)
	(icalendar-extract-ical-from-buffer): Use only two args for
	make-obsolete (XEmacs compatibility).
	(icalendar-export-file, icalendar-import-file): Blank at end of prompt.
	(icalendar-export-region): Doc fix.
	If error, return non-nil and write errors to a buffer.
	Use correct weekday for weekly recurring events.
	Check whether date has been parsed for ordinary events.
	Make weekly events start in the year 2000.
	DTEND is non-inclusive, shift end date by one day if
	necessary (not for entries that have date and time).
	Rename local let variables: oops -> found-error, datestring ->
	startdatestring.

2004-11-02  Kim F. Storm  <storm@cua.dk>

	* files.el (set-auto-mode-0): Don't rely on dynamic binding of
	keep-mode-if-same variable.  Add it as optional arg instead.
	(set-auto-mode): Call set-auto-mode-0 with keep-mode-if-same.

	* ehelp.el (electric-help-map): Reorder Q/q and R/r entries so
	substitute-command-keys will select lower-case bindings like those
	used in the static help texts.

	* descr-text.el (describe-text-properties): Don't err if called in
	the *Help* buffer; output to *Help-2* buffer instead.

	* kmacro.el (group kmacro): Add :version.
	(kmacro-keyboard-quit): New function to cleanup on C-g.
	(kmacro-start-macro): Set defining-kbd-macro to append when
	appending to last macro.

	* simple.el (keyboard-quit): Call kmacro-keyboard-quit.

2004-11-02  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-enable-debug-log)
	(gdb-use-inferior-io-buffer, gdb-use-colon-colon-notation)
	(gud-gdba-command-name, gdb-show-main, gdb-many-windows):
	Add :version keyword.

2004-11-02  Pavel Kobiakov  <pk_at_work@yahoo.com>

	* progmodes/flymake.el (flymake-err-line-patterns):
	Use `flymake-reformat-err-line-patterns-from-compile-el' to convert
	`compilation-error-regexp-alist-alist' to internal Flymake format.

	* progmodes/flymake.el: Eliminate byte-compiler warnings.

2004-11-01  Jay Belanger  <belanger@truman.edu>

	* calc/calc-frac.el (calc-over-notation): Replace `completing-read'
	with `interactive "s"'.

2004-11-01  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* mouse.el (mouse-yank-at-click, mouse-yank-secondary):
	Revert change from 2004-10-16.  '*' checks the current buffer, but the
	mouse click may be in another buffer.

2004-11-01  John Paul Wallington  <jpw@gnu.org>

	* files.el (large-file-warning-threshold): Add :version keyword.
	(kill-some-buffers): Doc fix.

	* thumbs.el (group thumbs): Add :version keyword.

	* textmodes/bibtex.el (bibtex-make-field): Fix typo.

2004-11-01  Richard M. Stallman  <rms@gnu.org>

	* textmodes/ispell.el (ispell-word): Don't use interactive-p.

	* textmodes/flyspell.el (flyspell-word): Don't use interactive-p.

	* allout.el (allout group): Add :version.
	(allout-init): Don't use interactive-p.
	(allout-ascend-to-depth, allout-ascend, allout-end-of-level)
	(allout-forward-current-level, allout-backward-current-level):
	Don't use interactive-p.

	* textmodes/bibtex.el (bibtex-make-field): Don't use interactive-p.
	(bibtex-find-text): Likewise.

	* progmodes/vhdl-mode.el (vhdl-fill-region)
	(vhdl-beginning-of-statement): Don't use interactive-p.

	* progmodes/idlwave.el (idlwave-update-routine-info):
	Don't use interactive-p.

	* progmodes/idlw-shell.el (idlwave-shell-send-char):
	Don't use interactive-p.

	* progmodes/cperl-mode.el (cperl-switch-to-doc-buffer):
	Don't use interactive-p.

	* progmodes/ada-xref.el (ada-make-body-gnatstub):
	Don't use interactive-p.

	* play/fortune.el (fortune-to-signature): Don't use interactive-p.
	(fortune-in-buffer): Doc fix.

	* play/5x5.el (5x5-new-game): Set up the buffer even if not
	interactive.

	* net/eudc.el (eudc-display-records): Use with-output-to-temp-buffer;
	don't select the temporary buffer.
	(eudc-get-email): New optional arg ERROR; don't use interactive-p.
	(eudc-get-phone): Likewise.

2004-11-01  Kim F. Storm  <storm@cua.dk>

	* man.el (Man-xref-normal-file): Fix help-echo.

2004-10-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* reveal.el (reveal-last-tick): New var.
	(reveal-post-command): Use it to avoid closing overlays when we're
	appending text to them.

2004-10-31  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el: Require button.
	(bibtex-autokey-transcriptions): Translate TeX `\ ' to space.
	(bibtex-reference-keys): Distinguish between header keys and
	crossref keys.
	(bibtex-beginning-of-field): New function.
	(bibtex-url-map): Remove.
	(bibtex-font-lock-keywords): Use bibtex-font-lock-crossref.
	(bibtex-font-lock-url-regexp): Assume that field names begin at
	the beginning of a line.
	(bibtex-font-lock-url): Simplify.  Do not use bibtex-enclosing-field.
	Remove field delimiters.  Use bibtex-beginning-of-field.
	Bugfix, point can be inside a field with a url.
	(bibtex-font-lock-crossref, bibtex-button-action, bibtex-button):
	New functions.
	(bibtex-mark-active, bibtex-run-with-idle-timer): Remove.
	(bibtex-key-in-head): Simplify.
	(bibtex-current-line): Use bolp.
	(bibtex-parse-keys): Remove unused arg `add'.
	Use bibtex-type-in-head and bibtex-key-in-head.
	(bibtex-parse-entry, bibtex-autofill-entry):
	Use bibtex-type-in-head and bibtex-key-in-head.
	(bibtex-autokey-get-field): Do not alter case of replacement text.
	(bibtex-autokey-get-names): Do all processing of name list.
	(bibtex-autokey-get-year): New function.
	(bibtex-autokey-get-title): Do all processing of title words.
	(bibtex-generate-autokey): Simplify.
	(bibtex-string-files-init): Use default-directory.
	Allow for absolute file names in bibtex-string-files.
	(bibtex-files, bibtex-file-path): New variables.
	(bibtex-files-expand): New function.
	(bibtex-find-entry-globally): New command.
	(bibtex-summary-function): New variable.
	(bibtex-summary): Default value of bibtex-summary-function.
	(bibtex-find-crossref): New optional args pnt and split.
	(bibtex-complete-key-cleanup): Call bibtex-summary-function.
	(bibtex-copy-summary-as-kill): New command bound to C-cC-t.
	(bibtex-validate): Fix docstring.  Check only abbreviated month fields.
	Fix handling of required and alternative fields.
	Identify duplicate keys even if bibtex-maintain-sorted-entries is nil.
	Use cons and display-buffer.
	(bibtex-validate-globally): New command.
	(bibtex-clean-entry): Use bibtex-files-expand.  Do not call
	bibtex-parse-keys and bibtex-parse-strings for updating
	bibtex-reference-keys and bibtex-strings.
	(bibtex-realign): Remove blank lines past the last entry.
	(bibtex-reformat): Use bibtex-entry-format as default.
	(bibtex-choose-completion-string): Remove.
	(bibtex-complete): Do not use bibtex-choose-completion-string.
	(bibtex-url): Simplify.

2004-10-31  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* x-dnd.el (x-dnd-test-function, x-dnd-protocol-alist)
	(x-dnd-types-alist, x-dnd-open-file-other-window)
	(x-dnd-known-types): Add :version.

2004-10-31  John Paul Wallington  <jpw@gnu.org>

	* ibuffer.el (group ibuffer): Add :version keyword.

2004-10-31  Kim F. Storm  <storm@cua.dk>

	* ido.el (group ido): Add :version keyword.
	(ido-mode): Remove :version keyword.

	* emulation/cua-base.el (group cua): Add :version keyword.
	(cua-mode): Remove :version keyword.

2004-10-30  Luc Teirlinck  <teirllm@auburn.edu>

	* autorevert.el (auto-revert-tail-mode-text): Add :version keyword.

	* help-at-pt.el (help-at-pt-timer): Move defvar up to avoid
	compiler warning.
	(help-at-pt-timer-delay): Add :initialize keyword.  Simplify :set
	function.
	(help-at-pt-display-when-idle): Remove autoload.

2004-10-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* makefile.w32-in (custom-deps, autoloads): Fix *-hooks -> *-hook.

2004-10-30  Juri Linkov  <juri@jurta.org>

	* help.el (function-called-at-point):
	* help-fns.el (variable-at-point): Read -> intern.

2004-10-30  Simon Josefsson  <jas@extundo.com>

	* progmodes/autoconf.el (autoconf-font-lock-keywords):
	Recognize AS_* too.

2004-10-29  Simon Josefsson  <jas@extundo.com>

	* subr.el (read-passwd): Move back from password.el.

	* password.el: Remove, not ready yet.

2004-10-29  Andreas Schwab  <schwab@suse.de>

	* speedbar.el (speedbar-frame-parameters): Improve customize type.

2004-10-29  Sam Steingold  <sds@gnu.org>

	* mouse.el (mouse-show-mark): Replace the last occurrence of
	x-lost-selection-hooks with x-lost-selection-functions.

2004-10-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mouse.el (mouse-show-mark): Adjust to new name and don't assume
	x-lost-selection-functions is bound.

	* mouse-sel.el (mouse-sel-mode):
	* emacs-lisp/lselect.el: Adjust to new names for
	x-(lost|sent)-selection-functions.

	* subr.el (x-lost-selection-hooks, x-sent-selection-hooks):
	New obsolete aliases of x-lost-selection-functions and
	x-sent-selection-functions.

2004-10-28  Kim F. Storm  <storm@cua.dk>

	* imenu.el (imenu-scanning-message): Remove.
	(imenu-progress-message): Make it a no-op.

2004-10-28  John Paul Wallington  <jpw@gnu.org>

	* files.el (set-auto-mode): Call `throw' correctly.

2004-10-28  Juri Linkov  <juri@jurta.org>

	* info.el (Info-file-list-for-emacs): Add ("Info" . "info")
	to search `Info-...' commands in `info' manual.
	(Info-goto-emacs-command-node, Info-goto-emacs-key-command-node):
	Add 'info-file "emacs" property.
	(Info-find-emacs-command-nodes): Fix index line number regexp.
	Set real line number (instead of fake 0) in first element of the
	returned list.
	(Info-goto-emacs-command-node): Use line number of first element
	to set point in the first found Info node.

	* progmodes/grep.el (grep-regexp-alist): Move match highlighting
	code to `grep-mode-font-lock-keywords'.
	(grep-mode-font-lock-keywords): Delete grep markers instead
	of making them invisible.

2004-10-28  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* mail/emacsbug.el (report-emacs-bug): Insert x-server-vendor
	and x-server-version in bug report.

2004-10-28  Daniel Pfeiffer  <occitan@esperanto.org>

	* files.el (set-auto-mode-0): New function.
	(set-auto-mode): Use it to handle aliased modes and to
	be consistent between C-x C-f and C-x C-w.

2004-10-28  Kenichi Handa  <handa@m17n.org>

	* international/utf-8.el (utf-translate-cjk-charsets):
	Add katakana-jisx0201.

	* international/subst-jis.el: Add data for JISX0201.

2004-10-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* obsolete/hilit19.el (hilit-mode): New function.
	Move all the toplevel side-effecting stuff into it, so that loading
	hilit19 doesn't mess everything up any more.

2004-10-27  Richard M. Stallman  <rms@gnu.org>

	* add-log.el (add-change-log-entry): Set up mailing address
	and full name later, and don't alter add-log-mailing-address
	or add-log-full-name.

	* elide-head.el (elide-head): Change error to message.
	(elide-head-show): Likewise.

	* apropos.el (apropos-macrop): Doc fix.

	* mouse.el (mouse-show-mark): Do most processing the same
	regardless of transient-mark-mode.

	* shadowfile.el (shadow-copy-files): Use interactive-p
	only to control whether to print a message.

	* tar-mode.el (tar-mode): Use write-contents-functions,
	not write-contents-hooks.

	* eshell/em-unix.el (eshell-du-sum-directory): Don't use
	directory-sep-char.

2004-10-27  Richard M. Stallman  <rms@gnu.org>

	* strokes.el (strokes-unload-hook): Fix previous change.

	* type-break.el (type-break-run-at-time): Always use run-at-time;
	forget the alternatives.
	(type-break-cancel-function-timers): Always use cancel-function-timers;
	forget the alternatives.

	* pcomplete.el (pcomplete-entries): Don't use directory-sep-char.

2004-10-27  Kenichi Handa  <handa@m17n.org>

	* international/subst-jis.el: Use utf-translate-cjk-substitutable-p.

	* international/subst-gb2312.el: Likewise.

	* international/subst-big5.el: Likewise.

	* international/subst-ksc.el: Likewise.

	* international/utf-8.el (utf-translate-cjk-unicode-range-string):
	New variable.
	(utf-translate-cjk-set-unicode-range): New function.
	(utf-translate-cjk-unicode-range): Make it customizable.
	(utf-8-post-read-conversion):
	Use utf-translate-cjk-unicode-range-string.
	(ccl-decode-mule-utf-8): Check utf-subst-table-for-decode for more
	Unicode ranges.

2004-10-26  Daniel Pfeiffer  <occitan@esperanto.org>

	* files.el (auto-mode-alist): Add pod, js, xbm and xpm and group
	trivial variants to shorten the list.
	(xml-based-modes): New var.
	(set-auto-mode): Give interpreter-mode-alist or <?xml or <!DOCTYPE
	declaration higher priority than auto-mode-alist.

	* find-file.el (cc-other-file-alist): Bring it in line with
	cc-mode's auto-mode-alist entries and use \' instead of $.

	* textmodes/sgml-mode.el (sgml-mode): Fix imenu-generic-expression
	and add "Id" and "Name" submenus to it.

	* imenu.el (imenu--generic-function): Skip matches in comments.

2004-10-26  Jay Belanger  <belanger@truman.edu>

	* calc/calc.el (calc,full-calc, calc-quit, calc-keypad)
	(full-calc-keypad, calc-trail-display): Use an extra argument
	instead of `interactive-p'.

	* calc/calc-misc.el (calc-other-window): Use an extra argument
	instead of `interactive-p'.

	* calc/calc-rewr.el (calc-match): Use an extra argument instead of
	`interactive-p'.

2004-10-26  Kim F. Storm  <storm@cua.dk>

	* help.el (describe-key): Describe both down-event and up-event
	for a mouse click.

2004-10-26  Richard M. Stallman  <rms@gnu.org>

	* woman.el (woman): Don't call interactive-p.

	* pcomplete.el (pcomplete): Instead of interactive-p,
	use an arg set non-nil by the interactive spec.

	* menu-bar.el (menu-bar-make-toggle): Instead of interactive-p,
	use an arg set non-nil by the interactive spec.

	* man.el (Man-cleanup-manpage): Instead of interactive-p,
	use an arg set non-nil by the interactive spec.

2004-10-26  Pavel Kobiakov  <pk_at_work@yahoo.com>

	* progmodes/flymake.el (flymake-split-string):
	Use `flymake-split-string-remove-empty-edges' in any case.

2004-10-26  Masatake YAMATO  <jet@gyve.org>

	* progmodes/flymake.el (flymake-err-line-patterns):
	Use `compilation-error-regexp-alist-alist' instead of
	`compilation-error-regexp-alist'.

2004-10-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/tex-mode.el (tex-font-lock-keywords-1): Fix up the spurious
	verbatim face on the \ of \end{verbatim}.

2004-10-25  Jay Belanger  <belanger@truman.edu>

	* calc/calc-incom.el (calc-digit-dots): Inhibit read-only before
	erasing minibuffer.

2004-10-25  Simon Josefsson  <jas@extundo.com>

	* subr.el (read-passwd): Move to net/password.el.

	* net/password.el (read-passwd): Add.  Autoload it.

2004-10-25  Kai Grossjohann  <kai.grossjohann@gmx.net>

	* mouse-sel.el (mouse-sel-mode): Specify custom group.

	* simple.el (process-file): Fix logic.

2004-10-24  Luc Teirlinck  <teirllm@auburn.edu>

	* indent.el (set-left-margin, set-right-margin): Delete redundant code.
	(increase-right-margin): Remove erroneous call to `interactive-p'.

2004-10-24  Kim F. Storm  <storm@cua.dk>

	* help.el (describe-mode): Fix 2004-10-13 change.
	Copy pure "Auto Fill" string so it can be propertized later
	without causing a read-only error.

2004-10-24  Luc Teirlinck  <teirllm@auburn.edu>

	* info.el (Info-find-emacs-command-nodes): Adapt to Texinfo-4.7
	style indexes.

2004-10-24  Kai Grossjohann  <kai.grossjohann@gmx.net>

	* simple.el (process-file): Accept nil for INFILE.  Reported by
	Luc Teirlinck.

2004-10-24  Masatake YAMATO  <jet@gyve.org>

	* progmodes/gdb-ui.el (gdb-assembler-font-lock-keywords):
	Handle periods and underscores in a function name.
	Remove the address fontification.

2004-10-24  Masatake YAMATO  <jet@gyve.org>

	* progmodes/asm-mode.el (asm-font-lock-keywords):
	Use font-lock-variable-name-face for registers.

2004-10-24  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-get-create-buffer): Allow modes to run
	kill-all-local-variables.
	(gdb-breakpoints-mode, gdb-frames-mode, gdb-threads-mode)
	(gdb-registers-mode, gdb-locals-mode, gdb-assembler-mode):
	Use kill-all-local-variables and provide mode-hooks.
	(gdb-assembler-font-lock-keywords): New font lock keywords definition.
	(gdb-assembler-mode): Use 'gdb-assembler-font-lock-keywords'.
	Suggested by Masatake YAMATO <jet@gyve.org>.

2004-10-23  Kai Grossjohann  <kai.grossjohann@gmx.net>

	* simple.el (process-file): New function, similar to call-process
	but supports file handlers.
	* vc.el (vc-do-command): Use it, instead of call-process.
	* net/tramp-vc.el (vc-do-command): Do not advise it if
	process-file is fboundp.
	* net/tramp.el (tramp-file-name-handler-alist): Add entry for
	process-file.
	(tramp-handle-process-file): New function.
	(tramp-file-name-for-operation): Support process-file.

2004-10-23  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar--weekday-array): New constant.
	(icalendar-weekdayabbrev-table)
	(icalendar-monthnumber-table): Delete.
	(icalendar--get-month-number): Use calendar-month-name-array.
	(icalendar--get-weekday-number): New function.
	(icalendar--get-weekday-abbrev) Use calendar-day-name-array.
	(icalendar-export-region): Handle multi-line entries.
	(icalendar--convert-ical-to-diary): Use calendar-day-name-array.

2004-10-23  John Paul Wallington  <jpw@gnu.org>

	* ibuffer.el (ibuffer-find-file): Remove `interactive-p' call;
	`wildcards' set to t in interactive spec.

	* ibuf-ext.el (ibuffer-jump-to-buffer): Read buffer name in
	interactive spec rather than use `interactive-p'.
	(ibuffer-kill-line): Set arg `interactive-p' in interactive spec
	rather than use function `interactive-p'.

2004-10-22  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (translate-region): Implement it in Lisp
	as a front end of translate-region-internal.

2004-10-21  Jay Belanger  <belanger@truman.edu>

	* calc/calc-aent.el (calc-alg-ent-map, calc-alg-ent-esc-map):
	Declare these variables with defvar.

	* calc/calc-aent.el (calc-do-alg-entry): Since `calc-alg-ent-map'
	is bound, only check to see if it is bound.

2004-10-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/tex-mode.el (tex-compilation-parse-errors):
	Don't output messages.

	* calc/calc-help.el (calc-describe-bindings): Fix last change.

2004-10-21  John Paul Wallington  <jpw@gnu.org>

	* calc/calc-graph.el (calc-graph-init):
	Use `set-process-query-on-exit-flag'.

2004-10-21  Daniel Pfeiffer  <occitan@esperanto.org>

	* progmodes/compile.el (compilation-start): Rely on `cd' to get
	dir right and also allow argumentless cd.

2004-10-19  Richard M. Stallman  <rms@gnu.org>

	* textmodes/flyspell.el (flyspell-mode): Doc fix.

	* eshell/em-unix.el (eshell-grep):
	Don't bind compilation-process-setup-function.

	* comint.el (comint-insert-input): Use @ in `interactive'.
	(comint-input-filter-functions): Doc fix.
	(comint-kill-whole-line, comint-get-source): Doc fix.

	* progmodes/compile.el (compilation-setup):
	Don't set buffer-read-only if MINOR is non-nil.

2004-10-19  Jay Belanger  <belanger@truman.edu>

	* calc/calc.el (calc-emacs-type-19, calc-emacs-type-epoch)
	(calc-emacs-type-gnu19): Remove.
	(calc-digit-map, calc-read-key-sequence, calc-read-key):
	Remove check for old emacs versions.

	* calc/calc-ext.el (calc-fancy-prefix): Remove emacs version check.
	(calc-init-extensions): Define `calc-alg-map' and `calc-alg-esc-map'
	for current Emacs.

	* calc/calc-aent.el (calcAlg-previous): Check to see if looking at
	the end of the minibuffer.
	(calc-do-alg-entry): Remove Emacs version check.  Use `copy-keymap' to
	copy `esc-map'.

	* calc/calc-graph.el (calc-graph-plot): Remove emacs version check.

	* calc/calc-mode.el (calc-total-algebraic-mode): Remove error
	call that would be given when the current emacs was used.

2004-10-19  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el: Set coding to utf-8.
	(icalendar-version): Increase to 0.07.
	(icalendar-monthnumber-table): Change March pattern.
	(icalendar-get-all-event-properties)
	(icalendar-set-event-property): Delete.
	(icalendar-all-events): No longer interactive.
	(icalendar-convert-diary-to-ical)
	(icalendar-extract-ical-from-buffer): Make obsolete, and alias to
	their replacements.
	(icalendar-export-file, icalendar-export-region): New functions;
	essentially old `icalendar-convert-diary-to-ical' but appending to
	target rather than overwriting.
	(icalendar-import-file): Append to target file rather than
	overwriting.  Fourth arg deleted.
	(icalendar-import-buffer): New name for old
	`icalendar-extract-ical-from-buffer'.
	(icalendar--convert-string-for-import): New name for
	old `icalendar-convert-for-import'.
	(include-icalendar-files): Delete.
	Prefix for all internal functions changed from `icalendar-'
	to `icalendar--'.

2004-10-19  Richard M. Stallman  <rms@gnu.org>

	* paths.el (news-path): Fix previous change.

2004-10-18  Jay Belanger  <belanger@truman.edu>

	* calc/calc-help.el (calc-describe-bindings):
	Set `buffer-read-only' to nil while working in the keybindings buffer;
	remove some extra information from the keybindings buffer.

2004-10-18  David Ponce  <david@dponce.com>

	* mouse.el (mouse-drag-move-window-top): New function.
	(mouse-drag-mode-line-1): Use it.

2004-10-18  Thien-Thi Nguyen  <ttn@gnu.org>

	* info.el (Info-fontify-node): For multiline refs,
	arrange to unfontify newline and surrounding whitespace.

2004-10-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-arch.el (vc-arch-workfile-version): Don't burp if the patch-log
	directory is missing.

2004-10-17  John Paul Wallington  <jpw@gnu.org>

	* ibuffer.el (ibuffer-default-display-maybe-show-predicates):
	New customizable variable; whether to display buffers that match
	`ibuffer-maybe-show-predicates' by default.
	(ibuffer-maybe-show-predicates): Mention it in docstring.
	(ibuffer-display-maybe-show-predicates): New variable.
	(ibuffer-update): Prefix arg now toggles whether buffers that
	match `ibuffer-maybe-show-predicates' should be displayed.
	(ibuffer-mode): Set `ibuffer-display-maybe-show-predicates'
	locally to heed `ibuffer-default-display-maybe-show-predicates'.
	(ibuffer-redisplay-engine): Rename optional second arg to `ignore'.

2004-10-17  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el: Redo sync with Tramp 2.0.45.  Last commit did not
	work correctly.

2004-10-17  Daniel Pfeiffer  <occitan@esperanto.org>

	* buff-menu.el (Buffer-menu-revert-function): Emulate save-excursion.
	(Buffer-menu-beginning): New helper function.
	(Buffer-menu-execute): Use it.
	(Buffer-menu-select): Use it.
	(Buffer-menu-sort): Use it and also keep markers.

2004-10-17  Richard M. Stallman  <rms@gnu.org>

	* paths.el (news-directory): Rename from news-path.  Old name alias.
	(rmail-spool-directory): Use defvar.
	(sendmail-program): Use defcustom.
	(remote-shell-program): Use defcustom.
	(term-file-prefix): Use defvar.
	(abbrev-file-name): Use defvar.

	* term.el: Add maintainer.

	* subr.el (with-local-quit): Return nil if there's a quit.
	(read-passwd): Use with-local-quit.  Doc fix.

	* strokes.el (strokes-list-strokes): Don't try to delete char at eob.
	(strokes-unload-hook): Set as a variable with add-hook.

	* startup.el (fancy-splash-tail, normal-splash-screen):
	Update copyright year.

	* shadowfile.el (shadowfile-unload-hook): Set as variable w/ add-hook.

	* server.el (server-unload-hook): Set as a variable with add-hook.

	* help-at-pt.el (help-at-pt-unload-hook): Use add-hook; no defvar.

	* frame.el (special-display-popup-frame):
	Make the buffer current as its frame is created.

	* delsel.el (delsel-unload-hook): Set as a variable.

	* comint.el (comint-output-filter-functions):
	Add comint-watch-for-password-prompt.
	(comint-read-noecho): Function deleted.
	(send-invisible): Use read-passwd.

	* fringe.el (fringe-mode-initialize): New function.
	(fringe-mode): Use fringe-mode-initialize as :initialize.

2004-10-17  Kim F. Storm  <storm@cua.dk>

	* language/indian.el (indian-script-language-alist): Swap value
	and doc.
	(indian-font-char-index-table): Doc fix.

2004-10-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-find-file-hook): Call vc-backend with absolute name.

2004-10-16  Juri Linkov  <juri@jurta.org>

	* progmodes/compile.el (compilation-start): Move let-binding of
	`process-environment' into `with-current-buffer' body.
	Reported by Matt Hodges <MPHodges@member.fsf.org>.

2004-10-16  Richard M. Stallman  <rms@gnu.org>

	* pcvs-util.el (cvs-bury-buffer):
	Don't call get-buffer-window for effect.

	* outline.el (hide-other): Call outline-up-heading with INVISIBLE-OK=t.

	* newcomment.el (comment-auto-fill-only-comments): Add autoload.

	* msb.el (msb-unload-hook): Set the variable.

	* mouse.el (mouse-yank-at-click, mouse-yank-secondary):
	Use * to err if buffer is readonly.

	* subr.el (looking-back): Return only t or nil.

	* whitespace.el (whitespace-unload-hook): Set the variable.

	* view.el (view-mode-enable): Set view-page-size and
	view-half-page-size to nil.
	(view-set-half-page-size-default): view-half-page-size = nil
	means the default.
	(View-scroll-page-forward): Use view-page-size-default.
	(View-scroll-page-backward): Likewise.
	(view-page-size, view-half-page-size): Doc fixes.

	* emacs-lisp/elp.el (elp-unload-hook): Set the variable.

	* emacs-lisp/cl.el (cl-unload-hook): Don't defvar it, just set it.

	* emacs-lisp/bytecomp.el (byte-compile-eval): Don't process
	"cl" like other files.  Instead, call byte-compile-find-cl-functions.
	(byte-compile-log-1): Bind inhibit-read-only.
	(byte-compile-warning-prefix, byte-compile-log-file): Likewise.
	(byte-compile-log-warning): Likewise.
	(byte-compile-file-form-require): Detect "cl" from the arg value.

	* progmodes/compile.el (compilation-start): Assume compilation-mode
	will make the buffer read-only.
	(compilation-mode): Take arg name-of-mode.
	(compilation-setup): Make buffer read-only.
	(compilation-handle-exit): Bind inhibit-read-only.

	* textmodes/ispell.el (ispell-command-loop): Use with-no-warnings.
	(ispell-message): Likewise.
	(ispell-show-choices): Don't call get-buffer-window uselessly.
	(ispell-init-process): Use set-process-query-on-exit-flag.

2004-10-16  Kim F. Storm  <storm@cua.dk>

	* fringe.el (fringe-bitmaps): Only initialize when defined.

	* pcvs.el (cvs-mode-view-file, cvs-mode-view-file-other-window): Add.
	(cvs-mode-find-file): Add optional `view' arg to enter view mode.

	* pcvs-defs.el (cvs-mode-map): Bind v to cvs-mode-view-file.

2004-10-15  Simon Josefsson  <jas@extundo.com>

	* net/password.el: Add.

2004-10-14  Masatake YAMATO  <jet@gyve.org>

	* progmodes/gud.el (gdb-script-beginning-of-defun): New function.
	(gdb-script-end-of-defun): New function.
	(gdb-script-mode): Use `gdb-script-beginning-of-defun' and
	`gdb-script-end-of-defun' as *-of-defun-function.

2004-10-13  Daniel Pfeiffer  <occitan@esperanto.org>

	* button.el (button-activate): Allow a marker to display as an action.

	* help-fns.el (describe-variable): Use it to make "below" a hyperlink.

	* help.el (describe-mode): Use it to make minor mode list into
	hyperlinks.

2004-10-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-annotate-display-select): Fix typo.

	* subr.el (substitute-key-definition-key): New function.
	(substitute-key-definition): Use it with map-keymap.
	(event-modifiers): Use push.
	(mouse-movement-p, with-temp-buffer): Simplify.

2004-10-12  Jay Belanger  <belanger@truman.edu>

	* calc/calc-help.el (calc-help-function-list, calc-help-variable-list):
	New variables.
	(calc-help-index-entries): New function.
	(calc-describe-function): Use `calc-help-function-list' instead of
	obarray for completion.
	(calc-describe-variable): Use `calc-help-variable-list' instead
	of obarray for completion.

2004-10-12  Richard M. Stallman  <rms@gnu.org>

	* info-look.el (info-lookup-file): Add info-file property.
	(info-lookup-symbol): Likewise.

	* info.el (info-xref): Add underlining.
	(info): Add info-file property.
	(Info-find-emacs-command-nodes): Specify case-sensitive search.

2004-10-12  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.0.45.

	* net/tramp.el (top): Apply `def-edebug-spec' only if function is
	defined.  This is not the case for XEmacs without package "edebug".
	(tramp-set-auto-save-file-modes): Set permissions of autosaved
	remote files to the permissions of the original file.  This is not
	the case for Emacs < 21.3.50 and XEmacs < 21.5.  Add function to
	`auto-save-hook'.  Reported by Thomas Prokosch <thomas@nadev.net>.
	(tramp-perl-decode): Fix an error in Perl implementation.
	$pending must be cleared every loop.  Reported by Benjamin Place
	<benjaminplace@sprintmail.com>

	* net/tramp-smb.el (tramp-smb-advice-PC-do-completion):
	Don't activate advice during definition.  This is done later on,
	depending on test result of `substitute-in-file-name'.
	Suggested by Stefan Monnier <monnier@iro.umontreal.ca>.

2004-10-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs-parse.el (cvs-parse-commit): Fix parsing for new commit message.

	* emacs-lisp/lisp.el (mark-sexp): Preserve direction when repeating.

2004-10-12  David Ponce  <david@dponce.com>

	* recentf.el (recentf-edit-list): Update the menu when the recentf
	list has been modified.

2004-10-12  Simon Josefsson  <jas@extundo.com>

	* net/tls.el (tls-certtool-program): New variable.
	(tls-certificate-information): New function, based on
	ssl-certificate-information.

2004-10-12  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (coding-system-equal): Move from mule-util.el.

	* international/mule-util.el (coding-system-equal): Move to mule.el.

2004-10-12  Kim F. Storm  <storm@cua.dk>

	* kmacro.el (kmacro-insert-counter, kmacro-add-counter): Use and
	reset kmacro-initial-counter-value if set.
	(kmacro-set-counter): Only set kmacro-counter if defining or executing
	macro.  Set kmacro-initial-counter-value otherwise.  Never set both.
	(kmacro-display): Show macro counter if non-zero.

	* subr.el (substitute-key-definition): Mention command remapping
	in doc string.

2004-10-11  Jay Belanger  <belanger@truman.edu>

	* calc/calc-misc.el (calc-info-goto-node): New function.
	(calc-tutorial, calc-info-summary): Go to appropriate Calc info
	node in one step.
	(calc-describe-copying, calc-describe-distribution)
	(calc-describe-thing, calc-describe-no-warranty, calc-describe-key):
	Go to appropriate info node in one step.

2004-10-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs-defs.el (pcl-cvs-load-hook): Remove unused var.

	* font-lock.el (font-lock-apply-highlight): Fix last change.

2004-10-11  Simon Josefsson  <jas@extundo.com>

	* mail/smtpmail.el (smtpmail-open-stream): Look for
	starttls-gnutls-program instead of starttls-program iff
	starttls-use-gnutls is non-nil.
	(smtpmail-open-stream): Don't overwrite user settings of
	starttls-extra-arguments and starttls-extra-args.

2004-10-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* comint.el (comint-mouse-insert-input): Remove.
	(comint-insert-input): Make it work for mouse bindings.
	(comint-mode-map): Move defs into the declaration.
	(comint-output-filter): Typo.

	* diff-mode.el (diff-current-defun): Fix 2004-06-13's change.

2004-10-10  Kai Grossjohann  <kai.grossjohann@gmx.net>

	* net/ange-ftp.el (ange-ftp-remote-shell): Remove variable.
	(ange-ftp-call-chmod): Reference remote-shell-program instead of
	ange-ftp-remote-shell.

2004-10-10  Andreas Schwab  <schwab@suse.de>

	* emacs-lisp/byte-opt.el (byte-optimize-backward-word): Optimize
	`(backward-word)' to `(forward-word -1)', not `(forward-char -1)'.
	Reported by <sri@asu.edu>.

2004-10-10  Benjamin Rutt  <brutt@bloomington.in.us>

	* vc.el (vc-annotate-mode): Remove variable.
	(vc-annotate-display-select): Only call vc-annotate-mode
	if we're not in that mode already.

2004-10-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* imenu.el (imenu--completion-buffer): Don't return t for rescan.
	(imenu-choose-buffer-index): Check here for rescan instead.

	* font-lock.el (font-lock-apply-highlight): Explicitly check the case
	where the face expression evals to nil.

	* textmodes/tex-mode.el (tex-font-lock-append-prop): New fun.
	(tex-font-lock-keywords-2): Use it.
	(tex-font-lock-syntactic-keywords): Fix the `verbatim' treatment.

	* emacs-lisp/lisp-mode.el (lisp-fill-paragraph): Fix backslashes.

2004-10-09  Kim F. Storm  <storm@cua.dk>

	* subr.el (progress-reporter-update): Define before first usage.
	(make-progress-reporter): Doc fix.

2004-10-09  Luc Teirlinck  <teirllm@auburn.edu>

	* textmodes/paragraphs.el (sentence-end-double-space)
	(sentence-end-without-period, sentence-end-without-space)
	(sentence-end): Doc fixes.

2004-10-08  Peter Seibel  <peter@javamonkey.com>  (tiny change)

	* emacs-lisp/lisp-mode.el (lisp-fill-paragraph):
	Change paragraph-start regexp so we don't fill code starting with #'(.

2004-10-08  Sebastien Kirche  <seki@seki.fr>  (tiny change)

	* mail/mail-extr.el (mail-extr-ignore-realname-equals-mailbox-name):
	New defcustom.
	(extract-address-components): Use it.

2004-10-08  Paul Pogonyshev  <pogonyshev@gmx.net>

	* subr.el (make-progress-reporter, progress-reporter-update)
	(progress-reporter-force-update, progress-reporter-do-update)
	(progress-reporter-done): New functions.

	* tar-mode.el (tar-summarize-buffer): Use progress reporter.

	* progmodes/etags.el (etags-tags-completion-table): Use progress
	reporter.
	(etags-tags-apropos): Likewise.

2004-10-08  Alan Mackenzie  <acm@muc.de>

	* isearch.el (isearch-yank-line): C-y yanks to next EOL, not end
	of current line.

2004-10-08  Masatake YAMATO  <jet@gyve.org>

	* server.el (server-process-filter): Wrap `process-send-region'
	by `condition-case' to guard the case when the pipe to PROC is closed.

2004-10-07  Mark A. Hershberger  <mah@everybody.org>

	* xml.el (xml-substitute-special): Limit handling of external entities.

2004-10-06  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-ann3): (Re-)initialize gdb-input-queue.

2004-10-06  John Paul Wallington  <jpw@gnu.org>

	* xml.el (xml-parse-dtd): Fix `error' call.

2004-10-05  Mark A. Hershberger  <mah@everybody.org>

	* xml.el (xml-substitute-special): Return a single string instead
	of a list of strings if an entity substitution is made.

2004-10-05  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el: New file.

2004-10-05  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-done): Set mark after running hook.
	Reported by Drew Adams <drew.adams@oracle.com>.

	* info.el (Info-history, Info-toc): Fix Info headers.
	(Info-toc): Narrow buffer before Info-fontify-node.
	(Info-build-toc): Don't check for special Info file names.
	Set main-file to nil if Info-find-file returns a symbol.

2004-10-05  Emilio C. Lopes  <eclig@gmx.net>

	* calendar/calendar.el (calendar-goto-iso-week): Add autoload.
	(calendar-mode-map): Add binding for `calendar-goto-iso-week'.
	* calendar/cal-menu.el (calendar-mode-map): Ditto.

2004-10-05  Glenn Morris  <gmorris@ast.cam.ac.uk>

	* calendar/cal-iso.el (calendar-iso-read-args): New function,
	for old interactive spec from calendar-goto-iso-date.
	(calendar-goto-iso-date): Use it.
	(calendar-goto-iso-week): New function.  Suggested by Emilio
	C. Lopes <eclig@gmx.net>.

2004-10-04  Luc Teirlinck  <teirllm@auburn.edu>

	* textmodes/enriched.el (enriched-mode-map): Give `set-left-margin' and
	`set-right-margin' bindings that follow the minor mode conventions.

2004-10-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/tex-mode.el (tex-dvi-view-command): Use `yap' on w32.
	(tex-font-lock-keywords-1): Add url and nolinkurl for args with `_'.
	(latex-block-args-alist): Add minipage and picture.
	(latex-block-body-alist): Use reftex-label if enabled.
	(latex-insert-block): Don't insert a \n if not necessary.
	(tex-compile-commands): Make sure dvips doesn't send to printer.
	(tex-compile-default): Handle the case where no executable is found.
	(latex-noindent-environments): New var.
	(latex-find-indent): Use it.  Take an empty line as an arg-breaker.
	If tex-indent-allhanging is non-nil, make sure we only align for macros
	at beginning of line.

2004-10-03  Daniel Pfeiffer  <occitan@esperanto.org>

	* newcomment.el (comment-beginning): Doc fix and don't choke on
	unset `comment-end-skip' when at beginning of comment.

2004-10-02  Dan Nicolaescu  <dann@ics.uci.edu>

	* term.el (term-adjust-current-row-cache): Don't allow the current
	row to become negative.
	(term-emulate-terminal): Fix insert mode.  Handle tab insertion at
	the end of the line.  Fix scroll down.  Add comments.
	(term-handle-ansi-escape): Don't exceed terminal width when moving
	right.
	(term-scroll-region): Move the cursor after setting the scroll region.

2004-10-01  Luc Teirlinck  <teirllm@auburn.edu>

	* indent.el (set-left-margin, set-right-margin): Rename `lm' arg
	to `width' for consistency with docstring.  Doc fix.

2004-10-01  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* progmodes/cc-langs.el: Load cl here since cc-defs doesn't do it.
	This is necessary for derived modes.

2004-09-30  Kim F. Storm  <storm@cua.dk>

	* kmacro.el (kmacro-lambda-form, kmacro-extract-lambda): Add.
	(kmacro-bind-to-key, kmacro-name-last-macro): Use kmacro-lambda-form.

	* edmacro.el: Require kmacro to use the new kmacro-lambda-form and
	kmacro-extract-lambda functions.
	(edit-kbd-macro): Handle kmacro lambda forms.
	Include counter and counter format in edit buffer.
	(edmacro-finish-edit): Get counter and format from edit buffer and
	update kmacro bindings when found.

2004-09-29  Luc Teirlinck  <teirllm@auburn.edu>

	* textmodes/paragraphs.el (forward-paragraph):
	Avoid args-out-of-range error when point winds up at the beginning of
	the buffer and hard newlines are enabled.

	* newcomment.el (comment-multi-line): Doc fix.

2004-09-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-file-header-re): Tighten up regexp a tiny bit.
	(diff-fixup-modifs): Catch unified-diff file-headers.

2004-09-29  Kim F. Storm  <storm@cua.dk>

	* progmodes/gdb-ui.el (breakpoint): Define as fringe bitmap.
	(gdb-mouse-toggle-breakpoint): Fix fringe-bitmaps-at-pos usage.
	(gdb-put-breakpoint-icon): Use breakpoint bitmap.

	* fringe.el (fringe-bitmap-p): New macro.
	(fringe-bitmaps): Add standard fringe bitmaps on load.

2004-09-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* dired.el (dired-view-command-alist): Use more efficient regexps.
	Remove dubious arguments.
	(dired-align-file): New function.
	(dired-insert-directory): Use it.
	(dired-move-to-end-of-filename): Make the " -> " search more specific.
	(dired-buffers-for-dir): Remove unused var `pattern'.

2004-09-28  Matthew Mundell  <matt@mundell.ukfsn.org>

	* calendar/diary-lib.el (list-diary-entries): Save diary buffer
	from diary display excursion.  Store diary buffer's point for
	`simple-diary-display'.
	(simple-diary-display): Set window point and start when
	displaying buffer, to preserve point.

2004-09-27  Luc Teirlinck  <teirllm@auburn.edu>

	* textmodes/enriched.el (enriched-translations): Replace defconst
	with defvar.

2004-09-26  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el: Doc fix.
	(pr-version): New version number (6.8.1).
	(pr-ps-file-using-ghostscript): Use make-temp-file instead of
	make-temp-name.
	(pr-delete-file): Check if file exists before deleting it.
	Reported by Lennart Borgman <lennart.borgman.073@student.lu.se>.

2004-09-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* term.el (term-display-table): New variable.
	(term-mode): Use it.
	(term-exec-1): Set the coding system to binary.
	(term-emulate-terminal): Decode the string before inserting it.

2004-09-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* term.el (term-ansi-at-eval-string, term-ansi-default-fg)
	(term-ansi-default-bg, term-ansi-current-temp): Delete unused vars.
	(map): Bind S-prior, S-next and S-insert.
	(term-mode): Set `indent-tabs-mode' to nil.
	(term-paste): New function to be bound to S-insert.
	(term-send-del, term-send-backspace): Change the strings sent.
	(term-termcap-format): Synchronize with etc/e/eterm.ti.
	(term-handle-colors-array): Fix handling of underline and reverse.
	(term-handle-ansi-escape): Do not handle smcup/rmcup.  Add comments.
	(term-erase-in-line): Fix comparison.
	(term-emulate-terminal): Fix line wrap handling.
	(term-start-output-log): Rename from `term-set-output-log'.
	(term-stop-output-log): Rename from `term-stop-photo'.
	(term-switch-to-alternate-sub-buffer): Comment out, unused.

2004-09-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* dired.el (dired-move-to-filename): Don't output a message if
	raise-error is non-nil.  Fix return position and value.

	* files.el (insert-directory): Obey --dired even with symlinks.

2004-09-25  Lars Hansen  <larsh@math.ku.dk>

	* ls-lisp.el (ls-lisp-format): Mark file names with property
	dired-filename.

2004-09-25  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-max-directory-size): New defcustom.
	(ido-decorations): Add "too big" element.
	(ido-directory-too-big): New dynamic var.
	(ido-may-cache-directory): Don't cache big directories.
	(ido-directory-too-big-p): New defun.
	(ido-set-current-directory): Update ido-directory-too-big.
	(ido-read-internal): Make empty ido-cur-item if too-big.
	(ido-buffer-internal): Use ido-read-internal directly instead of
	ido-read-buffer.
	(ido-file-internal): Init ido-directory-too-big.
	(ido-complete): <TAB> If ido-directory-too-big is set, clear it,
	and redo completion with full list.
	(ido-toggle-ignore): <C-a> If ido-directory-too-big is set, clear
	it, and show completions.
	(ido-all-completions): Let bind ido-directory-too-big to nil.
	(ido-exhibit): Handle ido-directory-too-big.
	(ido-read-buffer): Handle fallback to read-buffer.
	Init ido-directory-too-big.
	(ido-read-file-name, ido-read-directory-name, ido-completing-read):
	Init ido-directory-too-big.

2004-09-24  Luc Teirlinck  <teirllm@auburn.edu>

	* subr.el (delay-mode-hooks): Doc fix.

2004-09-23  Luc Teirlinck  <teirllm@auburn.edu>

	* textmodes/enriched.el
	(enriched-default-text-properties-local-flag): New variable.
	(enriched-mode): Make sure that enabling and disabling the mode is
	a no-op.  Doc fix.

2004-09-23  H,Ae(Bkon Malmedal  <hmalmedal@yahoo.no>  (tiny change)

	* calendar/holidays.el (holiday-advent): Report on a specified day
	offset from advent, not just advent.
	(holiday-easter-etc): Report on one specified day offset from
	easter, not all easter holidays.  Various Easter holidays moved to
	`christian-holidays' variable in calendar.el.
	* calendar/calendar.el (christian-holidays): Adapt for new
	behavior of `holiday-advent' and `holiday-easter-etc' functions.

2004-09-23  Kim F. Storm  <storm@cua.dk>

	* image.el (insert-sliced-image): Add doc string.

	* ido.el (ido-choice-list): New dynamic var for `list' context.
	(ido-context-switch-command): New dynamic var.
	(ido-define-mode-map): Generalize switch between file/buffer contexts.
	(ido-read-internal): Handle new `list' context.
	Handle insert-buffer and insert-file ido-exit values.
	(ido-buffer-internal): New arg switch-cmd.  Use it to setup
	ido-context-switch-command.  Handle insert-file ido-exit value.
	(ido-read-buffer): Set ido-context-switch-command to 'ignore
	unless it is already bound by caller.
	(ido-file-internal): New arg switch-cmd.  Use it to setup
	ido-context-switch-command.  Handle insert-buffer ido-exit value.
	(ido-enter-insert-buffer, ido-enter-insert-file): New commands
	used for context switching.
	(ido-all-completions): Handle new `list' context.
	(ido-make-choice-list): Return choices for `list' context.
	(ido-find-file-in-dir, ido-display-file, ido-write-file)
	(ido-display-buffer, ido-kill-buffer): Disable context switching.
	(ido-insert-buffer, ido-insert-file): Setup context switching.
	(ido-exhibit): Handle `list' context.
	(ido-read-file-name): Disable context switching.  Handle fallback.
	(ido-read-directory-name): Disable context switching.
	(ido-completing-read): New defun like completing-read.  Setup and
	use new `list' context.

2004-09-20  Jesper Harder  <harder@ifa.au.dk>

	* progmodes/tcl.el (inferior-tcl): Use pop-to-buffer.

2004-09-21  Jay Belanger  <belanger@truman.edu>

	* calc/calc-graph.el (calc-graph-add-curve): Move the call to
	`calc-graph-set-styles' so the gnuplot buffer will appear in a
	separate window.

2004-09-21  Luc Teirlinck  <teirllm@auburn.edu>

	* subr.el (after-change-major-mode-hook): Doc fix.

2004-09-21  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el: Doc fix.  Add a new tip about the use of gsprint instead
	of ghostscript for monochrome PostScript file in Windows.

2004-09-21  Kenichi Handa  <handa@m17n.org>

	* descr-text.el (describe-char): Checking of quail activation fixed.

2004-09-21  Jay Belanger  <belanger@truman.edu>

	* calc/calc.el (calc-mode-var-list): Remove unnecessary quotes.

2004-09-20  Luc Teirlinck  <teirllm@auburn.edu>

	* subr.el (run-mode-hooks): Run `after-change-major-mode-hook'
	after the mode hooks instead of before.  Doc fix.

2004-09-20  Jason Rumney  <jasonr@gnu.org>

	* startup.el (command-line) [windows-nt]: Try .emacs first, then
	_emacs, but revert to .emacs if neither exists in home directory.

2004-09-20  John Paul Wallington  <jpw@gnu.org>

	* bindings.el (completion-ignored-extensions): Add .dfsl.

2004-09-20  Richard M. Stallman  <rms@gnu.org>

	* bindings.el (scroll-left): Make it disabled.

	* files.el (enable-local-eval): Doc fix.

	* indent.el (move-to-left-margin): Special case for minibuffer.

	* term.el (term-emulate-terminal): Turn off undo for output.
	Use with-current-buffer and save-selected-window.

	* eshell/esh-ext.el (eshell-explicit-command-char): Doc fix.

	* progmodes/make-mode.el (makefile-fill-paragraph):
	Don't insist on spaces when looking for comments.  # is enough.

	* files.el (hack-local-variables): Copy the variables list
	to another buffer, strip prefixes and suffixes there, then read.
	(enable-local-eval): Doc fix.
	(ignored-local-variables): Initialize to nil.
	(risky-local-variable-p): Don't check ignored-local-variables here.
	(hack-one-local-variable): Ignore var if in ignored-local-variables.

2004-09-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/sh-script.el (sh-mode-default-syntax-table): Set syntax
	of = to "." (punctuation).

2004-09-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (event-basic-type): Fix mask (extend to 22bits).

2004-09-18  Luc Teirlinck  <teirllm@auburn.edu>

	* textmodes/enriched.el (enriched-rerun-flag): New variable.
	(enriched-before-change-major-mode): New function.
	Add it to `change-major-mode-hook'.
	(enriched-after-change-major-mode): New function.
	Add it to `after-change-major-mode-hook'.
	(enriched-mode): Make it work correctly if called from
	`after-change-major-mode-hook'.
	No longer set `indent-line-function'.

	* simple.el (fundamental-mode): Run `after-change-major-mode-hook'.

	* subr.el (after-change-major-mode-hook): New variable.
	(run-mode-hooks): Implement it.

2004-09-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* battery.el (battery-linux-proc-apm): Use string-to-number.
	(battery-linux-proc-acpi): Ignore all hidden files in the battery dir.
	Use dolist (and less indentation).  Use erase-buffer.
	Pre-initialize `design-capacity', `warn', and `low'.
	(battery-format): Use replace-regexp-in-string.

2004-09-18  Ralph Schleicher  <rs@nunatak.allgaeu.org>

	* battery.el: Delete superfluous empty lines.
	(battery-linux-proc-acpi): Attempt to gather information from all
	battery subdirectories regardless of their file name.
	(battery-linux-proc-apm): Replace all occurrences of
	battery-hex-to-int-2 with string-to-int (base 16).
	(battery-hex-to-int-2, battery-hex-to-int): Delete functions.
	(battery-hex-map): Delete variable.

2004-09-18  John Paul Wallington  <jpw@gnu.org>

	* calc/calc-units.el (calc-quick-units): Fix overzealous
	s/or/unless/.

2004-09-17  Jay Belanger  <belanger@truman.edu>

	* calc/calc.el (calc-mode-var-list): Fix the value of
	`calc-matrix-brackets'.

2004-09-17  Romain Francoise  <romain@orebokech.com>

	* ibuf-ext.el (define-ibuffer-filter filename):
	Expand dired-directory since buffer-file-name is absolute.

2004-09-17  Dan Nicolaescu  <dann@ics.uci.edu>

	* ediff-init.el (ediff-current-diff-face-A)
	(ediff-current-diff-face-B, ediff-current-diff-face-C)
	(ediff-current-diff-face-Ancestor)
	(ediff-fine-diff-face-A, ediff-fine-diff-face-B)
	(ediff-fine-diff-face-C, ediff-fine-diff-face-Ancestor)
	(ediff-even-diff-face-A, ediff-even-diff-face-B)
	(ediff-even-diff-face-C, ediff-even-diff-face-Ancestor)
	(ediff-odd-diff-face-A, ediff-odd-diff-face-B)
	(ediff-odd-diff-face-C, ediff-odd-diff-face-Ancestor):
	Use min-colors.

	* term.el (term-down): Perform vertical motion if DOWN is negative.
	(term-exec-1): Set both TERMCAP and TERMINFO unconditionally.
	(term-termcap-format): Synchronize with the eterm terminfo entry
	in etc/e/eterm.ti.
	(term-handle-colors-array): If the current foreground or
	background are zero (i.e. unspecified), use the foreground and
	background of the default face for reverse video.
	(term-ansi-at-eval-string, term-ansi-default-fg)
	(term-ansi-default-bg, term-ansi-current-temp): Delete unused variable.
	(term-mem): Delete unused function.
	(term-protocol-version): Increment.
	(term-current-face): Set to default.

2004-09-15  Jay Belanger  <belanger@truman.edu>

	* calc/calc.el (calc-mode-var-list): Define this variable.
	(calc-always-load-extensions, calc-line-numbering)
	(calc-line-breaking, calc-display-just, calc-display-origin)
	(calc-number-radix, calc-leading-zeros, calc-group-digits)
	(calc-group-char, calc-point-char, calc-frac-format)
	(calc-prefer-frac, calc-hms-format, calc-date-format)
	(calc-float-format, calc-full-float-format, calc-complex-format)
	(calc-complex-mode, calc-infinite-mode, calc-display-strings)
	(calc-matrix-just, calc-break-vectors, calc-full-vectors)
	(calc-full-trail-vectors, calc-vector-commas, calc-vector-brackets)
	(calc-matrix-brackets, calc-language, calc-language-option)
	(calc-left-label, calc-right-label, calc-word-size)
	(calc-previous-modulo, calc-simplify-mode, calc-auto-recompute)
	(calc-display-raw, calc-internal-prec, calc-angle-mode)
	(calc-algebraic-mode, calc-incomplete-algebraic-mode)
	(calc-symbolic-mode, calc-matrix-mode, calc-shift-prefix)
	(calc-window-height, calc-display-trail, calc-show-selections)
	(calc-use-selections, calc-assoc-selections)
	(calc-display-working-message, calc-auto-why, calc-timing)
	(calc-mode-save-mode, calc-standard-date-formats)
	(calc-autorange-units, calc-was-keypad-mode, calc-full-mode)
	(calc-user-parse-tables, calc-gnuplot-default-device)
	(calc-gnuplot-default-output, calc-gnuplot-print-device)
	(calc-gnuplot-print-output, calc-gnuplot-geometry)
	(calc-graph-default-resolution, calc-graph-default-resolution-3d)
	(calc-invocation-macro, calc-show-banner): Give these values as
	part of `calc-mode-var-list's initialization after the variables
	are declared with defvar.
	(calc-bug-address): Change email address to send bug reports to.
	Change the maintainer address at the top.
	(calc-mode): Compare `calc-settings-file' to `user-init-file' rather
	than "\\.emacs" to determine if it is the user-init-file.

	* calc/calc-embed.el (calc-embedded-set-modes): Use
	`calc-mode-var-list' correctly.

2004-09-15  Thien-Thi Nguyen  <ttn@gnu.org>

	* vc.el (annotate-time): Document point handling.
	(vc-annotate-display-autoscale): Doc fix.

2004-09-15  Miles Bader  <miles@gnu.org>

	* generic.el (generic-make-keywords-list): Use symbol rather than
	word anchors in regexp.

2004-09-14  Sean O'Rourke  <sorourke@cs.ucsd.edu>

	* ibuf-ext.el (define-ibuffer-filter filename): If buffer has
	no file name consider `dired-directory'.

2004-09-14  Kim F. Storm  <storm@cua.dk>

	* faces.el (cursor): Add face-no-inherit property.  Doc fix.

2004-09-14  Simon Josefsson  <jas@extundo.com>

	* files.el (auto-mode-alist): Map .soa and .zone to dns-mode.

	* textmodes/dns-mode.el: Add.

2004-09-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* novice.el (disabled-command-hook): Use shorthand for obsolescence.
	(disabled-command-function): Make the ?\  char more obvious.

	* vc-arch.el (vc-arch-root, vc-arch-registered):
	* vc-mcvs.el (vc-mcvs-root, vc-mcvs-registered): Use vc-find-root.

2004-09-13  Hovav Shacham  <hovav@sha1.stanford.edu>

	* windmove.el (windmove-frame-edges): Report coordinates of
	outside edges of frame, not inside edges.
	(windmove-coordinates-of-position): Convert into wrapper to new
	function `windmove-coordinates-of-window-position';
	`compute-motion' always applies to selected window.
	(windmove-coordinates-of-position): Update documentation to refer
	to Emacs 21 Lisp Reference Manual.
	(windmove-find-other-window): Fix off-by-one errors for max x,y.

2004-09-13  Kim F. Storm  <storm@cua.dk>

	* isearch.el (isearch-resume-in-command-history): Rename from
	isearch-resume-enabled and change default to nil.

2004-09-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-ignore-dir-regexp): New var.
	(vc-registered): Use it.
	(vc-find-root): New fun.

	* emacs-lisp/checkdoc.el (checkdoc-this-string-valid-engine):
	Don't tell to use \\{...} when it's already done.

	* textmodes/bibtex.el (bibtex-generate-url-list): Change format.
	Provide a sample complex default.
	(bibtex-url, bibtex-font-lock-url): Adapt to new format.
	(bibtex-entry): Use mapc.

2004-09-12  Kim F. Storm  <storm@cua.dk>

	* kmacro.el (kmacro-step-edit-prompt): Add "%s" format to message.

	* emulation/cua-rect.el (cua--rectangle-operation): Let bind
	inhibit-field-text-motion to t so rectangles work in comint buffers.

	* simple.el (choose-completion-string): Set buffer before running
	choose-completion-string-functions hook so it can be buffer-local.

2004-09-12  Daniel Pfeiffer  <occitan@esperanto.org>

	* progmodes/compile.el (compilation-start): Parse command to see
	if it starts with a cd, and if so perform it for the *compilation*
	buffer.  Change the header to reflect this.

2004-09-11  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-enable-dot-prefix): Doc fix.
	(ido-enable-dot-prefix): New defcustom.
	(ido-set-matches1): Use it.

2004-09-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/bibtex.el (bibtex-mark-active)
	(bibtex-run-with-idle-timer): Move the `if' inside the defun.

2004-09-10  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-autokey-titleword-ignore): Regexp is
	used in a case insensitive environment.
	(bibtex-mode-map): Rearrange order of menus.
	(bibtex-quoted-string-re): Obsolete.
	(bibtex-complete-key-cleanup): Variable replaced by new function.
	(bibtex-font-lock-keywords): Use backquotes.
	(bibtex-font-lock-url-regexp): New internal variable.
	(bibtex-name-in-field): New optional arg remove-opt-alt to remove
	"OPT" and "ALT".
	(bibtex-insert-current-kill, bibtex-make-field)
	(bibtex-prepare-new-entry, bibtex-yank-pop, bibtex-String): Use unless.
	(bibtex-parse-field-text): Simplify.
	(bibtex-string=): New helper function.
	(bibtex-member-of-regexp): Merge with bibtex-autokey-get-title.
	(bibtex-map-entries): Use bibtex-string=.
	(bibtex-search-entry): Use not.
	(bibtex-enclosing-field): Fix docstring.
	(bibtex-assoc-regexp): Obsolete.
	(bibtex-format-entry): Use assoc-string and bibtex-string=.
	(bibtex-autokey-get-names): Handle empty name field.
	(bibtex-parse-strings): Use assoc-string and unless.
	(bibtex-complete-string-cleanup): Expansion list is passed as an arg.
	Use assoc-string.
	(bibtex-pop): Simplify.
	(bibtex-mode): Set font-lock-extra-managed-props.
	(bibtex-entry-update): Use assoc-string.
	(bibtex-parse-entry): Remove "OPT" and "ALT" from FIELD.
	(bibtex-autofill-entry): Use bibtex-string=.
	(bibtex-print-help-message): Simplify.
	(bibtex-find-entry): New optional arg START.
	(bibtex-validate): Use bibtex-string= and assoc-string.
	Do not call obsolete function compilation-parse-errors.
	(bibtex-remove-delimiters): Only remove delimiters if present.
	(bibtex-copy-entry-as-kill): Add docstring.
	(bibtex-clean-entry): Use bibtex-string=.  Handle empty keys.
	Detect duplicate keys if bibtex-maintain-sorted-entries is nil.
	(bibtex-complete): Use bibtex-predefined-month-strings,
	bibtex-string=, and new function bibtex-complete-key-cleanup.
	(bibtex-generate-url-list): New variable.
	(bibtex-url): New command bound to C-c C-l and mouse-2.
	(bibtex-url-map): New local keymap for bibtex-url-mouse.
	(bibtex-font-lock-url): New function.

2004-09-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/grep.el (grep-mode): Remove unnecessary autoload.

2004-09-09  Kim F. Storm  <storm@cua.dk>

	* kmacro.el (kmacro-bind-to-key): Associate dedicated macro
	counter and format with binding.
	(kmacro-name-last-macro): New defun.  Like name-last-kbd-macro, but
	the declared macro uses own macro counter and format.  Give symbol
	kmacro property.
	(kmacro-keymap): Bind kmacro-name-last-macro to n.
	(kmacro-start-macro, kmacro-end-macro, kmacro-call-macro)
	(kmacro-end-and-call-macro): Doc fix.

2004-09-09  Lars Hansen  <larsh@math.ku.dk>

	* desktop.el (desktop-clear-preserve-buffers):
	Remove make-obsolete-variable.

2004-09-08  Richard M. Stallman  <rms@gnu.org>

	* buff-menu.el (list-buffers-noselect): Call format-mode-line
	with the buffer as argument.

2004-09-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-arch.el (vc-arch-state): Fix parsing for `names' method.

2004-09-08  Juri Linkov  <juri@jurta.org>

	* replace.el (perform-replace): Use `query-replace-descr'.

	* cus-start.el (history-delete-duplicates): Specify customization.

	* diff-mode.el (diff-mode-map):
	* progmodes/compile.el (compilation-mode-map):
	* progmodes/grep.el (grep-mode-map):
	* replace.el (occur-mode-map): Rename `next-error-follow-mode'
	to `next-error-follow-minor-mode'.

2004-09-08  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* isearch.el (isearch-lazy-highlight-update): Take into account
	the case of zero-length match at the search bound.

2004-09-08  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-rect.el (cua--highlight-rectangle): Fix last
	change.  Use zero width overlays when necessary.

2004-09-08  Thien-Thi Nguyen  <ttn@gnu.org>

	* subr.el (split-string): Docfix.

2004-09-08  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-generate-call-tree): Doc fix.
	(display-call-tree): Ensure newline after caller/calls blocks.

2004-09-08  Thien-Thi Nguyen  <ttn@gnu.org>

	* startup.el (command-line-1): Make option
	--directory/-L modify `load-path' straight away.

2004-09-08  Thien-Thi Nguyen  <ttn@gnu.org>

	* progmodes/grep.el (grep-mode): Use normal autoload cookie.

2004-09-08  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/autoload.el (make-autoload):
	Handle `define-compilation-mode'.

	* emacs-lisp/lisp-mode.el (define-compilation-mode):
	Specify `doc-string-elt' property.

2004-09-08  Thien-Thi Nguyen  <ttn@gnu.org>

	* bs.el (bs-mode): Doc fix.

2004-09-08  Thien-Thi Nguyen  <ttn@gnu.org>

	* info.el (Info-insert-dir): Fix temp buffer leak bug.

2004-09-08  Thien-Thi Nguyen  <ttn@gnu.org>

	* play/blackbox.el (bb-trace-ray): Avoid double tracing.

2004-09-08  Kenichi Handa  <handa@m17n.org>

	* ps-mule.el: Fix old function calls (ps-mule-chars-in-string ->
	length, ps-mule-string-char -> aref, ps-mule-next-index -> 1+,
	ps-mule-next-point -> 1+).

	* composite.el (encode-composition-rule): Add autoload cookie.

2004-09-07  Luc Teirlinck  <teirllm@auburn.edu>

	* format.el (buffer-auto-save-file-format): Make it permanent local.

2004-09-07  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/authors.el (authors-aliases): Add more aliases.
	(authors-fixed-entries): Fix typo.
	(authors-canonical-author-name): Compact multiple spaces.
	Ignore trivial names (e.g. only first name).

	* term.el (term-window-width): Only use full window width on
	window system if overflow-newline-into-fringe is enabled.
	(term-mode): Don't disable overflow-newline-into-fringe.

2004-09-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* term/xterm.el (function-key-map): Add bindings for C- and S- cursor
	motion as seen on my Mac OS X xterms.

	* newcomment.el (uncomment-region-default, comment-region-default):
	New functions extracted from uncomment-region and comment-region.
	(comment-region, comment-region-function, uncomment-region)
	(uncomment-region-function): Use them.

	* pcvs-util.el (cvs-string-prefix-p): Use compare-strings.

	* pcvs-info.el (cvs-states): Allow `ignore' on NEED-UPDATE.
	It's not crucial but can make sense at times.

	* vc-arch.el (vc-arch-workfile-version): Handle the special case before
	the first commit.

	* vc.el (vc-buffer-context, vc-restore-buffer-context):
	Disable obsolete code.

2004-09-07  Juri Linkov  <juri@jurta.org>

	* progmodes/grep.el (grep-highlight-matches): Change default from
	`t' to `auto-detect', and type from `boolean' to `choice'.  Doc fix.
	(grep-compute-defaults): Set `grep-highlight-matches' to `t'
	if grep option `--color' is available, or to `nil' otherwise.
	(grep-process-setup): Call `grep-compute-defaults' if
	`grep-highlight-matches' is not computed.  Set env-vars only
	if `grep-highlight-matches' is `t'.
	(grep-use-null-device): Remove redundant type `boolean' (`choice'
	is already defined).

	* progmodes/compile.el (compilation-start): Use copy of
	`process-environment' created by `copy-sequence' to not
	modify env-vars in the global `process-environment'.

2004-09-06  Eli Zaretskii  <eliz@gnu.org>

	* simple.el (next-error-follow-minor-mode): Fix last change.

2004-09-05  Luc Teirlinck  <teirllm@auburn.edu>

	* textmodes/paragraphs.el (use-hard-newlines): Make it into a
	permanent local.

2004-09-04  Richard M. Stallman  <rms@gnu.org>

	* isearch.el (isearch-lazy-highlight-new-loop): Don't invoke
	highlighting if the search string is empty.

2004-09-04  Luc Teirlinck  <teirllm@auburn.edu>

	* facemenu.el (facemenu-active-faces): Change condition of inner
	`while' loop to also check the first two elements of `face-atts'
	and `mask-atts'.

2004-09-04  John Paul Wallington  <jpw@gnu.org>

	* thumbs.el (thumbs-view-image-mode-map): Fix command name typo.
	(thumbs-view-image-mode): Make buffer read-only.

2004-09-04  Christopher J. Madsen  <cjm@pobox.com>

	* textmodes/ispell.el (ispell-really-aspell): New defvar.
	(ispell-check-version): Set it.
	(ispell-send-replacement): New function.
	(ispell-process-line): Call ispell-send-replacement.

2004-09-04  Matt Hodges  <matt@stchem.bham.ac.uk>  (tiny change)

	* eshell/em-pred.el (eshell-predicate-help-string): Doc fix.
	Support choosing seconds with "s".

2004-09-04  Jari Aalto  <jari.aalto@poboxes.com>

	* terminal.el (te-escape): Show `?' in prompt for help key.

2004-09-04  Emilio C. Lopes  <eclig@gmx.net>

	* emacs-lisp/lisp.el (kill-backward-up-list): New function.

2004-09-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* simple.el (next-error-follow-minor-mode)
	(next-error-follow-mode-post-command-hook): New functions.
	(next-error-follow-last-line): New defvar.

	* diff-mode.el (diff-mode-map): Bind next-error-follow-mode.
	* progmodes/compile.el (compilation-mode-map): Likewise.
	* progmodes/grep.el (grep-mode-map): Likewise.
	* replace.el (occur-mode-map): Likewise.

	* newcomment.el (uncomment-region): Bind comment-use-global-state
	to nil.

2004-09-03  Luc Teirlinck  <teirllm@auburn.edu>

	* autorevert.el (auto-revert-handler): Bind `buffer-read-only'
	locally around the call to `revert-buffer'.

2004-09-03  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-toggle-regexp): Set `isearch-success' and
	`isearch-adjusted' to `t'.
	(isearch-toggle-case-fold): Set `isearch-success' to `t'.
	(isearch-message-prefix): Add "pending" for isearch-adjusted.
	(isearch-other-meta-char): Restore isearch-point unconditionally.
	(isearch-query-replace): Add new arg `regexp-flag' and use it.
	Set point to start of match if region is not active in transient
	mark mode (to include the current match to region boundaries).
	Push the search string to `query-replace-from-history-variable'.
	Add prompt "Query replace regexp" for isearch-regexp.
	Add region beginning/end as last arguments of `perform-replace.'
	(isearch-query-replace-regexp): Replace code by the call to
	`isearch-query-replace' with arg `t'.

2004-09-03  Richard M. Stallman  <rms@gnu.org>

	* startup.el (normal-top-level): Undo previous TERM change.

2004-09-03  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-rect.el (cua--overlay-keymap): New keymap for
	highlight overlays; allow using RET when cursor is over a button.
	(cua--highlight-rectangle): Use it.
	(cua--rectangle-set-corners): Don't move backwards at eol.
	(cua--forward-line): Don't move into void after eob.

	* emulation/cua-rect.el (cua--rectangle-set-corners): Ensure that
	point is set (and displayed) inside rectangle.
	(cua--rectangle-operation): Fix for highlight of empty lines.
	(cua--highlight-rectangle): Fix highlight for tabs.
	Position cursor at left/right edge of rectangle using new `cursor'
	property on overlay strings.
	(cua--indent-rectangle): Don't tabify.
	(cua-rotate-rectangle): Ignore that point has moved.

2004-09-02  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el: Add ASCII equivalents for some function keys.
	(mode-line-frame-identification): Sync with x-win.el.

2004-09-02  Juri Linkov  <juri@jurta.org>

	* progmodes/compile.el (compilation-buffer-name): Compare major
	mode with second element of compilation-arguments instead of third
	to reflect latest changes in compilation-arguments structure.
	(recompile): Use global variable `compilation-directory' to get
	recent compilation directory only when `recompile' is invoked NOT
	in the compilation buffer.  Otherwise, use `default-directory' of
	the compilation buffer.
	(compilation-error-properties): Allow to funcall col and end-col.
	(compilation-mode-font-lock-keywords): Check col and end-col by
	`integerp'.
	(compilation-goto-locus): If end-mk is non-nil in transient mark
	mode don't activate the mark (and don't display message in
	push-mark), but highlight overlay between mk and end-mk.

	* progmodes/grep.el (grep-highlight-matches): New defcustom.
	(grep-regexp-alist): Add rule to highlight grep matches.
	(grep-process-setup): Set env-vars GREP_OPTIONS and GREP_COLOR.

	* info.el (Info-fontify-node): Don't compute other-tag
	if Info-hide-note-references=hide.

	* help.el (function-called-at-point):
	* help-fns.el (variable-at-point):
	Try `find-tag-default' when other methods failed.

	* emacs-lisp/lisp.el (beginning-of-defun, end-of-defun):
	Do not push mark if inhibit-mark-movement is non-nil.

	* textmodes/ispell.el (ispell-html-skip-alists):
	Fix backslashes in docstring.

2004-09-01  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-wrap-function)
	(isearch-push-state-function): New defvars.
	(isearch-pop-fun-state): New defsubst.
	(isearch-top-state): Call function saved in `isearch-pop-fun-state'.
	(isearch-push-state): Set the result of calling
	`isearch-push-state-function' to the `isearch-pop-fun-state' field.
	(isearch-cancel): Call function saved in `isearch-pop-fun-state' to
	restore the mode-specific starting point of terminated search.
	(isearch-abort): Call `isearch-cancel' instead of its duplicated code.
	(isearch-repeat): Call `isearch-wrap-function' if defined.
	(isearch-message-prefix): Don't add prefix "over" to the message
	for wrapped search if `isearch-wrap-function' is defined.
	(isearch-search): Call function saved in `isearch-pop-fun-state' to
	restore the mode-specific starting point of failed search.

	* info.el (Info-search-whitespace-regexp): Fix backslashes.
	(Info-search): Add new optional arguments for the sake of isearch.
	Replace whitespace in Info-search-whitespace-regexp literally.
	Add backward search.  Don't call `Info-select-node' if regexp is
	found in the same Info node.  Don't add node to Info-history for
	wrapped isearch.
	(Info-search-backward, Info-isearch-search, Info-isearch-wrap)
	(Info-isearch-push-state, Info-isearch-pop-state): New funs.
	(Info-mode): Set local variables `isearch-search-fun-function',
	`isearch-wrap-function', `isearch-push-state-function',
	`search-whitespace-regexp'.

	* isearch.el: Remove ancient Change Log section.
	(isearch-string, isearch-message-string, isearch-point)
	(isearch-success, isearch-forward-flag, isearch-other-end)
	(isearch-word, isearch-invalid-regexp, isearch-wrapped)
	(isearch-barrier, isearch-within-brackets)
	(isearch-case-fold-search): Add suffix `-state' to state-related
	defsubsts to avoid name clashes with other function names.

	* simple.el (next-error): New defgroup and defface.
	(next-error-highlight, next-error-highlight-no-select):
	New defcustoms.
	(next-error-no-select): Let-bind next-error-highlight to the value
	of next-error-highlight-no-select before calling `next-error'.

	* progmodes/compile.el (compilation-goto-locus):
	Use `next-error' face instead of `region'.  Set 4-th argument of
	`move-overlay' to `current-buffer' to move overlay to different
	source buffers.  Use new variable `next-error-highlight'.

	* simple.el (next-error-find-buffer): Move the rule
	"if current buffer is a next-error capable buffer" after the
	rule "if next-error-last-buffer is set to a live buffer".
	Simplify to test all rules in one `or'.
	(next-error): Doc fix.
	(next-error, previous-error, first-error)
	(next-error-no-select, previous-error-no-select):
	Make arguments optional.

2004-08-31  Luc Teirlinck  <teirllm@auburn.edu>

	* macros.el (apply-macro-to-region-lines): Make it operate on all
	lines that begin in the region, rather than on all complete lines
	in the region.

2004-08-31  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* x-dnd.el (x-dnd-protocol-alist): Document update.
	(x-dnd-known-types): Defcustom it.
	(x-dnd-handle-motif): Print message-atom in error message.

2004-08-30  John Paul Wallington  <jpw@gnu.org>

	* textmodes/tex-mode.el (tex-validate-buffer): Use distinct
	strings rather than programatically constructing message.

2004-08-30  Richard M. Stallman  <rms@gnu.org>

	* emacs-lisp/lisp-mode.el (prin1-char): Don't turn S-a into A.
	Don't return a string that would read as the wrong character code.

2004-08-29  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el (cua-auto-expand-rectangles):
	Remove automatic rectangle padding feature; replace by non-destructive
	virtual rectangle edges feature.
	(cua-virtual-rectangle-edges): New defcustom.
	(cua-auto-tabify-rectangles): New defcustom.
	(cua-paste): If paste into a marked rectangle, insert rectangle at
	current column, even if virtual; also paste exactly as many lines
	as has been marked (ignore additional lines or add empty lines),
	but paste whole source if only one line is marked.
	(cua--update-indications): No longer use overwrite-cursor to
	indicate rectangle padding

	* emulation/cua-rect.el (cua--rectangle-padding): Remove.
	(cua--rectangle-virtual-edges): New defun.
	(cua--rectangle-get-corners): Remove optional PAD arg.
	(cua--rectangle-set-corners): Never do padding.
	(cua--forward-line): Remove optional PAD arg.  Simplify.
	(cua-resize-rectangle-right, cua-resize-rectangle-left)
	(cua-resize-rectangle-down, cua-resize-rectangle-up):
	(cua-resize-rectangle-bot, cua-resize-rectangle-top)
	(cua-resize-rectangle-page-up, cua-resize-rectangle-page-down)
	(cua--rectangle-move): Never do padding.  Simplify.
	(cua--tabify-start): New defun.
	(cua--rectangle-operation): Add tabify arg.  All callers changed.
	(cua--pad-rectangle): Remove.
	(cua--delete-rectangle): Handle delete with virtual edges.
	(cua--extract-rectangle): Add spaces if rectangle has virtual edges.
	(cua--insert-rectangle): Handle insert at virtual column.
	Perform auto-tabify if necessary.
	(cua--activate-rectangle): Remove optional FORCE arg.
	Never do padding.  Simplify.
	(cua--highlight-rectangle): Enhance for virtual edges.
	(cua-toggle-rectangle-padding): Remove command.
	(cua-toggle-rectangle-virtual-edges): New command.
	(cua-sequence-rectangle): Add optional TABIFY arg.  Callers changed.
	(cua--rectangle-post-command): Don't force rectangle padding.
	(cua--init-rectangles): Bind M-p to cua-toggle-rectangle-virtual-edges.

2004-08-28  Luc Teirlinck  <teirllm@auburn.edu>

	* indent.el (edit-tab-stops-buffer): Doc fix.

2004-08-28  Richard M. Stallman  <rms@gnu.org>

	* progmodes/grep.el (grep-default-command): Use find-tag-default.
	(grep-tag-default): Function deleted.

	* subr.el (find-tag-default): Move from etags.el.

	* progmodes/etags.el (find-tag-default): Move to subr.el.

	* emacs-lisp/lisp-mode.el (prin1-char): Put `shift' modifier
	into the basic character if it has an uppercase form.

2004-08-27  Kenichi Handa  <handa@m17n.org>

	* international/utf-8.el (utf-8-post-read-conversion): If the
	buffer is unibyte, temporarily make it multibyte.

2004-08-27  Masatake YAMATO  <jet@gyve.org>

	* calendar/time-date.el (time-to-seconds): Add autoload cookies.

2004-08-25  John Paul Wallington  <jpw@gnu.org>

	* textmodes/tex-mode.el (tex-validate-buffer): Distinguish between
	0, 1, and many mismatches in message.
	(tex-start-shell): Use `set-process-query-on-exit-flag'.

	* ielm.el (ielm-tab, ielm-complete-symbol): Doc fix.
	(inferior-emacs-lisp-mode): Use	`set-process-query-on-exit-flag'.

2004-08-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-svn.el (vc-svn-diff): Treat options from vc-svn-diff-switches and
	vc-diff-switches differently.

2004-08-22  Luc Teirlinck  <teirllm@auburn.edu>

	* speedbar.el (speedbar-file-regexp): Give it a phony defvar
	before and a real defvar after
	`speedbar-supported-extension-expressions'.  This is to silence
	the compiler without breaking bootstrapping.

2004-08-22  Richard M. Stallman  <rms@gnu.org>

	* textmodes/flyspell.el (flyspell-word):
	Use set-process-query-on-exit-flag.
	(flyspell-highlight-duplicate-region): Take POSS as arg.
	(flyspell-word): Pass POSS as arg.

	* progmodes/ada-xref.el: Many doc and style fixes.
	(ada-find-any-references): Use compilation-start.
	(ada-get-ali-file-name): Improve error msg.
	(ada-get-ada-file-name): Likewise.

	* net/ange-ftp.el (ange-ftp-gwp-start, ange-ftp-nslookup-host)
	(ange-ftp-start-process): Use set-process-query-on-exit-flag.

	* mail/mail-extr.el (mail-extr-all-top-level-domains):
	Add forward defvar.

	* whitespace.el (global-whitespace-mode): New alias
	for whitespace-global-mode.

	* speedbar.el (speedbar-file-regexp): Move definition up.
	(speedbar-mode, speedbar-set-mode-line-format):
	Use with-no-warnings.
	(speedbar-emacs-popup-kludge): Delete Emacs 19 alternative.

	* simple.el (shell-command-on-region): New arg DISPLAY-ERROR-BUFFER
	controls whether to display the error buffer.

	* ps-mule.el: Delete compatibility code for old Emacsen.
	(ps-mule-find-wrappoint): Don't use chars-in-region.

	* frame.el (display-mouse-p, display-selections-p):
	Use with-no-warnings.

	* font-lock.el (font-lock-set-defaults): Use with-no-warnings.

2004-08-22  David Kastrup  <dak@gnu.org>

	* textmodes/reftex-auc.el, progmodes/meta-mode.el: Update AUCTeX
	information.

	* speedbar.el, iswitchb.el, ido.el: Update AUCTeX information.

2004-08-22  Andreas Schwab  <schwab@suse.de>

	* cvs-status.el: Require pcvs during byte-compiling for defun-cvs-mode.

2004-08-22  Masatake YAMATO  <jet@gyve.org>

	* cvs-status.el (cvs-status-checkout): New function.
	(cvs-status-mode-map): Add a key definition for `cvs-status-checkout'.

2004-08-21  David Kastrup  <dak@gnu.org>

	* net/ange-ftp.el (ange-ftp-hash-entry-exists-p)
	(ange-ftp-file-entry-p, ange-ftp-file-symlink-p): Since the code
	has been converted to use hashtables, the relation `nil=none' is
	no longer valid, as `nil' is not a hashtable.  This patch tries to
	reduce the number of resulting errors.

2004-08-21  John Paul Wallington  <jpw@gnu.org>

	* subr.el (process-kill-without-query): Made obsolete in
	version	21.4, not 21.5.

	* log-edit.el (vc-comment-ring, vc-comment-ring-index)
	(vc-previous-comment, vc-next-comment)
	(vc-comment-search-reverse, vc-comment-search-forward)
	(vc-comment-to-change-log): Likewise.

	* international/latin1-disp.el (latin1-char-displayable-p): Likewise.

2004-08-21  Peter Seibel  <peter@javamonkey.com>  (tiny change)

	* emacs-lisp/cl-indent.el (lisp-indent-defmethod):
	Correct indentation of DEFMETHODS with non-standard method
	combinations (e.g., PROGN, MIN, MAX).

2004-08-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* startup.el (normal-top-level-add-subdirs-to-load-path):
	Avoid unnecessarily checking system-type.
	(normal-top-level): Set TERM to "dumb".  Simplify.

	* avoid.el (mouse-avoidance-ignore-p): New fun.
	Also ignore switch-frame, select-window, double, and triple clicks.
	(mouse-avoidance-banish-hook, mouse-avoidance-exile-hook)
	(mouse-avoidance-fancy-hook): Use it.

2004-08-20  Zoran Milojevic  <zoran@sipquest.com>  (tiny change)

	* avoid.el (mouse-avoidance-nudge-mouse)
	(mouse-avoidance-banish-destination): Stay within the current window
	to avoid problems with mouse-autoselect-window.

2004-08-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs-parse.el (cvs-parse-table, cvs-parse-commit): Try to adapt to
	the newer format of some messages in cvs-1.12.1.

2004-08-19  Masatake YAMATO  <jet@gyve.org>

	* emacs-lisp/elp.el (elp-results-symname-map): New keymap.
	(elp-results-jump-to-definition-by-mouse)
	(elp-results-jump-to-definition, elp-output-insert-symname): New funs.
	(elp-output-result): Use elp-output-insert-symname.

2004-08-18  Kenichi Handa  <handa@m17n.org>

	* language/cyrillic.el: Register koi8-r in
	ctext-non-standard-encodings-alist.
	("Cyrillic-KOI8"): Add ctext-non-standard-encoding.

2004-08-17  Luc Teirlinck  <teirllm@auburn.edu>

	* emacs-lisp/copyright.el (copyright-update-year): Delete code
	that replaces 20xy with xy.

2004-08-17  John Paul Wallington  <jpw@gnu.org>

	* emacs-lisp/re-builder.el (reb-mode-map): Define within defvar.
	(reb-force-update): Doc fix.

2004-08-16  Richard M. Stallman  <rms@gnu.org>

	* progmodes/which-func.el (which-func-update-1): Doc fix.

	* progmodes/sh-script.el (sh-set-shell): Use sh-mode-abbrev-table.
	(sh-mode-abbrev-table): New variable.

	* progmodes/compile.el (compilation-mode): Doc fix.

	* emacs-lisp/lisp-mode.el (eval-last-sexp):
	Don't cons a new symbol each time.
	(eval-last-sexp-fake-value): New variable.

	* emacs-lisp/copyright.el (copyright-years-regexp): New variable.
	(copyright-update-year): Detect continuation of list of years.

	* term.el (term-default-fg-color, term-default-bg-color)
	(ansi-term-color-vector): Use `unspecified', not nil, as default.

	* imenu.el: Several doc fixes: don't say variables are buffer-local.

2004-08-16  Stuart Herring  <herring@lanl.gov>

	* isearch.el (isearch-string, isearch-message-string, isearch-point)
	(isearch-success, isearch-forward-flag, isearch-other-end)
	(isearch-word, isearch-invalid-regexp, isearch-wrapped)
	(isearch-barrier, isearch-within-brackets)
	(isearch-case-fold-search): Fix broken `nth'-like calls to `aref'.

2004-08-16  Kenichi Handa  <handa@m17n.org>

	* ps-mule.el (ps-mule-font-info-database): Fix docstring.

2004-08-15  Kenichi Handa  <handa@m17n.org>

	* term/x-win.el (x-selection-value): If utf8 was successful but
	ctext was not, use utf8 string.

2004-08-14  Stuart Herring  <herring@lanl.gov>

	* isearch.el: Remove accidental changes of March 4.  Fix backing
	up when a regexp isearch is made more general.  Use symbolic
	accessor functions for isearch stack frames to make usage clearer.
	(search-whitespace-regexp): Made groups in documentation shy (as
	is the group in the default value).
	(isearch-fallback): New function, addresses problems with regexps
	liberalized by `\|', adds support for liberalization by `\}' (the
	general repetition construct), and incorporates behavior for
	`*'/`?'.
	(isearch-}-char): New command, calls `isearch-fallback' with
	arguments appropriate to a typed `}'.
	(isearch-*-char, isearch-|-char): Now just call `isearch-fallback'
	appropriately.
	(isearch-mode-map): Bind `}' to `isearch-}-char'.
	(isearch-string, isearch-message,string, isearch-point)
	(isearch-success, isearch-forward-flag, isearch-other-end)
	(isearch-word, isearch-invalid-regexp, isearch-wrapped)
	(isearch-barrier, isearch-within-brackets, isearch-case-fold-search):
	New inline functions to read fields of a stack frame.

2004-08-14  Kurt Hornik  <Kurt.Hornik@wu-wien.ac.at>  (tiny change)

	* battery.el (battery-linux-proc-acpi): Look into battery
	directories matching the literal string "CMB", too (required for
	Linux kernel version 2.6.7).

2004-08-14  John Paul Wallington  <jpw@gnu.org>

	* cus-start.el (read-file-name-completion-ignore-case): Add.
	(blink-cursor-alist): Change version to "21.4".

	* emacs-lisp/bytecomp.el (forward-word): Allow 0 args.

2004-08-11  Daniel Pfeiffer  <occitan@esperanto.org>

	* speedbar.el (speedbar-scan-subdirs): New option.
	(speedbar-file-lists): Don't ignore file-name case on Unix and use
	dolist.
	(speedbar-insert-files-at-point): Take an extra argument and use
	it to optionally find out if a subdir is empty.  Also unreadable
	files don't get expand buttons.
	(speedbar-directory): New image (unused pixmap already existed).
	(speedbar-expand-image-button-alist): Use it.

2004-08-11  Martin Stjernholm  <bug-cc-mode@gnu.org>

	CC Mode update to 5.30.9:

	* progmodes/cc-defs.el, progmodes/cc-vars.el (c-emacs-features):
	Move from cc-vars to cc-defs for dependency reasons.  Fix the
	POSIX char class test to check that it works in
	`skip-chars-(forward|backward)' too.

	* progmodes/cc-align.el (c-lineup-arglist): Fix bug when the
	first argument starts with a special brace list.

	* progmodes/cc-engine.el (c-forward-type): Fix promotion bug
	when `c-opt-type-concat-key' is used (i.e. in Pike).

	* progmodes/cc-engine.el (c-looking-at-special-brace-list):
	Fix bug when the inner char pair doesn't have paren syntax,
	i.e. "(<>)".

	* progmodes/cc-align.el (c-lineup-multi-inher): Made it syntactic
	whitespace safe.

	* progmodes/cc-engine.el (c-guess-basic-syntax): Fix anchor
	position for `arglist-intro', `arglist-cont-nonempty' and
	`arglist-close' when there are two arglist open parens on the same
	line and there's nothing in front of the first.

	* progmodes/cc-fonts.el (c-basic-matchers-before): Fix font
	locking of qualified names in Java, which previously could fontify
	common indexing expressions in many cases.  The standard Java
	naming conventions are used to tell them apart.

	* progmodes/cc-align.el (c-lineup-whitesmith-in-block):
	Fix inconsistency wrt opening parens on the first line inside a paren
	block.

	* progmodes/cc-defs.el (c-langs-are-parametric): Must be known at
	compile time for the sake of `c-major-mode-is'.

	(c-mode-is-new-awk-p): Made it a macro to delay expansion of
	`c-major-mode-is' in the event that this is used inside a
	`c-lang-defconst'.

	* progmodes/cc-defs.el (c-major-mode-is): Fix expansion inside
	`c-lang-defconst' so that it works better with fallback languages.

	* progmodes/cc-defs.el (c-add-language): Fix a typo that caused
	it to fail to record the base mode.

	* progmodes/cc-engine.el (c-syntactic-re-search-forward):
	Fix bug so that it doesn't go past the closing paren when PAREN-LEVEL
	is used.  Reorder the syntax checks to get more efficient
	skipping in some situations.

	* progmodes/cc-cmds.el (c-electric-brace): Don't trip up on a line
	continuation which might precede the newly inserted '{'.

	* progmodes/cc-engine.el (c-syntactic-re-search-forward):
	Fix cases where it could loop indefinitely.

	* progmodes/cc-fonts.el (c-font-lock-declarators): Handle array
	size specs correctly.  Only fontify identifiers in front of '('
	with as functions - don't accept any paren char.  Tighten up
	initializer skipping to stop before function and class blocks.

	* progmodes/cc-engine.el (c-beginning-of-decl-1): Fix bug where
	the point could be left directly after an open paren when finding
	the beginning of the first decl in the block.

	* progmodes/cc-engine.el (c-parse-state): Don't use the syntax
	table when filtering out legitimate open parens to be recorded.
	This could cause cache inconsistencies when e.g.
	`c++-template-syntax-table' was temporarily in use.

	* progmodes/cc-engine.el (c-on-identifier)
	(c-simple-skip-symbol-backward): Small fix for handling "-"
	correctly in `skip-chars-backward'.  Affected the operator lfun
	syntax in Pike.

	* progmodes/cc-engine.el (c-invalidate-sws-region-after):
	Fix bug that could cause an error from `after-change-functions' when
	the changed region is at bob.

2004-08-11  Alan Mackenzie  <bug-cc-mode@gnu.org>

	CC Mode update to 5.30.9:

	* progmodes/cc-cmds.el, progmodes/cc-vars.el: Amend doc(-strings)
	to say that <TAB> doesn't insert WS into a CPP line.
	(c-indent-command, c-tab-always-indent): Amend doc strings.

	* progmodes/cc-styles.el, progmodes/cc-engine.el: Add in two
	checks for user errors, thus eliminating cryptic and unhelpful
	Emacs error messages.  (1) Check the arg to `c-set-style' is a
	string.  (2) Check that settings to `c-offsets-alist' are not
	spuriously quoted.

	* progmodes/cc-cmds.el (c-electric-brace): Don't delete a comment
	which precedes the newly inserted `{'.

2004-08-10  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.0.44.

	* net/tramp.el (tramp-post-connection): Quote $1 and $2 of shell
	function "tramp_file_attributes".  Otherwise, file names
	containing spaces are misinterpreted.  Reported by Magnus Henoch
	<mange@freemail.hu>.
	(tramp-handle-file-truename): FILENAME must be expanded first.
	Otherwise, parameters like "/ssh:deego@gnufans.net:~" will return
	obscure results.  Reported by D. Goel <deego@gnufans.org>.
	(tramp-handle-verify-visited-file-modtime): If file does not
	exist, say it is not modified if and only if that agrees with the
	buffer's record.  Check whether a file is visiting the buffer, or
	the buffer has no recorded last modification time.  Return t in
	case the visiting file doesn't exist.  Suggested by Luc Teirlinck
	<teirllm@auburn.edu>.
	(tramp-handle-write-region): Pass modtime explicitly to
	`set-visited-file-modtime', because filename can be different
	from (buffer-file-name) if `file-precious-flag' is set.
	`set-visited-file-modtime' must be called always when `visit' is t
	or a string.  Suggested by Luc Teirlinck <teirllm@auburn.edu>.
	(tramp-handle-set-visited-file-modtime): If `time-list' is not
	nil, don't apply the whole body.  If the file doesn't exists, set
	modtime to '(-1 65535).  Suggested by Luc Teirlinck
	<teirllm@auburn.edu>.

2004-08-09  Luc Teirlinck  <teirllm@auburn.edu>

	* help.el (describe-bindings): Doc fix.

	* subr.el (kbd): Doc fix.

2004-08-08  John Paul Wallington  <jpw@gnu.org>

	* ibuffer.el (define-ibuffer-column size): Use `string-to-number'
	instead of `string-to-int'.
	(define-ibuffer-column mode): Fix indentation.

2004-08-08  Lars Hansen  <larsh@math.ku.dk>

	* wid-edit.el (widget-sexp-validate): Allow whitespace after
	expression.

2004-08-08  Luc Teirlinck  <teirllm@auburn.edu>

	* subr.el (global-unset-key, local-unset-key): Doc fixes.

	* novice.el (disabled-command-function): New variable renamed from
	`disabled-command-hook'.
	(disabled-command-hook): Keep the _variable_ as alias for
	`disabled-command-function' and make obsolete.
	(disabled-command-function): Function renamed from
	`disabled-command-hook'.  Adapt code to name change of the variable.

2004-08-07  Satyaki Das  <satyaki@theforce.stanford.edu>  (tiny change)

	* simple.el (completion-root-regexp): New defvar.
	(completion-setup-function): Use it instead of a literal string.

2004-08-07  John Paul Wallington  <jpw@gnu.org>

	* emacs-lisp/re-builder.el (reb-re-syntax): Add `rx' syntax.
	(reb-lisp-mode): Require `rx' feature when `re-reb-syntax' is `rx'.
	(reb-lisp-syntax-p, reb-change-syntax): `rx' is a Lisp syntax.
	(reb-cook-regexp): Call `rx-to-string' when `re-reb-syntax' is `rx'.

2004-08-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mail/mail-extr.el (mail-extr-disable-voodoo): New variable.
	(mail-extr-voodoo): Check mail-extr-disable-voodoo.

2004-08-04  Kenichi Handa  <handa@m17n.org>

	* international/encoded-kb.el (encoded-kbd-setup-keymap):
	Fix previous change.

2004-08-03  Kenichi Handa  <handa@m17n.org>

	* international/encoded-kb.el: The following changes are to
	utilize key-translation-map instead of minor mode map.
	(encoded-kbd-iso2022-non-ascii-map): Delete it.
	(encoded-kbd-coding, encoded-kbd-handle-8bit): Delete them.
	(encoded-kbd-last-key): New function.
	(encoded-kbd-iso2022-single-shift): New function.
	(encoded-kbd-iso2022-designation)
	(encoded-kbd-self-insert-iso2022-7bit)
	(encoded-kbd-self-insert-iso2022-8bit)
	(encoded-kbd-self-insert-sjis, encoded-kbd-self-insert-big5)
	(encoded-kbd-self-insert-ccl): Make them suitable for bindings in
	key-translation-map.
	(encoded-kbd-setup-keymap): Setup key-translation-map.
	(saved-key-translation-map): New variable.
	(encoded-kbd-mode): Save/restore key-translation-map.
	Adjust for the change of encoded-kbd-setup-keymap.

2004-08-02  Kim F. Storm  <storm@cua.dk>

	* avoid.el (mouse-avoidance-point-position): Use window-inside-edges
	and call compute-motion with nil for topos and width to get proper
	usable width and height for both window and non-window systems.

	* windmove.el (windmove-coordinates-of-position): Let compute-motion
	calculate usable window width and height.

	* window.el (window-buffer-height): Call compute-motion with nil width.

2004-08-01  David Kastrup  <dak@gnu.org>

	* replace.el (query-replace-read-from):
	Use `query-replace-compile-replacement'.
	(query-replace-compile-replacement): New function.
	(query-replace-read-to): Use `query-replace-compile-replacement'
	for repeating the last command.

2004-08-01  John Paul Wallington  <jpw@gnu.org>

	* printing.el (toplevel, pr-ps-fast-fire, pr-ps-set-utility)
	(pr-ps-set-printer, pr-txt-set-printer, pr-eval-setting-alist)
	(pr-switches): Remove period from end of error messages.

	* help-mode.el (help-go-back): Likewise.

	* abbrev.el (only-global-abbrevs): Doc fix.
	(edit-abbrevs-map): Define within defvar.
	(quietly-read-abbrev-file): Doc fix.

2004-07-31  Luc Teirlinck  <teirllm@auburn.edu>

	* novice.el (enable-command, disable-command): Doc fixes.

	* subr.el (event-modifiers, event-basic-type): Doc fixes.

2004-07-30  Richard M. Stallman  <rms@gnu.org>

	* subr.el (with-local-quit): Doc fix.

2004-07-30  Luc Teirlinck  <teirllm@auburn.edu>

	* international/utf-8.el (utf-translate-cjk-mode): Doc fix.

2004-07-28  Luc Teirlinck  <teirllm@auburn.edu>

	* custom.el (defcustom): Doc fix.

2004-07-28  Masatake YAMATO  <jet@gyve.org>

	* progmodes/etags.el (etags-tags-apropos): Show building progress.

2004-07-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* imenu.el (imenu-prev-index-position-function)
	(imenu-extract-index-name-function, imenu-name-lookup-function)
	(imenu--index-alist): Docstring redundancy fix.

2004-07-25  Lars Hansen  <larsh@math.ku.dk>

	* wdired.el (wdired-finish-edit): Require dired-aux before locally
	binding dired-backup-overwrite.

2004-07-25  John Paul Wallington  <jpw@gnu.org>

	* subr.el (butlast, event-modifiers, event-basic-type): Doc fixes.

2004-07-24  Luc Teirlinck  <teirllm@auburn.edu>

	* term/tty-colors.el (tty-color-approximate): Doc fix.

	* select.el (x-get-selection, x-set-selection): Doc fixes.

	* frame.el (make-frame): Doc fix.

2004-07-24  Richard M. Stallman  <rms@gnu.org>

	* mail/rmail.el (rmail-mime-charset-pattern):
	Don't include semicolon in the charset value.

	* replace.el (occur-next-error): Call set-window-point.
	(occur-engine): Handle negative NLINES.

2004-07-23  Luc Teirlinck  <teirllm@auburn.edu>

	* frame.el (modify-all-frames-parameters): Minor doc fix.
	(set-frame-configuration): Doc fix.

2004-07-23  Matt Hodges  <matt@stchem.bham.ac.uk>  (tiny change)

	* simple.el (completion-setup-function): Compute the common parts
	and the first difference place correctly when
	partial-completion-mode is on.

2004-07-22  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Doc fix.
	(ps-print-version): New version 6.6.5.
	(ps-printing-region): Doc fix.
	(ps-generate-string-list): Comment fix.
	(ps-message-log-max): Code fix.

2004-07-22  Michael Piotrowski  <mxp@dynalabs.de>  (tiny change)

	* ps-print.el (ps-begin-file): Improve the DSC compliance of the
	generated PostScript.

2004-08-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* net/tls.el (tls-process-connection-type): Fix docstring.  (Sync
	with Gnus v5_10 branch.)

2004-08-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* calendar/time-date.el (time-to-number-of-days): New function.
	Imported from Gnus.

2004-07-22  Kim F. Storm  <storm@cua.dk>

	* progmodes/make-mode.el: Fix comments.

2004-07-21  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el: Doc fix.

2004-07-20  Luc Teirlinck  <teirllm@auburn.edu>

	* frame.el (modify-all-frames-parameters): Minor doc fix.

2004-07-20  Richard M. Stallman  <rms@gnu.org>

	* textmodes/fill.el (fill-nobreak-p): If this break point is
	at the end of the line, don't consider the newline which follows
	as a reason to return t.

2004-07-19  John Paul Wallington  <jpw@gnu.org>

	* dired-aux.el (dired-file-set-difference): Don't use `caddr'.

2004-07-18  Luc Teirlinck  <teirllm@auburn.edu>

	* dired-aux.el (dired-do-kill-lines): Expand docstring.
	Delete irrelevant code.

2004-07-17  Kai Grossjohann  <kai.grossjohann@gmx.net>

	* net/tramp.el (tramp-handle-verify-visited-file-modtime):
	New docstring.  From Luc Teirlinck.

2004-07-17  Luc Teirlinck  <teirllm@auburn.edu>

	* autorevert.el: Describe `Auto Revert Tail Mode' in `Commentary'
	section.
	(auto-revert-handler): Do not check `auto-revert-tail-mode' for
	non-file buffers.  We know it is nil.

2004-07-17  Kai Grossjohann  <kai.grossjohann@gmx.net>

	Sync with Tramp 2.0.43.

	* net/tramp.el (tramp-handle-verify-visited-file-modtime):
	Remove outdated comment.
	(tramp-locked, tramp-locker): New variables for implementing a
	global lock.
	(tramp-sh-file-name-handler): Use them to implement the global lock.

2004-07-13  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (all): Code cleanup.  Change all `tramp-handle-xxx'
	calls to respective `xxx` calls.
	(tramp-process-alive-regexp): Precise doc string.
	(tramp-multi-action-process-alive): New defun.
	(tramp-multi-actions): Use it.
	(tramp-handle-find-backup-file-name): `copy-tree' is available
	since Emacs 22.1 only (XEmacs has it).  Implementation rewritten
	in order to avoid this function.
	(tramp-handle-write-region): Set current buffer.  If connection
	wasn't open, `file-modes' has changed it accidentally.  Reported by
	David Kastrup <dak@gnu.org>.
	(tramp-enter-password, tramp-read-passwd): New arguments USER and
	HOST.
	(tramp-action-password, tramp-multi-action-password): Apply it.
	(tramp-open-connection-rsh): If a port is given, the Tramp buffer
	name must still contain the port number.  Otherwise, we have two
	Tramp buffers, with all the confusion.  Reported by Myron Selby
	<myron@xytech.com> and Rolf Dubitzky
	<Dubitzky@physi.uni-heidelberg.de>.

	* net/tramp-smb.el (tramp-smb-open-connection): Apply USER and
	HOST to `tramp-enter-passwd'.

	* net/tramp-vc.el (all): Code cleanup.  Change all
	`tramp-handle-xxx' calls to respective `xxx` calls.

2004-07-17  Jonathan Yavner  <jyavner@member.fsf.org>

	* emacs-lisp/testcover.el: New category "potentially-1valued" for
	functions that are not erroneous if either 1-valued or
	multi-valued.  Detect functions in this class.
	(testcover-1value-functions, testcover-compose-functions)
	(testcover-progn-functions) Add some additional functions to lists.
	(testcover-mark): Bugfix when marking up the definition for an
	empty function.

2004-07-17  Richard M. Stallman  <rms@gnu.org>

	* replace.el (occur-read-primary-args): Pass default to
	read-from-minibuffer.

	* mail/footnote.el (footnote-section-tag): Use defcustom.

	* font-lock.el (font-lock-add-keywords, font-lock-remove-keywords):
	Compile font-lock-keywords, not KEYWORDS.
	(lisp-font-lock-keywords-2): Add multiple-value-prog1, go.
	Add warn, check-type.  Handle cerror like error.

2004-07-14  Daniel Pfeiffer  <occitan@esperanto.org>

	* progmodes/which-func.el (which-func-keymap): New var.
	(which-func-face): New face.
	(which-func-format): Use them.

2004-07-16  Stephan Stahl  <stahl@eos.franken.de>  (tiny change)

	* buff-menu.el (list-buffers-noselect): Append the buffer's
	process status to its mode name.

2004-07-16  Kim F. Storm  <storm@cua.dk>

	* simple.el (inhibit-mark-movement): New defvar.
	(beginning-of-buffer, end-of-buffer): Do not push mark if
	inhibit-mark-movement is non-nil or C-u prefix is given.

	* emulation/cua-base.el (cua--preserve-mark-commands): New defvar.
	Init to beginning-of-buffer and end-of-buffer.
	(cua--undo-push-mark): New defvar.
	(cua--pre-command-handler): Set inhibit-mark-movement if mark is
	already active and command is in cua--preserve-mark-commands.
	Also fix check for shift modifier on non-window systems.
	(cua--post-command-handler): Clear inhibit-mark-movement if set.

2004-07-14  Luc Teirlinck  <teirllm@auburn.edu>

	* calendar/cal-dst.el (calendar-time-from-absolute): Return a list
	of two integers, instead of a cons.

	* net/tramp.el (tramp-handle-verify-visited-file-modtime):
	`visited-file-modtime' now returns a list of two integers, instead
	of a cons.

	* dired.el (dired-directory-changed-p): Ditto.

	* progmodes/grep.el (grep): Doc fix.

2004-07-14  Daniel Pfeiffer  <occitan@esperanto.org>

	* autorevert.el (auto-revert-tail-mode)
	(auto-revert-tail-mode-text, auto-revert-tail-pos): New vars.
	(auto-revert-mode): Turn off auto-revert-tail-mode, so we're not
	in both at the same time.
	(auto-revert-tail-mode): New command.
	(turn-on-auto-revert-tail-mode, auto-revert-tail-handler): New funs.
	(auto-revert-handler): Revert only either tail or whole file.

	* bindings.el (mode-line-mode-menu): Fix alphabetical ordering and
	add auto-revert-tail-mode.

2004-07-12  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el: Doc fix.  Change name of some funs.
	(pr-dosify-file-name): New fun.  Replace ps-dosify-path.
	(pr-unixify-file-name): New fun.  Replace ps-unixify-path.
	(pr-standard-file-name): New fun.  Replace pr-standard-path.
	(pr-call-process): Code fix.

2004-07-12  Luc Teirlinck  <teirllm@auburn.edu>

	* subr.el (with-selected-window): Doc fix.

2004-07-11  Luc Teirlinck  <teirllm@auburn.edu>

	* subr.el (get-buffer-window-list): Doc fix.

2004-07-10  Luc Teirlinck  <teirllm@auburn.edu>

	* files.el (switch-to-buffer-other-window): Doc fix.

	* window.el (save-selected-window, one-window-p)
	(split-window-keep-point, split-window-vertically)
	(split-window-horizontally): Doc fixes.

2004-07-10  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el: Doc fix.  Now it uses call-process instead of
	shell-command for low command execution.
	(pr-version): New version number (6.8).
	(pr-shell-file-name): Option removed.
	(pr-shell-command): Fun removed.
	(pr-call-process): New fun.  Replace pr-shell-command.
	(pr-standard-path, pr-remove-nil-from-list): New funs.
	(zmacs-region-stays, current-mouse-event, current-menubar): New var.
	(pr-ps-file-preview, pr-ps-file-using-ghostscript, pr-ps-file-print)
	(pr-setup, pr-ps-set-printer, pr-txt-set-printer)
	(pr-ps-utility-process, pr-txt-print): Code fix.

2004-07-10  Stephan Stahl  <stahl@eos.franken.de>  (tiny change)

	* ediff-mult.el (ediff-meta-truncate-filenames): Change type to
	boolean.

2004-07-09  Lars Hansen  <larsh@math.ku.dk>

	* wid-edit.el (widget-field-buffer): Doc fix.

2004-07-09  John Paul Wallington  <jpw@gnu.org>

	* emacs-lisp/re-builder.el (reb-update-overlays):
	Distinguish between one and several matches in message.

2004-07-09  Richard M. Stallman  <rms@gnu.org>

	* mouse.el (mouse-set-region-1): If transient-mark-mode
	is `identity', change it to `only'.

	* simple.el (current-word): Doc fix.

2004-07-09  Mark A. Hershberger  <mah@everybody.org>

	* progmodes/cperl-mode.el (cperl-mode): Adapt defun-prompt-regexp
	so that it is more understanding of whitespace.

	* xml.el (xml-maybe-do-ns, xml-parse-tag): Produce elements in the form
	(("ns" . "element") (attr-list) children) instead of
	((:ns . "element") (attr-list) children) in order to reduce the
	number of symbols used.
	(xml-skip-dtd): Change to use xml-parse-dtd but set
	xml-validating-parsing to nil.
	(xml-parse-dtd): Parse entity declarations in DOCTYPEs.
	(xml-substitute-entity): Remove in favor of new entity substitution.
	(xml-substitute-special): Rewrite in to substitute complex
	entities from DOCTYPE declarations.
	(xml-parse-fragment): Parse fragments from entity declarations.
	(xml-parse-region, xml-parse-tag, xml-parse-attlist)
	(xml-parse-dtd, xml-substitute-special): Make validity checks
	conditioned on xml-validating-parser.  Add "Not Well Formed" to
	error messages about well-formedness.

2004-07-08  Steven Tamm  <steventamm@mac.com>

	* term/mac-win.el (mac-scroll-ignore-events, mac-scroll-down)
	(mac-scroll-down-line, mac-scroll-up, mac-scroll-up-line):
	Do not treat double clicks and triple clicks specially in the
	scroll bar (preventing strange repositioning problems)

2004-07-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* replace.el (query-replace-regexp-eval): Fix last change.

2004-07-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* replace.el (query-replace-descr): New fun.
	(query-replace-read-from, query-replace-read-args): Default to the
	previous from&to.
	(query-replace-read-to): Quote the `from' string when displaying it.
	(query-replace-regexp-eval): Immediately check read-only status.
	Use query-replace-read-from to get the \n checking.
	Quote the `from' string when displaying it.
	(map-query-replace-regexp, occur-read-primary-args):
	Quote the `from' string when displaying it.

	* isearch.el (isearch-query-replace): Pass the regexp-ness and
	delimited-ness of the search to query-replace.

	* replace.el (query-replace-read-from, query-replace-read-to):
	New funs extracted from query-replace-read-args.
	(query-replace-read-args): Use them.

	* replace.el (query-replace-interactive, query-replace-read-args):
	Remove the `initial' special value.
	(query-replace-regexp-eval, map-query-replace-regexp): Simplify.
	(occur-engine): Remove unused var `matchend'.

	* isearch.el (isearch-query-replace, isearch-query-replace-regexp):
	Use the search string without prompting.

2004-07-05  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (decode-coding-inserted-region):
	Set last-coding-system-used only when coding is nil.

2004-07-03  Eli Zaretskii  <eliz@gnu.org>

	* progmodes/grep.el (grep-compute-defaults, grep-command)
	(grep-program, find-program, grep-find-use-xargs, grep-history)
	(grep-find-history, grep-tag-default, grep-find-command)
	(grep-regexp-alist, grep-process-setup, grep-compute-defaults):
	Add autoload cookies, for unbundled packages that load `compile'
	and expect all grep-related symbols to become defined.

2004-07-03  KOSEKI Yoshinori  <kose@meadowy.org>

	* iimage.el (turn-on-iimage-mode, iimage-mode): Add autoload cookies.
	(iimage-mode-image-search-path): New user option to search the
	image file.
	(iimage-locate-file): New function.  Emacs21.3 or earlier does not
	have locate-file.
	(iimage-mode-buffer): Use it.

2004-07-03  Nick Roberts  <nickrob@gnu.org>

	* progmodes/gdb-ui.el (gdb-goto-breakpoint): String match more
	carefully.
	(gdb-delete-breakpoint, gdb-toggle-breakpoint): Handle gdbmi.

2004-07-03  Juri Linkov  <juri@jurta.org>

	* replace.el (query-replace-read-args): Swallow space after 'foo,
	not after (quote foo).  Match space only immediately after symbol,
	not anywhere in the whole string.

2004-07-02  Richard M. Stallman  <rms@gnu.org>

	* replace.el (query-replace-read-args): Swallow space after
	symbols, not after closeparens.  But avoid error if string ends there.

	* progmodes/python.el (python-beginning-of-statement):
	Exit the loop if backward-up-list gets error.

	* textmodes/enriched.el (enriched-encode): Bind inhibit-read-only.

2004-07-02  Andre Spiegel  <spiegel@gnu.org>

	* vc-rcs.el (vc-rcs-checkout-model): Look at the version headers
	only if vc-consult-headers is non-nil.

2004-07-02  Juri Linkov  <juri@jurta.org>

	* pcvs.el (cvs-mode-diff-repository): New command.

	* pcvs-defs.el (cvs-mode-diff-map): Bind r to cvs-mode-diff-repository.

2004-07-01  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-mode-map): Bind C-M-w to isearch-del-char,
	C-M-y to isearch-yank-char.  Bind M-% to isearch-query-replace,
	C-M-% to isearch-query-replace-regexp.
	(minibuffer-local-isearch-map): Add arrow key bindings.
	Bind C-f to isearch-yank-char-in-minibuffer.
	(isearch-forward): Doc fix.
	(isearch-edit-string): Doc fix.
	(isearch-query-replace, isearch-query-replace-regexp): New funs.
	(isearch-del-char): Add optional arg.  Set isearch-yank-flag to t.
	(isearch-yank-char): Add optional arg.
	(isearch-yank-char-in-minibuffer): New fun.

	* replace.el (query-replace-interactive): Change type from boolean
	to choice.  Add value `initial'.
	(query-replace-read-args): Handle value `initial' of
	query-replace-interactive.

2004-06-29  Kim F. Storm  <storm@cua.dk>

	* progmodes/gdb-ui.el (breakpoint-enabled-bitmap-face)
	(breakpoint-disabled-bitmap-face): Add :group 'gud.

	* progmodes/ada-xref.el (ada-tight-gvd-integration):
	Add :group 'ada.

	* vc-arch.el (vc-arch-mode-line-rewrite): Add :group 'vc.

2004-06-29  Juri Linkov  <juri@jurta.org>

	* replace.el (query-replace-read-args): Swallow a space after
	everything except )]" which in most cases means after a symbol.

	* emacs-lisp/pp.el (pp-buffer): Add autoload.

2004-06-28  Richard M. Stallman  <rms@gnu.org>

	* font-lock.el (font-lock-fontify-syntactic-keywords-region):
	More changes to go with previous change in font-lock.el.

2004-06-26  David Kastrup  <dak@gnu.org>

	* replace.el (perform-replace): Highlight the match even in
	non-query mode if there is potential replace string editing.

2004-06-26  Kai Grossjohann  <kai.grossjohann@gmx.net>

	* net/tramp.el (tramp-handle-file-remote-p): New implementation to
	agree with new return value of `file-remote-p'.
	This syncs with Tramp 2.0.42.

	* net/ange-ftp.el (ange-ftp-file-remote-p): New return value,
	according to new documentation of `file-remote-p'.

	* files.el (file-remote-p): Fix doc to say that return value is
	identification of remote system, if not nil.
	(file-relative-name): Use new return value of `file-remote-p'.

2004-06-26  Nick Roberts  <nickrob@gnu.org>

	* progmodes/gdb-ui.el (gdb-toggle-breakpoint)
	(gdb-goto-breakpoint): Fix breakage.

2004-06-26  Eli Zaretskii  <eliz@gnu.org>

	* man.el (Man-getpage-in-background): Add windows-nt to the list
	of systems where shell-file-name should be used instead of
	literal "sh".

2004-06-25  Sam Steingold  <sds@gnu.org>

	* add-log.el (change-log-font-lock-keywords): Support Common Lisp
	function names `(setf symbol)'.

2004-06-24  Richard M. Stallman  <rms@gnu.org>

	* replace.el (query-replace-read-args): Swallow space after \,SYMBOL.

	* font-lock.el (font-lock-keywords): Change format of compiled values.
	Document it.
	(font-lock-add-keywords): If font-lock-keywords is compiled,
	extract the uncompiled version, modify, then recompile.
	(font-lock-remove-keywords): Likewise.
	(font-lock-fontify-keywords-region): Handle changed format.
	(font-lock-compile-keywords): Handle changed format.
	(font-lock-set-defaults): Compile the keywords explicitly here.

2004-06-24  David Kastrup  <dak@gnu.org>

	* replace.el (query-replace-read-args): Implement `\,' and `\#'
	replacements here.
	(query-replace-regexp): Doc string explaining this and the new
	`\?' replacement.  Remove `\,' and `\#' implementation here, as it
	is better placed in `query-replace-read-args'.
	(replace-regexp): Explain `\,', `\#' and `\?'.
	(replace-match-data): New function for thorough reuse/destruction
	of old match-data.
	(replace-match-maybe-edit): Function for implementing `\?' editing.
	(perform-replace): Fix maintaining of the match stack including
	already matched regions, implement `\?', fix various problems
	with regions while editing and other stuff.
	(replace-highlight): Simplify.

2004-06-24  Daniel Pfeiffer  <occitan@esperanto.org>

	* progmodes/grep.el (grep-error-screen-columns): New variable.
	(grep-regexp-alist): Give it the full functionality of gnu style
	compilation messages with line and column ranges.  Ask me for the
	perl script I'm working on, that uses these.

2004-06-23  Nick Roberts  <nickrob@gnu.org>

	* comint.el (comint-insert-clicked-input, comint-copy-old-input):
	Remove.
	(comint-insert-input, comint-mouse-insert-input): New functions
	based on comint-insert-clicked-input for two bindings but just
	one functionality.

2004-06-23  Luc Teirlinck  <teirllm@auburn.edu>

	* net/goto-addr.el (goto-address-fontify): Fix help-echo text.

2004-06-23  Lars Hansen  <larsh@math.ku.dk>

	* files.el (write-contents-functions): Doc fix.

2004-06-21  Juanma Barranquero  <lektu@terra.es>

	* image.el (image-library-alist): Rewrite docstring in active voice.

2004-06-20  Richard M. Stallman  <rms@gnu.org>

	* mouse.el (mouse-set-region-1): Set transient-mark-mode to `only'.

	* isearch.el (isearch-repeat): Avoid testing old match data.
	(isearch-message): Display trailing space in special font
	when search is failing.
	(isearch-search-fun-function): Doc fix.

	* autorevert.el (global-auto-revert-non-file-buffers): Doc fix.

2004-06-19  Luc Teirlinck  <teirllm@auburn.edu>

	* frame.el (show-trailing-whitespace): Doc fix.

	* cus-edit.el (custom-variable-documentation): New function.
	(custom-variable): Use it.

2004-06-19  Nick Roberts  <nickrob@gnu.org>

	* man.el (Man-getpage-in-background): Revert previous change but
	make cygwin a special case.

2004-06-18  Luc Teirlinck  <teirllm@auburn.edu>

	* autorevert.el (global-auto-revert-non-file-buffers):
	Update docstring.

2004-06-19  Daniel Pfeiffer  <occitan@esperanto.org>

	* progmodes/compile.el (compilation-error-properties): Store one
	more than end-col, if present, so that transient-mark-mode will
	highlight last char too.
	* progmodes/grep.el (grep-regexp-alist): Match columns and column
	ranges, if present.

2004-06-18  Jason Rumney  <jasonr@gnu.org>

	* makefile.w32-in: Double percent signs in for loops.

2004-06-17  David Kastrup  <dak@gnu.org>

	* replace.el (query-replace-read-args): Only warn about use of \n
	and \t when we are doing a regexp replacement and the actual
	escaped character is n or t.
	(query-replace-regexp): Add \, and \# interpretation to
	interactive call and document it.
	(query-replace-regexp-eval, replace-match-string-symbols): Add \#
	as shortkey for replace-count.
	(replace-quote): New function for doubling backslashes.

2004-06-17  Juanma Barranquero  <lektu@terra.es>

	* files.el (parse-colon-path, cd): Mention in docstring that the
	path separator is colon in GNU-like systems.

	* newcomment.el (comment-region-internal): Fix docstring.

	* emacs-lisp/ewoc.el (ewoc-create, ewoc-map, ewoc-locate)
	(ewoc-invalidate, ewoc-collect): Doc fixes.
	(ewoc--create-node, ewoc--delete-node-internal):
	Fix typos in docstring.

2004-06-15  Luc Teirlinck  <teirllm@auburn.edu>

	* files.el (buffer-stale-function): Add hyperlink to emacs-xtra
	manual to docstring.

2004-06-15  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el (ps-time-stamp-iso8601): Comment doc string of defalias.

2004-06-15  Luc Teirlinck  <teirllm@auburn.edu>

	* dired-aux.el (dired-do-redisplay, dired-maybe-insert-subdir):
	Add hyperlink to emacs-xtra manual to docstring.

	* autorevert.el (global-auto-revert-non-file-buffers):
	Add hyperlink to emacs-xtra manual to docstring, as well as an
	info-link.

2004-06-14  Juanma Barranquero  <lektu@terra.es>

	* image.el (image-library-alist): New variable to map image types
	to external libraries.  Initialized to nil, unless system-specific
	configs change it.
	(image-type-available-p): Determine whether an image type is
	available by calling `init-image-library'.

	* term/w32-win.el (image-library-alist): Initialize to a known set
	of probable library names.

2004-06-14  Kenichi Handa  <handa@m17n.org>

	* international/code-pages.el (windows-1256, cp1125): Fix tables
	for several characters.

	* international/utf-8.el (ccl-encode-mule-utf-8): Fix previous change.

2004-06-13  Richard M. Stallman  <rms@gnu.org>

	* textmodes/paragraphs.el (sentence-end): Add 0x5397d as close brace.

	* emulation/pc-select.el: Doc fixes: say "PC Selection mode",
	not "`pc-selection-mode'".

	* emacs-lisp/bytecomp.el: Put `...' around symbols in warning messages.

	* simple.el (previous-matching-history-element): Specify a default.

	* hexl.el (hexl-mode): Catch errors in hexl-goto-address.

	* cus-face.el (custom-declare-face): Simplify code.

	* abbrev.el (abbrev-mode, edit-abbrevs-map): Doc fixes.

2004-06-13  Luc Teirlinck  <teirllm@auburn.edu>

	* files.el (before-save-hook): Add `time-stamp' to the options.

	* time-stamp.el (time-stamp): Recommend adding it to
	`before-save-hook', rather than `write-file-functions'.
	Make a similar change in `Commentary' section.

2004-06-13  Kai Grossjohann  <kai.grossjohann@gmx.net>

	* diff-mode.el (diff-current-defun): If at start of hunk, use
	position of first change.

2004-06-13  Lars Hansen  <larsh@math.ku.dk>

	* dired-x.el (dired-mark-omitted): Bind to "*O".

2004-06-12  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el (bookmark-bmenu-relocate): New function, as
	suggested by David J. Biesack <David.Biesack@sas.com>.
	(bookmark-bmenu-mode-map): Bind `bookmark-bmenu-relocate' to "R".
	(bookmark-bmenu-mode): Describe binding in doc string.
	(bookmark-set-filename): Save the bookmark list if it's time.

2004-06-13  Kenichi Handa  <handa@m17n.org>

	* international/utf-8.el (ccl-decode-mule-utf-8): Fix previous change.
	(ccl-untranslated-to-ucs): Fix typo.

2004-06-12  Karl Chen  <quarl@hkn.eecs.berkeley.edu>

	* progmodes/python.el (python-open-block-statement-p):
	Fix indentation after a block opening that contains a comment.

2004-06-12  J,Ai(Br,At(Bme Marant  <jerome@marant.org>

	* bindings.el (completion-ignored-extensions): Add file extensions
	of Python byte-compiled files.

2004-06-12  Juri Linkov  <juri@jurta.org>

	* info.el (Info-goto-node): Add autoload.
	(Info-toc): Add substring-no-properties on Info file name.
	(Info-mode, info, Info-toc, Info-mode-menu): Doc fix.
	(Info-mode-map): Bind L to Info-history, T to Info-toc.

2004-06-12  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (set-language-environment):
	Load subst tables if necessary.

	* international/mule.el (decode-char): Load subst tables if necessary.
	(encode-char): Likewise.

	* international/utf-16.el (utf-16-decode-ucs): Handle a surrogate
	pair correctly.  Call ccl-mule-utf-untrans for untranslable chars.
	(utf-16le-decode-loop): Set r5 to -1 before loop.
	(utf-16be-decode-loop): Likewise.
	(ccl-decode-mule-utf-16le): Add EOF processing block.
	(ccl-decode-mule-utf-16be): Likewise.
	(ccl-decode-mule-utf-16le-with-signature): Likewise.
	(ccl-decode-mule-utf-16be-with-signature): Likewise.
	(ccl-decode-mule-utf-16): Likewise.  Set r5 to -1 initially.
	(ccl-mule-utf-16-encode-untrans): New CCL.
	(utf-16-decode-to-ucs): Handle pre-read character.
	(utf-16le-encode-loop): Handle surrogate pair.
	(utf-16be-encode-loop): Likewise.
	(ccl-encode-mule-utf-16le-with-signature): Adjust for the change
	of utf-16le-encode-loop.
	(ccl-encode-mule-utf-16be-with-signature): Adjust for the change
	of utf-16be-encode-loop.
	(mule-utf-16-post-read-conversion):
	Call utf-8-post-read-conversion at first.
	(mule-utf-16[{le|be}], mule-utf-16{le|be}-with-signature):
	Include CJK charsets in safe-charsets if utf-translate-cjk-mode is on.
	Add post-read-conversion and pre-write-conversion.

	* international/utf-8.el (utf-translate-cjk-charsets): New variable.
	(utf-translate-cjk-unicode-range): New variable.
	(utf-translate-cjk-load-tables): New function.
	(utf-lookup-subst-table-for-decode): New function.
	(utf-lookup-subst-table-for-encode): New function.
	(utf-translate-cjk-mode): Init-value changed to t.  Don't load
	tables here.  Update safe-charsets of utf-* coding systems.
	(ccl-mule-utf-untrans): New CCL.
	(ccl-decode-mule-utf-8): Call ccl-mule-utf-untrans.  Use `repeat'
	at end of each branch.
	(ccl-mule-utf-8-encode-untrans): New CCL.
	(ccl-encode-mule-utf-8): Call ccl-mule-utf-8-encode-untrans.
	(ccl-untranslated-to-ucs): Handle 2-byte encoding.  Set r1 to the
	length of encoding.  Don't return r0.
	(utf-8-compose): New arg hash-table.  Handle 2-byte encoding.
	(utf-8-post-read-conversion): Narrow to region properly.
	If utf-translate-cjk-mode is on, load tables if necessary.
	Call utf-8-compose with hash-table arg if necessary.
	Call XXX-compose-region instead of XXX-post-read-conversion.
	(utf-8-pre-write-conversion): New function.
	(mule-utf-8): Include CJK charsets in safe-charsets if
	utf-translate-cjk-mode is on.  Add pre-write-conversion.

	* international/characters.el: Temporarily set
	utf-translate-cjk-mode to nil.

	* language/devan-util.el (devanagari-compose-region):
	Add autoload cookie.

	* international/ccl.el (ccl-dump-call): Fix printing the
	subroutine name.

2004-06-11  Luc Teirlinck  <teirllm@auburn.edu>

	* dired.el (dired-revert): If buffer is marked unmodified before
	reverting, keep it marked unmodified.  Adapt to new conventions
	for commenting out code.
	(dired-make-relative): Adapt to new conventions for commenting out
	code.

2004-06-10  Miles Bader  <miles@gnu.ai.mit.edu>

	* eshell/esh-module.el (eshell-load-defgroups):
	Bind `vc-handled-backends' to nil when opening files.

2004-06-11  Juanma Barranquero  <lektu@terra.es>

	* files.el (parse-colon-path, cd): Doc fixes (refer to
	`path-separator', not colon).

2004-06-10  Juanma Barranquero  <lektu@terra.es>

	* newcomment.el (comment-search-forward)
	(comment-search-backward): Fix typos in docstring.
	(comment-region): Doc fix.

2004-06-10  Luc Teirlinck  <teirllm@auburn.edu>

	* dired.el (dired-insert-old-subdirs): Adapt to fact that the R
	switch is no longer stored in `dired-switches-alist'.

	* dired-aux.el (dired-insert-subdir): Do not store R switch in
	`dired-switches-alist'.

2004-06-10  Kim F. Storm  <storm@cua.dk>

	* pcvs.el (cvs-mode-diff-yesterday): New command.

	* pcvs-defs.el (cvs-mode-diff-map): Bind y to cvs-mode-diff-yesterday.

2004-06-10  Juri Linkov  <juri@jurta.org>

	* emacs-lisp/edebug.el (edebug-eval-defun):
	* emacs-lisp/lisp-mode.el (eval-defun-1): Add `defface'.
	Fix docstring.

	* simple.el (eval-expression-print-format): Don't print additional
	information on the first call to `eval-print-last-sexp'.
	(next-error-find-buffer): Fix punctuation.
	(killing) <defgroup>: Fix punctuation.
	(yank-excluded-properties): Change group from editing to killing.

	* replace.el (perform-replace): Use `limit' to terminate the
	while-loop explicitly.

2004-06-09  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* toolbar/tool-bar.el (tool-bar-add-item, tool-bar-local-item):
	Use lc-*.xpm as prefix instead of *-locol.xpm.

	* toolbar/lc-copy.xpm, toolbar/lc-cut.xpm
	* toolbar/lc-help.xpm, toolbar/lc-home.xpm
	* toolbar/lc-index.xpm, toolbar/lc-jump_to.xpm
	* toolbar/lc-left_arrow.xpm, toolbar/lc-new.xpm
	* toolbar/lc-open.xpm, toolbar/lc-paste.xpm
	* toolbar/lc-preferences.xpm, toolbar/lc-print.xpm
	* toolbar/lc-right_arrow.xpm, toolbar/lc-save.xpm
	* toolbar/lc-saveas.xpm, toolbar/lc-search.xpm
	* toolbar/lc-spell.xpm, toolbar/lc-undo.xpm
	* toolbar/lc-up_arrow.xpm:
	Rename from *-locol.xpm.

2004-06-09  Rajesh Vaidheeswarran  <rv@gnu.org>

	* ffap.el (ffap-string-at-point-mode-alist): Fix the url mode to
	include forms like &<str>; as valid url patterns.

2004-06-08  Luc Teirlinck  <teirllm@auburn.edu>

	* dired.el (dired-diff, dired-backup-diff)
	(dired-clean-directory, dired-do-chmod, dired-do-chgrp)
	(dired-do-chown, dired-do-touch, dired-do-print)
	(dired-do-shell-command, dired-do-kill-lines, dired-do-compress)
	(dired-do-byte-compile, dired-do-load, dired-do-redisplay)
	(dired-create-directory, dired-do-copy, dired-do-symlink)
	(dired-do-hardlink, dired-do-rename, dired-do-rename-regexp)
	(dired-do-copy-regexp, dired-do-hardlink-regexp)
	(dired-do-symlink-regexp, dired-upcase, dired-downcase)
	(dired-maybe-insert-subdir, dired-next-subdir)
	(dired-prev-subdir, dired-goto-subdir, dired-mark-subdir-files)
	(dired-kill-subdir, dired-tree-up, dired-tree-down)
	(dired-hide-subdir, dired-hide-all, dired-show-file-type)
	(dired-run-shell-command, dired-query): Remove redundant,
	or incorrect, autoloads.

	* dired-aux.el (dired-kill-tree): Do not kill DIRNAME, even if it
	does not end in a slash.  Add optional argument KILL-ROOT.
	Update docstring.
	(dired-do-touch, dired-clean-directory, dired-run-shell-command)
	(dired-query): Add autoloads.

2004-06-08  Daniel Pfeiffer  <occitan@esperanto.org>

	* progmodes/compile.el (compilation-set-window-height): Rearrange
	the save-* functions because a buffer can have several current
	point in different windows.
	(compilation-error-regexp-alist-alist): Recognize {standard input}
	GNU messages (for gcc --pipe) and more kinds of Oracle messages.

2004-06-08  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* toolbar/copy-locol.xpm, toolbar/cut-locol.xpm
	* toolbar/help-locol.xpm, toolbar/home-locol.xpm
	* toolbar/index-locol.xpm, toolbar/jump_to-locol.xpm
	* toolbar/left_arrow-locol.xpm, toolbar/new-locol.xpm
	* toolbar/open-locol.xpm, toolbar/paste-locol.xpm
	* toolbar/preferences-locol.xpm, toolbar/print-locol.xpm
	* toolbar/right_arrow-locol.xpm, toolbar/save-locol.xpm
	* toolbar/saveas-locol.xpm, toolbar/search-locol.xpm
	* toolbar/spell-locol.xpm, toolbar/undo-locol.xpm
	* toolbar/up_arrow-locol.xpm:
	New versions of icons that uses fewer colors.

	* toolbar/tool-bar.el (tool-bar-local-item)
	(tool-bar-local-item-from-menu): Try to use icons with fewer colors
	if display-color-cells is 256 or less.

2004-06-08  Kim F. Storm  <storm@cua.dk>

	* wid-edit.el (widget-specify-button): Use hand pointer rather
	than mouse-face as visible mouse-over effect.

2004-06-07  Karl Fogel  <kfogel@red-bean.com>

	* saveplace.el (save-place-alist-to-file): Bind `print-length'
	and `print-level' to nil when writing out `save-place-alist'.
	Thanks to Kai Grossjohann <kai@emptydomain.de> for enlightenment.

2004-06-07  Juanma Barranquero  <lektu@terra.es>

	* completion.el (completion-kill-region): Doc fix.

	* format.el (format-insert-annotations)
	(format-annotate-location): Doc fixes.
	(format-subtract-regions): Make arguments match their use in docstring.

	* simple.el (kill-region): Doc fix.

	* subr.el (insert-buffer-substring-no-properties)
	(insert-buffer-substring-as-yank): Doc fixes.

2004-06-07  Luc Teirlinck  <teirllm@auburn.edu>

	* dired-aux.el (dired-do-redisplay, dired-maybe-insert-subdir):
	Update docstring.
	(dired-reset-subdir-switches): New function.

	* dired.el (dired-undo): Call `dired-build-subdir-alist'.
	Limit scope of `buffer-read-only' binding.

2004-06-06  Emilio C. Lopes  <eclig@gmx.net>

	* eshell/esh-cmd.el (eshell/which): Respect commands quoted with
	eshell-explicit-command-char.

2004-06-06  Juanma Barranquero  <lektu@terra.es>

	* help-fns.el (help-argument-name): Inherit from italic face only
	if the frame supports it.

2004-06-06  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* toolbar/alias.pbm, toolbar/close.pbm, toolbar/copy.pbm
	* toolbar/cut.pbm, toolbar/help.pbm, toolbar/home.pbm
	* toolbar/index.pbm, toolbar/jump_to.pbm, toolbar/left_arrow.pbm
	* toolbar/new.pbm, toolbar/open.pbm, toolbar/paste.pbm
	* toolbar/preferences.pbm, toolbar/print.pbm, toolbar/right_arrow.pbm
	* toolbar/save.pbm, toolbar/saveas.pbm, toolbar/search.pbm
	* toolbar/spell.pbm, toolbar/undo.pbm, toolbar/up_arrow.pbm:
	New conversions from xpm files.

	* toolbar/README: New file.

2004-06-06  Richard M. Stallman  <rms@gnu.org>

	* isearch.el (isearch-mode-map): Undo previous change.

2004-06-05  Juri Linkov  <juri@jurta.org>

	* bindings.el (debug-ignored-errors): Add regexps for history
	related messages.  Remove $ from "No further undo information".
	Move Ediff's messages to ediff.el.

	* ediff.el: Move Ediff's debug-ignored-errors from bindings.el.

	* cus-edit.el (custom-display): Add `min-colors'.

	* custom.el (defface): Add `supports' to docstring.

	* help-fns.el (help-argument-name): Add :group 'help.

2004-06-05  Luc Teirlinck  <teirllm@auburn.edu>

	* find-dired.el (find-ls-subdir-switches): New user option.
	(find-dired): No longer call `abbreviate-file-name' on DIR.
	Set `dired-subdir-switches' buffer-locally.

	* locate.el: Merge the two `Commentary' sections.
	(locate-ls-subdir-switches): New user option.
	(locate): Update for other changes.
	(locate-mode-map): Restore Dired binding for mouse-2.
	Bind `locate-mouse-view-file' to M-mouse-2.
	Bind `l' to `locate-do-redisplay'.
	(locate-main-listing-line-p, locate-do-redisplay): New functions.
	(locate-mouse-view-file, locate-tags, locate-find-directory):
	Print message if used outside main listing.
	(locate-mode): Update docstring.  Make `*Locate*' buffer read-only.
	Various changes to support inserted subdirectories.
	(locate-insert-header): Change header of *Locate* buffer.

	* dired-aux.el (dired-do-redisplay, dired-maybe-insert-subdir):
	Change interactive default switches.
	(dired-rename-subdir-2): Update `dired-switches-alist'.
	(dired-insert-subdir, dired-kill-subdir):
	Handle `dired-switches-alist'.  Do not mark buffer modified.
	(dired-insert-subdir-validate): Handle `dired-subdir-switches'.
	(dired-insert-subdir-doinsert): Omit messages.
	Handle `dired-subdir-switches'.
	(dired-hide-subdir, dired-hide-all): Do not mark buffer modified.

	* dired.el (dired-subdir-switches, dired-switches-alist): New vars.
	(dired-insert-old-subdirs): Do not repeatedly delete and reinsert
	subdirs if -R switch is used for a subdir.
	(dired-mode): Set `dired-switches-alist'.
	(dired-build-subdir-alist): Only print number of directories in
	echo area when invoked interactively.

2004-06-05  Lars Hansen  <larsh@math.ku.dk>

	* dired-x.el (dired-omit-mode): Rename from
	dired-omit-files-p.  Use define-minor-mode to define it.
	(dired-omit-files-p): Add as alias for dired-omit-mode.
	(dired-omit-toggle): Delete.  Replaced by dired-omit-mode and
	dired-mark-omitted.
	(dired-mark-omitted): Add.  Bind to M-O.

2004-06-05  Kenichi Handa  <handa@m17n.org>

	* ps-print.el: Fix typos (kein'ichi -> ken'ichi)

2004-06-05  Juanma Barranquero  <lektu@terra.es>

	* help-fns.el (help-argument-name): Reintroduce face.
	(help-default-arg-highlight): Use it, now that
	`face-differs-from-default-p' can be trusted.

2004-06-05  Matt Hodges  <matt@stchem.bham.ac.uk>  (tiny change)

	* textmodes/table.el: Sentence commands added to Point Motion
	group; kill and backward-kill commands added to Extraction group.

2004-06-04  Mario Lang  <mlang@delysid.org>

	* battery.el (battery-linux-proc-acpi): `mA' was hardcoded, but some
	systems appear to use mW, make the code handle this.  Fix a
	division-by-zero bug while at it, and handle kernels with
	a slightly different layout in /proc/acpi.

2004-06-04  Karl Fogel  <kfogel@red-bean.com>

	* vc-svn.el (vc-svn-checkin): Use `nconc' instead of `list*',
	because the latter is a CL-ism.  This fixes the bug reported by
	Shawn Boyette <mdxi@collapsar.net> in
	http://lists.gnu.org/archive/html/emacs-devel/2004-05/msg00442.html.

2004-06-04  Miles Bader  <miles@gnu.org>

	* faces.el (display-supports-face-attributes-p): Function moved to
	C code.  Previously only the tty-related portion of this function
	was done in C; however the previous attempt to do a halfway-proper
	job for non-tty displays in lisp didn't work properly because of
	funny conditions during Emacs startup.
	(face-differs-from-default-p): Simplify, now that
	display-supports-face-attributes-p works properly on all display
	types.  Remove :stipple from comparison; it doesn't really work
	in emacs anyway.

2004-06-04  Miles Bader  <miles@gnu.org>

	* faces.el (face-differs-from-default-p): Use a different
	implementation, so we can really check whether FACE displays
	differently or not.

2004-06-04  Miles Bader  <miles@gnu.org>

	* faces.el (display-supports-face-attributes-p): Implement a
	`different from default' check for non-tty displays.

2004-06-03  David Kastrup  <dak@gnu.org>

	* woman.el (woman-mapcan): More concise code.
	(woman-topic-all-completions, woman-topic-all-completions-1)
	(woman-topic-all-completions-merge): Replace by a simpler and
	much faster implementation based on O(n log n) sort/merge instead
	of the old O(n^2) behavior.

2004-06-03  Miles Bader  <miles@gnu.org>

	* subr.el (read-number): Use canonical format for default in prompt.

	* minibuf-eldef.el (minibuffer-default-in-prompt-regexps):
	Add regexp for " [...]" style defaults.

2004-06-02  Romain Francoise  <romain@orebokech.com>

	* ibuf-ext.el (ibuffer-jump-to-buffer): Add support for filter
	groups: if the user asks for a hidden buffer, open the
	corresponding filter group to expose it.

	* ibuffer.el (ibuffer-mode-map): Add key binding `M-g' to
	`ibuffer-jump-to-buffer'.
	(ibuffer-jump-offer-only-visible-buffers): New user option.

2004-06-02  Juanma Barranquero  <lektu@terra.es>

	* faces.el (frame-update-faces): Add empty docstring so the one
	for `ignore' doesn't show through.

	* subr.el (process-kill-without-query): Remove spurious "\n" on
	obsolescence string.
	(focus-frame, unfocus-frame): Add obsolescence declaration and
	empty docstring.

	* international/mule.el (register-char-codings): Make alias for
	`ignore'.  Move docstring to obsolescence info and remove redundancy.

2004-06-02  Kim F. Storm  <storm@cua.dk>

	* frame.el (blink-cursor-start): Turn cursor off initially so blink
	starts after blink-cursor-delay rather than 2*blink-cursor-delay.

2004-06-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* comint.el (comint-replace-by-expanded-history-before-point):
	Obey `start' as the docstring says.
	(comint-send-input, comint-snapshot-last-prompt, comint-output-filter)
	(comint-update-fence): Prevent font-lock from running unnecessarily.
	(comint-dynamic-list-completions): Use with-current-buffer.

2004-06-01  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-format-entry): Fix regexps.
	(bibtex-parse-strings): Bugfix, use assoc instead of assoc-string.
	(bibtex-entry-update): Handle alternatives and optional fields.
	(bibtex-parse-entry): Bugfix, handle empty key.

2004-05-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-arch.el (vc-arch-state): Don't assume the file exists.

2004-05-31  Lars Hansen  <larsh@math.ku.dk>

	* desktop.el (desktop-save): Don't save minor modes without a
	known mode initialization function.

2004-05-30  Luc Teirlinck  <teirllm@auburn.edu>

	* replace.el (query-replace-interactive): Convert defvar -> defcustom.

	* autorevert.el: Update `Commentary' section.

2004-05-30  Juanma Barranquero  <lektu@terra.es>

	* dos-fns.el (convert-standard-filename):
	* files.el (convert-standard-filename):
	* w32-fns.el (convert-standard-filename):
	Rework docstring (wording by Eli Zaretskii and Kai Grossjohann).

2004-05-30  Kai Grossjohann  <kai.grossjohann@gmx.net>

	Sync with Tramp.

	* net/tramp.el (tramp-let-maybe): Reverse args of `get'.
	(tramp-let-maybe): Move to an earlier spot in the file.
	Patch by Andreas Schwab.

2004-05-30  Andreas Schwab  <schwab@suse.de>

	* dired.el (dired-get-filename): Don't use dired-re-dot.

2004-05-30  Richard M. Stallman  <rms@gnu.org>

	* files.el (find-file): Doc fix.

	* font-lock.el (lisp-font-lock-keywords-2): Add multiple-value-bind.

2004-05-30  Nick Roberts  <nickrob@gnu.org>

	* progmodes/gdb-ui.el (gdb-current-frame, gud-watch)
	(gdb-locals-mode, gdb-frame-handler): Display current frame in the
	modeline of the locals buffer.
	(gdb-goto-breakpoint): Handle gdbmi.
	(gdb-get-frame-number): Change for gdbmi.

2004-05-30  Michael Albinus  <michael.albinus@gmx.de>

	* files.el (file-remote-p): Apply file name handler for operation
	`file-remote-p'.  It isn't a property any longer.
	(file-relative-name): `fh' and `fd' get the required value via
	`find-file-name-handler' already.

	* ange-ftp.el (ange-ftp-file-remote-p): New defun.
	(top): Remove setting of `file-remote-p' property for
	`ange-ftp-hook-function'.  Add `ange-ftp' property to `file-remote-p'.

2004-05-29  Michael Albinus  <michael.albinus@gmx.de>

	Version 2.0.41 of Tramp released.

	* tramp.el (tramp-wait-for-regexp, tramp-wait-for-output):
	Throw away if process has died.
	Reported by Luc Teirlinck <teirllm@dms.auburn.edu>.
	(tramp-out-of-band-prompt-regexp): Rename to
	`tramp-process-alive-regexp', because its usage is widen.
	(tramp-actions-copy-out-of-band): Apply it.
	(tramp-actions-before-shell, tramp-multi-actions):
	Add `tramp-action-process-alive' action.
	(tramp-action-process-alive): New defun.
	(tramp-file-name-handler-alist, tramp-file-name-for-operation):
	Add entry for `file-remote-p'.
	(tramp-handle-file-remote-p): New defun.
	(top): Remove setting of `file-remote-p'.  Don't set
	`inhibit-file-name-handlers' and `inhibit-file-name-operation'.

	* tramp-smb.el (tramp-smb-file-name-handler-alist): Add entry for
	`file-remote-p'.

	* tramp-uu.el (tramp-uuencode-region): Padding characters aren't
	counted for (last) line.  [They should or they shouldn't?  --Stef]
	Reported by Aaron Ucko <ucko@ncbi.nlm.nih.gov>.

2004-05-29  Kai Grossjohann  <kai.grossjohann@gmx.net>

	* tramp.el (tramp-initial-commands): Add "unset HISTFILE"; this is
	not really necessary but seems to keep the shell history smaller
	in some cases.  It is no substitute for setting HISTFILE and
	HISTSIZE from tramp-open-connection-setup-interactive-shell,
	though.  Suggested by Luc Teirlinck.
	(tramp-open-connection-setup-interactive-shell): Export variables
	HISTFILE and HISTSIZE, do not just set them.  From Luc Teirlinck.
	(tramp-set-process-query-on-exit-flag): New compat function.
	(tramp-open-connection-multi, tramp-open-connection-su)
	(tramp-open-connection-rsh, tramp-open-connection-telnet)
	(tramp-do-copy-or-rename-file-out-of-band): Use it.
	(tramp-let-maybe): New macro, let-binds a variable only if it
	isn't obsolete.
	(tramp-check-ls-commands, tramp-handle-expand-file-name)
	(tramp-handle-file-truename): Use it.
	(tramp-completion-file-name-regexp-unified): Avoid matching
	filenames starting with "/:" -- those are reserved for
	file-name-non-special.

	* tramp-smb.el (tramp-smb-open-connection):
	Use tramp-set-process-query-on-exit-flag compat function.

2004-05-29  Richard M. Stallman  <rms@gnu.org>

	* net/browse-url.el (browse-url-interactive-arg): Doc fix.

	* emacs-lisp/lisp-mode.el (prin1-char): Catch errors from `string'.
	(eval-last-sexp-print-value): Print char equivalent regardless
	of standard-output value.

	* thumbs.el (thumbs-subst-char-in-string): Delete.
	(thumbs-thumbname): Use subst-char-in-string.
	(thumbs-resize-image): Use condition-case, not ignore-errors.
	(thumbs-kill-buffer): Likewise.

	* thumbs.el: Don't include cl.  Don't bother with old Emacs versions.
	(thumbs-mode): Make buffer read-only.
	(thumbs-make-thumb): Unconditionally accept an existing file.
	(thumbs-insert-thumb): Add thumb-image-file property to the image.
	(thumbs-do-thumbs-insertion): Be smarter about where to put newlines.
	(thumbs-show-thumbs-list): Error if images not supported.
	(thumbs-save-current-image): Improve prompt string.
	(thumbs-mode-map): Define u, R, x.
	(thumbs-unmark): New command.
	(thumbs-emboss-image): Minor cleanup.
	(thumbs-forward-char, thumbs-backward-char): Skip chars with no image.
	(thumbs-rename-images): New command.
	(thumbs-show-image-num): Rewrite.  Don't rename the buffer.

	* thumbs.el (thumbs-current-image): New function.
	(thumbs-file-list, thumbs-file-alist): New functions.
	(thumbs-find-image): Delete arg L.
	Don't set up thumbs-fileL as buffer-local global var.
	(thumbs-find-image-at-point): Use thumbs-current-image.
	(thumbs-set-image-at-point-to-root-window): Likewise.
	(thumbs-delete-images): Use thumbs-current-image, thumbs-file-alist.
	Record and warn about errors.  Update thumbs-markedL for deletions.
	(thumbs-next-image, thumbs-previous-image): Use thumbs-file-alist.
	(thumbs-redraw-buffer): Use thumbs-file-list.
	(thumbs-mark): Use thumbs-current-image.
	(thumbs-show-name): Use thumbs-current-image.

	* imenu.el (imenu--menubar-select): Set imenu-menubar-modified-tick
	and imenu--last-menubar-index-alist.

	* subr.el (with-selected-window): Undo previous change.

2004-05-29  John Paul Wallington  <jpw@gnu.org>

	* thumbs.el (thumbs-show-name): Do nothing if no image at point.
	(thumbs-mouse-find-image): New command.
	(thumbs-mode-map): Bind it to mouse-2.
	(thumbs-mode): Make mode-class special.
	(thumbs-view-image-mode): Likewise.

2004-05-29  Pavel Kobiakov  <pk_at_work@yahoo.com>

	* flymake.el: New file.

2004-05-28  Luc Teirlinck  <teirllm@auburn.edu>

	* files.el (find-file-noselect-1): Do not bind
	`inhibit-read-only' to t during execution of
	`find-file-not-found-functions'.

2004-05-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-mcvs.el (vc-mcvs-print-log, vc-mcvs-diff):
	* vc-arch.el (vc-arch-diff): Add optional `buffer' arg.

2004-05-28  Juri Linkov  <juri@jurta.org>

	* simple.el (eval-expression-print-format): New fun.

	* simple.el (eval-expression):
	* emacs-lisp/lisp-mode.el (eval-last-sexp-print-value):
	* emacs-lisp/edebug.el (edebug-compute-previous-result)
	(edebug-eval-expression): Print additionally the value returned by
	`eval-expression-print-format'.

	* emacs-lisp/lisp.el (insert-pair-alist): New var.
	(insert-pair): Make arguments optional.  Find character pair
	from `insert-pair-alist' according to the last input event.
	(insert-parentheses): Make arguments optional.
	(raise-sexp, delete-pair): New funs.

	* emacs-lisp/lisp-mode.el (indent-pp-sexp): New fun.
	(emacs-lisp-mode-map, lisp-interaction-mode-map):
	Bind C-M-q to `indent-pp-sexp'.

	* emacs-lisp/pp.el (pp-buffer): New fun created from the code in
	`pp-to-string' modified to be able to format text with newlines.
	(pp-to-string): Move the buffer-formatting part of the code to
	`pp-buffer'.  Call `pp-buffer'.

	* info.el (Info-desktop-buffer-misc-data): Don't save information
	about virtual files.
	(Info-restore-desktop-buffer): Restore Info buffers in prepared
	buffers with names obtained from the desktop file instead of the
	default *info* buffer.

2004-05-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (with-selected-window): Only save/restore the selected
	window.

	* progmodes/compile.el (compilation-error-regexp-alist):
	Use expand-file-name and data-directory.

	* progmodes/grep.el (grep-tree): Rework previous fix.

	* mouse.el (mouse-set-region-1): Use temporary transient-mark-mode
	after the user marked text with the mouse.

	* startup.el (command-line): Keep the first regexp of
	auto-save-file-name-transforms intact.

2004-05-28  Juanma Barranquero  <lektu@terra.es>

	* cus-edit.el (customize-face, customize-face-other-window)
	(custom-face-edit-delete): Make arguments match their use in
	docstring.
	(custom-unloaded-symbol-p, custom-unloaded-widget-p): Fix typo in
	docstring.

	* cvs-status.el (cvs-tree-merge, cvs-tags->tree): Use `butlast',
	not `cvs-butlast'.

	* pcvs-util.el (cvs-butlast, cvs-nbutlast): Remove (`butlast' and
	`nbutlast' are in subr.el).

	* w32-fns.el (w32-using-nt, w32-shell-dos-semantics)
	(set-w32-system-coding-system): Doc fixes.

	* textmodes/artist.el (artist-last, artist-remove-nulls): Simplify.
	(artist-draw-ellipse-general, artist-draw-ellipse-with-0-height):
	Make arguments match their use in docstring.
	(artist-draw-region-trim-line-endings)
	(artist-mouse-choose-operation): Fix typo in docstring.
	(artist-key-set-point-common): Doc fix.

2004-05-28  Simon Josefsson  <jas@extundo.com>

	* mail/smtpmail.el (smtpmail-open-stream):
	Bind starttls-extra-arguments too, if starttls.el uses GNUTLS.

2004-05-26  Simon Josefsson  <jas@extundo.com>

	* starttls.el: Merge with my GNUTLS based starttls.el.
	(starttls-gnutls-program, starttls-use-gnutls)
	(starttls-extra-arguments, starttls-process-connection-type)
	(starttls-connect, starttls-failure, starttls-success): New variables.
	(starttls-program, starttls-extra-args): Doc fix.
	(starttls-negotiate-gnutls, starttls-open-stream-gnutls): New funs.
	(starttls-negotiate, starttls-open-stream): Check `starttls-use-gnutls'
	and pass on to corresponding *-gnutls function if it is set.

2004-05-27  Luc Teirlinck  <teirllm@auburn.edu>

	* autorevert.el (auto-revert-handler): Disable auto-reverting of
	remote files.

2004-05-27  Michael Albinus  <michael.albinus@gmx.de>

	* files.el (file-name-non-special): There are more operations
	which need handling: `find-backup-file-name',
	`insert-file-contents', `verify-visited-file-modtime',
	`write-region'.  Rename t value of method to `add'.  Add new
	methods `quote' and `unquote-then-quote' to file-arg-indices.

2004-05-25  Juri Linkov  <juri@jurta.org>

	* info.el (Info-toc): Call Info-mode on intermediate buffer.
	(Info-index-nodes): Enclose code in condition-case to catch errors.
	(Info-index-node): Don't search all index nodes if request is only
	for the current node and file is not in the cache of index nodes.
	(Info-mode-map): Bind Info-copy-current-node-name to `w'
	for consistency with dired-copy-filename-as-kill.
	Bind `S' to Info-search-case-sensitively.
	(Info-copy-current-node-name): New arg.  With zero prefix arg put
	the name inside a function call to `info'.  Display copied text in
	the echo area.

2004-05-25  Sam Steingold  <sds@gnu.org>

	* emacs-lisp/lisp-mode.el (lisp-find-tag-default): New function:
	strip the package prefix from the symbol name, if any.
	Make it the `find-tag-default-function' for `lisp-mode'.

2004-05-25  John Paul Wallington  <jpw@gnu.org>

	* gs.el (gs-load-image): Use `set-process-query-on-exit-flag'
	instead of obsolete `process-kill-without-query'.

	* textmodes/texinfmt.el (texinfo-indexvar-alist):
	Declare as variable, not constant.

2004-05-25  Luc Teirlinck  <teirllm@auburn.edu>

	* files.el (find-file-noselect-1): Fix bug introduced by
	Revision 1.694.  As a side effect, `inhibit-read-only'
	is again, by default, t during execution of
	`find-file-not-found-functions'.
	(insert-directory): Check that lines were really inserted by
	the --dired switch, before erasing them.

2004-05-24  Nick Roberts  <nickrob@gnu.org>

	* progmodes/gdb-ui.el (gdb-breakpoints-mode, gdb-frames-mode)
	(gdb-locals-mode): Check gud-minor-mode in gud-comint-buffer.
	(gdb-var-update, gdb-var-update-handler, gdb-var-delete)
	(gdb-edit-value, gdb-speedbar-expand-node): Handle new value for
	gud-minor-mode (gdbmi).

2004-05-24  Yoichi NAKAYAMA  <yoichi@geiin.org>  (tiny change)

	* net/browse-url.el (browse-url-interactive-arg): Enable user to
	explicitly select the text to be taken as URL.

2004-05-23  Juri Linkov  <juri@jurta.org>

	* info.el (Info-index-nodes): New var and fun.
	(Info-goto-index, Info-index, info-apropos)
	(Info-find-emacs-command-nodes): Rewrite to use Info-index-nodes.
	(Info-index): Fix docstring.  Store and restore Info-history-list.
	(Info-complete-nodes): New var.
	(Info-complete-menu-item): Use it.
	(Info-index-node): New fun.
	(Info-final-node, Info-forward-node, Info-backward-node)
	(Info-build-toc, Info-try-follow-nearest-node, Info-fontify-node):
	Use Info-index-node.
	(Info-extract-menu-item, Info-extract-menu-counting): Set second
	arg of `Info-extract-menu-node-name' to non-nil for index nodes.
	(Info-find-node-2): If a node with period in its name not found,
	try to find a node without the name part after period.
	(Info-select-node): Call Info-fontify-node only if
	Info-fontify-maximum-menu-size is not nil.
	(info-apropos): Set Info-fontify-maximum-menu-size to nil.
	(Info-find-emacs-command-nodes, Info-goto-emacs-command-node):
	Preserve Info-history-list.
	(Info-toc): Set Info-current-file.
	(Info-build-toc): Move point to the beginning of the buffer.
	Add main-file variable.
	(Info-dir-remove-duplicates, Info-history, Info-toc, info-apropos):
	Use backslashed representation of the control character ^_.

	* textmodes/texinfmt.el (texinfo-print-index): Print index line
	numbers in the new Texinfo 4.7 format.

	* add-log.el (change-log-font-lock-keywords): Remove `:' from
	regexps for function and variable names.

	* descr-text.el (describe-property-list): Add [show] button for
	`syntax-table' property with action to pp to a separate buffer.
	(describe-char): Replace search-forward by re-search-forward with
	whitespace regexp after "character:" to not fail in too narrow windows.

	* simple.el (next-error-find-buffer): Add a rule to return
	next-error capable buffer if one window on the selected frame
	displays such buffer.

2004-05-23  Nick Roberts  <nickrob@gnu.org>

	* progmodes/gdb-ui.el (gdb-server-prefix): New variable.
	(gud-watch, gdb-send-item, gdb-breakpoints-mode, gdb-frames-mode)
	(gdb-locals-mode, gdb-send-item, gdb-toggle-breakpoint)
	(gdb-delete-breakpoint, gdb-frames-select, gdb-threads-buffer)
	(gdb-registers-buffer, gdb-reset, gdb-assembler-buffer):
	Handle new value for gud-minor-mode (gdbmi).
	(gdb-buffer-type, gdb-input-queue, gdb-prompting)
	(gdb-output-sink, gdb-current-item, gdb-pending-triggers):
	Change from local to global gdb variable set.
	(gdb-ann3): Initialize above gdb variable set.
	(gdb-var-update, gdb-var-update-handler, gdb-enqueue-input)
	(gdb-dequeue-input, gdb-source, gdb-pre-prompt, gdb-prompt)
	(gdb-subprompt, gdb-starting, gdb-stopping, gdb-frame-begin)
	(gdb-stopped, gdb-post-prompt, gdb-concat-output)
	(def-gdb-auto-update-trigger, def-gdb-auto-update-handler)
	(gdb-info-locals-handler, gdb-invalidate-assembler)
	(gdb-get-current-frame, gdb-frame-handler): Handle gdb variable
	set as global variables.
	(gdb-get-create-buffer): Don't make gud-comint buffer-local.
	Handle gdbmi.
	(gdb-info-breakpoints-custom): Fix regexp.
	(def-gdb-var): Delete.

	* progmodes/gud.el (gud-menu-map, gud-speedbar-menu-items)
	(gud-speedbar-buttons, gud-sentinel, gud-display-line)
	(gud-basic-call): Handle new value for gud-minor-mode (gdbmi) for
	a new mode.  The file (gdb-mi.el) for this mode will be included
	with the GDB distribution (6.2 onwards) and will use GDB/MI as its
	primary interface.

2004-05-23  Jesper Harder  <harder@ifa.au.dk>

	* progmodes/grep.el (grep-tree): Ensure that DIR argument is
	interpreted as a directory.

2004-05-22  Richard M. Stallman  <rms@gnu.org>

	* textmodes/paragraphs.el (sentence-end): Match unicode curly quotes
	as a close quote.

	* textmodes/bibtex.el: Use assoc-string, not assoc-ignore-case.

	* progmodes/idlw-shell.el (idlwave-shell-get-object-class):
	Use assoc-string, not assoc-ignore-case.

	* progmodes/ada-mode.el: Use assoc-string, not assoc-ignore-case.

	* emacs-lisp/lisp.el (mark-defun, narrow-to-defun):
	If moving back then fwd gets a defun that ends before point,
	try again moving fwd then back.

	* files.el (file-name-non-special): Allow t in file-arg-indices
	to mean requote the return value.  Use `identity' as an element
	rather than as the whole value.

	* gs.el (gs-options): Add -dSAFER.  Mark it risky.

2004-05-22  Juanma Barranquero  <lektu@terra.es>

	* help-fns.el (help-add-fundoc-usage): Use %S only for output of
	`help-make-usage'.
	(help-highlight-arguments): Skip function name before searching
	for arguments.

2004-05-21  Juanma Barranquero  <lektu@terra.es>

	* allout.el (allout-chart-subtree, allout-rebullet-topic-grunt):
	Don't mention in the docstring these arguments meant for
	internal (recursive) use only.
	(allout-char-spec): Comment out (it's not implemented).
	(allout-old-expose-topic, allout-exposure): Fix docstring and add
	obsolescence declaration.
	(allout-flatten-exposed-to-buffer)
	(allout-indented-exposed-to-buffer): Fix typos in docstring.
	(my-mark-marker): Doc fix.
	(produce-allout-mode-map, allout-sibling-index)
	(allout-isearch-expose, allout-distinctive-bullet)
	(allout-open-topic, allout-reindent-body)
	(allout-rebullet-heading, allout-process-exposed)
	(allout-insert-listified, allout-latex-verb-quote)
	(allout-insert-latex-header, allout-insert-latex-trailer):
	Make arguments match their use in docstring.
	(allout-primary-bullet, allout-old-style-prefixes)
	(allout-inhibit-protection, allout-init, allout-mode)
	(allout-before-change-protect, allout-flag-region):
	Use "Emacs" instead of "emacs" in docstrings.

2004-05-21  Masayuki Ataka  <ataka@milk.freemail.ne.jp>  (tiny change)

	* international/characters.el: Modify syntax of more characters.

2004-05-21  Masatake YAMATO  <jet@gyve.org>

	* progmodes/etags.el (tags-apropos, list-tags): Require apropos.
	(etags-tags-completion-table): Show parsing progress.

2004-05-20  Luc Teirlinck  <teirllm@auburn.edu>

	* locate.el (locate-prompt-for-command): Shorten first line of
	docstring.
	(locate-mode): Expand docstring and include keymap summary.

	* files.el (find-file-noselect-1): Limit the scope of the
	`inhibit-read-only' binding.  Make sure that `inhibit-read-only'
	is, by default, nil during the execution of
	`find-file-not-found-functions' and `find-file-hook'.

2004-05-20  Michael Mauger  <mmaug@yahoo.com>

	* facemenu.el (facemenu-color-name-equal): New function.
	(list-colors-display): Use it to compare colors instead of
	facemenu-color-equal.

2004-05-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* compare-w.el (compare-windows-face): Use min-colors instead of
	checking for tty or pc types.

2004-05-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (do-auto-fill): Remove unused vars `bol' and `opoint'.
	(completion-setup-function): Use with-current-buffer.
	Properly save excursion.  Simplify.
	Don't assume there is necessarily a `mouse-face' property somewhere.

	* progmodes/gud.el (gud-reset): Use unless & with-current-buffer.

	* progmodes/gdb-ui.el (gdb-reset): Use unless.  Fix regexp.

	* emacs-lisp/bytecomp.el (byte-compile-log): Use backquotes.
	(byte-compile-log-1): Don't call (byte-goto-log-buffer).
	Use with-current-buffer.
	(byte-goto-log-buffer): Delete.
	(byte-compile-log-file): Call compilation-forget-errors.

2004-05-19  Takaaki Ota  <Takaaki.Ota@am.sony.com>

	* net/ldap.el (ldap-search-internal): Avoid mixing standard error
	output messages into the search result.

2004-05-19  Masatake YAMATO  <jet@gyve.org>

	* wid-edit.el (widget-radio-button-notify): Revert my last
	change.  Reported by Katsumi Yamaoka <yamaoka@jpl.org>.

2004-05-19  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Fix syntax (open/close) of CJK chars.

2004-05-18  Karl Chen  <quarl@hkn.eecs.berkeley.edu>

	* help-mode.el (help-go-back): Don't depend on position of back button.

2004-05-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (auto-save-file-name-transforms): Make sure ange-ftp temp
	files don't contain an accidental additional /.

	* textmodes/tex-mode.el (tex-compilation-parse-errors): Save excursion
	in source buffer.

2004-05-18  Masatake YAMATO  <jet@gyve.org>

	* wid-edit.el (widget-radio-button-notify): Don't pass `widget'
	to widget-apply.  :action method assumes 2 arguments, not 3.

2004-05-17  Glenn Morris  <gmorris@ast.cam.ac.uk>

	* progmodes/f90.el (f90-end-block-re, f90-start-block-re):
	New constants.
	(hs-special-modes-alist): Add an f90-mode entry.

2004-05-17  Sam Steingold  <sds@gnu.org>

	* emacs-lisp/cl-indent.el (common-lisp-indent-function-1):
	Indent "without-" forms just like "with-" and "do-".  Use regexp-opt.

2004-05-16  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/timer.el (timer-event-handler): Fix last change.

2004-05-15  John Wiegley  <johnw@newartisans.com>

	* eshell/esh-io.el (eshell-get-target): Whitespace changes.
	(eshell-output-object-to-target): Improve output speed 20% by not
	calling `eshell-stringify' if something is already known to be a
	string.

2004-05-15  Alex Ott  <ott@jet.msk.su>

	* textmodes/ispell.el (ispell-local-dictionary-alist):
	Add windows-1251 to the choice of coding systems.
	(ispell-dictionary-alist-6): Add support for "russianw.aff",
	encoded in cp1251.

2004-05-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/compile.el (compilation-warning-face)
	(compilation-info-face): Use min-colors.

2004-05-15  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* toolbar/close.pbm, toolbar/close.xpm, toolbar/copy.pbm
	* toolbar/copy.xpm, toolbar/cut.pbm, toolbar/cut.xpm
	* toolbar/help.pbm, toolbar/help.xpm, toolbar/home.pbm
	* toolbar/home.xpm, toolbar/index.pbm, toolbar/index.xpm
	* toolbar/jump_to.pbm, toolbar/jump_to.xpm, toolbar/left_arrow.pbm
	* toolbar/left_arrow.xpm, toolbar/new.pbm, toolbar/new.xpm
	* toolbar/open.pbm, toolbar/open.xpm, toolbar/paste.pbm
	* toolbar/paste.xpm, toolbar/preferences.pbm, toolbar/preferences.xpm
	* toolbar/print.pbm, toolbar/print.xpm, toolbar/right_arrow.pbm
	* toolbar/right_arrow.xpm, toolbar/save.pbm, toolbar/save.xpm
	* toolbar/saveas.pbm, toolbar/saveas.xpm, toolbar/search.pbm
	* toolbar/search.xpm, toolbar/spell.pbm, toolbar/spell.xpm
	* toolbar/undo.pbm, toolbar/undo.xpm, toolbar/up_arrow.pbm
	* toolbar/up_arrow.xpm: New icons from GTK+ version 2.

2004-05-15  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/timer.el (timer-activate): Add optional arg triggered-p.
	Use it to set triggered-p element of timer.
	(timer-event-handler): Set triggered-p element non-nil while running
	the timer function.

2004-05-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* descr-text.el (describe-char-unicode-data)
	(describe-char-unicodedata-file): Re-enable the unicode code now that
	the licensing issues have been cleared in the unicode-4 license.
	(describe-text-properties-1): Remove unused `overlay' var.
	(describe-char): Remove unused var `buffer'.

2004-05-14  David Ponce  <david@dponce.com>

	* tree-widget.el: New file.

2004-05-13  Marcelo Toledo  <marcelo@gnu.org>

	* language/european.el ("Brazilian Portuguese"): Add support for
	Brazilian Portuguese.

2004-05-13  John Wiegley  <johnw@newartisans.com>

	* iswitchb.el (iswitchb-use-virtual-buffers): Only turn on
	`recentf-mode' if this variable has been customized to t.

	* eshell/esh-test.el (eshell-test): Call the function
	`emacs-version' rather than trying to build a custom version string.

2004-05-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/telnet.el (telnet-mode): Use define-derived-mode.
	Don't modify the global value of comint-prompt-regexp.

2004-05-13  John Paul Wallington  <jpw@gnu.org>

	* version.el (emacs-version): Check for `gtk' feature before
	`x-toolkit' feature.

2004-05-13  Juanma Barranquero  <lektu@terra.es>

	* files.el (file-truename): Don't mention COUNTER and PREV-DIRS
	arguments in the docstring, they're used only in recursive calls.

	* help-fns.el (help-arg-highlighting-function)
	(help-argument-name): Delete.
	(help-default-arg-highlight): New function.
	(help-do-arg-highlighting): Use it.

2004-05-13  Glenn Morris  <gmorris@ast.cam.ac.uk>

	* calendar/appt.el (appt-disp-window):
	Use `calendar-set-mode-line' for a centered mode-line.

2004-05-13  Takaaki Ota  <Takaaki.Ota@am.sony.com>

	* calendar/appt.el (appt-disp-window): Do not split window
	excessively when `split-height-threshold' is low.

2004-05-12  Nick Roberts  <nickrob@gnu.org>

	* progmodes/gud.el (gud-mode): Add gud-kill-buffer-hook to
	kill-buffer-hook here and make it local.
	(gud-kill-buffer-hook): Use kill-process for a sure kill.

2004-05-12  Daniel Pfeiffer  <occitan@esperanto.org>

	* progmodes/compile.el (compilation-set-window-height):
	Use save-excursion to protect against misplaced marker.

2004-05-12  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* custom.el (defface): Document that type can have value gtk.

	* faces.el (face-spec-set-match-display): Handle type gtk in display.

2004-05-12  Kenichi Handa  <handa@m17n.org>

	* descr-text.el: Require quail at compile time.
	(describe-char): If an input method is on and it supports the
	character, show how to input it.

	* international/quail.el (quail-install-decode-map): Accept a
	char-table whose subtype is `quail-decode-map'.
	(quail-store-decode-map-key, quail-gen-decode-map1)
	(quail-gen-decode-map, quail-find-key1, quail-find-key)
	(quail-show-key): New functions.

2004-05-12  Juanma Barranquero  <lektu@terra.es>

	* generic.el (define-generic-mode): Remove redundant arglist info.

	* help-fns.el (help-split-fundoc, help-add-fundoc-usage):
	Make arguments match their use in docstring.
	(help-arg-highlighting-function): New variable.
	(help-argument-name): Mention it in the docstring.
	(help-do-arg-highlight): Use it.  Expand regexp to accept also
	ARG-xxx and xxx-ARG references.

2004-05-11  Yoichi NAKAYAMA  <yoichi@geiin.org>  (tiny change)

	* mail/rfc2368.el (rfc2368-parse-mailto-url): Make the results of
	parsing "mailto:addr1%2C%20addr2", "mailto:?to=addr1%2C%20addr2",
	and "mailto:addr1?to=addr2" equal.

2004-05-11  Alexander Pohoyda  <alexander.pohoyda@gmx.net>  (tiny change)

